----- CONFIG PAGE SPECIFIC

function GEM3UI_InitConfigFrame(self)
 GEM3UI.ServerTimeOffSet=GEM3UI.ServerTimeOffsetBackup or 0;
 GEM3UIOptionsDTF_FWD_Monday:SetChecked(GEM3UI.FirstWeekday);
 GEM3UIOptionsDTF_FWD_Sunday:SetChecked(not(GEM3UI.FirstWeekday));
 
 if GEM3UI.TimeFormat == 0 then
  GEM3UIOptionsDTF_TimeF1:SetChecked(true)
  GEM3UIOptionsDTF_TimeF2:SetChecked(false)
 elseif GEM3UI.TimeFormat == 1 then
  GEM3UIOptionsDTF_TimeF1:SetChecked(false)
  GEM3UIOptionsDTF_TimeF2:SetChecked(true)
 end
 if GEM3UI.DateFormat == 0 then
  GEM3UIOptionsDTF_DateF1:SetChecked(true)
  GEM3UIOptionsDTF_DateF2:SetChecked(false)
  GEM3UIOptionsDTF_DateF3:SetChecked(false)
 elseif GEM3UI.DateFormat == 1 then
  GEM3UIOptionsDTF_DateF1:SetChecked(false)
  GEM3UIOptionsDTF_DateF2:SetChecked(true)
  GEM3UIOptionsDTF_DateF3:SetChecked(false)
 elseif GEM3UI.DateFormat == 2 then
  GEM3UIOptionsDTF_DateF1:SetChecked(false)
  GEM3UIOptionsDTF_DateF2:SetChecked(false)
  GEM3UIOptionsDTF_DateF3:SetChecked(true)
 end
 
 GEM3UI_chk_ShowLevelCol:SetChecked(GEM3UI.ShowLevelCol);
 GEM3UI_chk_ShowTagiconCol:SetChecked(GEM3UI.ShowTagiconCol);
 GEM3UI_chk_ShowLeaderCol:SetChecked(GEM3UI.ShowLeaderCol);
 GEM3UI_chk_ShowLeaderIconCol:SetChecked(GEM3UI.ShowLeaderIconCol);
 GEM3UI_chk_ShowSubsCol:SetChecked(GEM3UI.ShowSubsCol);
 GEM3UI_chk_ShowLimitsIconCol:SetChecked(GEM3UI.ShowLimitsIconCol);
 GEM3UI_chk_ShowEventIconCol:SetChecked(GEM3UI.ShowEventIconCol);
 GEM3UI_cfgAutoDisableInstance:SetChecked(GEM3_IsAutoSuspendInInstance()); 
 GEM3UI_CFG_BlockInviteWhisp:SetChecked(GEM3UI.BlockWhispers);
 
 function GEM3UI_CFG_SwitchBlockWhispers(self)
    GEM3UI.BlockWhispers=self:GetChecked();
    if GEM3UI.BlockWhispers then
        ChatFrame_AddMessageEventFilter("CHAT_MSG_WHISPER", GEM3UI_GlobalChatFilter);
    else
        ChatFrame_RemoveMessageEventFilter("CHAT_MSG_WHISPER", GEM3UI_GlobalChatFilter);
    end
    --return GEM3UI.BlockWhispers
 end
 
 GEM3UIOptionsDTF_ShowWday:SetChecked(GEM3UI.ShowWeekday);
 GEM3UIOptionsDTF_DateSep:SetText(GEM3UI.DateSeparator);
 
 --GEM3UIOptionsDTF_TimeOffset:SetText(GEM3UI.ServerTimeOffSet);
 --local h = math.floor(GEM3UI.ServerTimeOffSet)
 --GEM3UIOptionsDTF_TimeOffsetMinute:SetText((GEM3UI.ServerTimeOffSet-h)*60)
 --GEM3UIOptionsDTF_TimeOffsetHour:SetText(h)
 
 GEM3UIOptionsDTF_TimeReference:SetChecked(GEM3_STAMP_IsTimeRef());
 GEM3UIAutoSubscribe:SetChecked(GEM3UI.AutoSubscribe);
 GEM3UIShowTooltips:SetChecked(GEM3UI.ShowTooltips);
 GEM3UI_ShowMinimapIcon:SetChecked(GEM3UI.ShowMinimapIcon);
 GEM3UI_cfgAutoArchive:SetChecked(GEM3UI.ArchiveBeforeDelete);
 GEM3UINotifySound:SetChecked(GEM3UI.NotifySound);
 GEM3UI_CFG_NotifyNew:SetChecked(GEM3UI.NotifyNew);
 GEM3UI_CFG_NotifyOwn:SetChecked(GEM3UI.NotifyOwn);
 GEM3UI_CFG_NotifyEdit:SetChecked(GEM3UI.NotifyEdit);
 GEM3UI_CFG_NotifySubs:SetChecked(GEM3UI.NotifySubs);
 GEM3UI_CFG_NotifyDateChange:SetChecked(GEM3UI.NotifyDateChange);
 GEM3UIDefaultDuration:SetText(GEM3UI.DefaultDuration/60/60);
 GEM3UI_CFGPlayerComment:SetText(GEM3_QA_Config.comment or "");
 GEM3UI_CFG_NotifyKickban:SetChecked(GEM3UI.NotifyKickBan);
 GEM3UIOptionsDTF_UseServerTime:SetChecked(GEM3UI.UseServerTime);
 GEM3UI_UseServerTime(GEM3UIOptionsDTF_UseServerTime)
 
 if GEM3UI.DefaultSorting then GEM3UI_ConfigDefaulSortPluginTextLabel:SetText(GEM3UI.DefaultSorting) end
 
 GEM3UIDefaultHour:SetText(GEM3UI.DefaultHour);
 GEM3UIDefaultMinute:SetText(GEM3UI.DefaultMinute);
 GEM3UI_OnlyMyChannels:SetChecked(GEM3UI[UnitName("player")].OnlyMyChannels);
 if GEM3_QA_Config.debug > 0 then GEM3UI_GeneraloptionsTabDebug:SetChecked(true); else GEM3UI_GeneraloptionsTabDebug:SetChecked(false); end
 if GEM3UI.FirstWeekday == false then GEM3UI_FirstWeekday = 0; else GEM3UI_FirstWeekday = 1; end

 local expt, exptl = GEM3_EVT_GetExpirationTimes()
 GEM3UIMyEventExpireDelay:SetText(exptl/60);
 GEM3UIEventExpireDelay:SetText(expt/60);
 GEM3UIFirstRunHelp:SetParent(GEM3UI_GeneraloptionsTab);
 if GEM3UIRUNCFGWIZ == true then

  GEM3UIFirstRunHelp:ClearAllPoints();
  GEM3UIFirstRunHelp:SetPoint("TOPLEFT", GEM3UI_GeneraloptionsTab, "BOTTOMLEFT", 10, -5);
  GEM3UIFirstRunHelp:SetWidth(GEM3UI_GeneraloptionsTab:GetWidth()-20);
  GEM3UIFirstRunHelp:Show();
  GEM3UIFirstRunHelp.timer = 0;
  GEM3UIFirstRunHelp.inc = -0.015;
  GEM3UIFirstRunHelp:SetScript("OnUpdate", GEM3UI_FirstRunBlink); 
 else
  --GEM3UIFirstRunHelp:Hide();
 end
end

function GEM3UI_FirstRunDone()
 if GEM3UI_MovingOrSizing == true then return; end
end
 

function GEM3UI_cfgAutoDisableInstanceOnClick(self, button, down)
    GEM3_AutoSuspendInInstance(GEM3UI_cfgAutoDisableInstance:GetChecked()  == 1)
end

function GEM3UI_FirstRunBlink()
    GEM3UIFirstRunHelp.timer = GEM3UIFirstRunHelp.timer +    GEM3UIFirstRunHelp.inc;
    if GEM3UIFirstRunHelp.timer > 2 then
       GEM3UIFirstRunHelp.inc = -0.015;
    end
    if GEM3UIFirstRunHelp.timer < 0 then
       GEM3UIFirstRunHelp.inc = 0.05;
    end
    GEM3UIFirstRunHelpLabel:SetTextColor(1,GEM3UIFirstRunHelp.timer,GEM3UIFirstRunHelp.timer,GEM3UIFirstRunHelp.timer);   
end







function GEM3UI_CFGSetDefaultDuration(self)
 if tonumber(self:GetText())==nil then self:SetText("0"); end
 GEM3UI.DefaultDuration = (tonumber(GEM3UIDefaultDuration:GetText()) or 0) *60 *60;
end


function GEM3UI_CFGSetEpirationDelays(self)
if tonumber(GEM3UIEventExpireDelay:GetText()) == nil then GEM3UIEventExpireDelay:SetText(0); end
if tonumber(GEM3UIMyEventExpireDelay:GetText()) == nil then GEM3UIMyEventExpireDelay:SetText(0); end
GEM3_EVT_SetExpirationTimes(GEM3UIEventExpireDelay:GetText()*60,GEM3UIMyEventExpireDelay:GetText()*60);
end


function GEM3UI_LoadCFGPage()
GEM3UIOptions:SetWidth(527);
GEM3UIOptions:SetHeight(403);
GEM3UI_CFGPanelpos(GEM3UIOptionsDTF);
GEM3UI_CFGPanelpos(GEM3UI_ChannelCFG);
GEM3UI_CFGPanelpos(GEM3UI_SubsCFG);
GEM3UI_CFGPanelpos(GEM3UI_ColorConfig);
GEM3UI_CFGPanelpos(GEM3UI_GeneraloptionsTab);
GEM3UI_CFGPanelpos(GEM3UIOptionsLists);
end

function GEM3UI_CFGPanelpos(p)
p:ClearAllPoints();
p:SetParent(GEM3UIOptions);
p:SetPoint("TOPLEFT", GEM3UIOptions, "TOPLEFT", 10, -31);
if p.defwidth ~= nil then
 p:SetWidth(p.defwidth);
else
 p:SetWidth(505);
end
if p.defheight ~= nil then
 p:SetHeight(p.defheight);
else
 p:SetHeight(365);
end
end

function GEM3UI_CfgTabClick(self, tabid)
 if tabid ~= nil then
  GEM3UICFG_tabid = tabid;
  obj = getglobal("GEM3UIOptionsTab"..tabid);
 else
  GEM3UICFG_tabid = string.sub(self:GetName(),17)*1;
  obj = self;
 end
 local tab;
 local tabtexture;
 local tabedFrames = {
  [1] = "GEM3UI_GeneraloptionsTab",
  [2] = "GEM3UIOptionsDTF",
  [3] = "GEM3UI_SubsCFG",
  [4] = "GEM3UI_ChannelCFG",
  [5] = "GEM3UI_ColorConfig",
  [6] = "GEM3UIOptionsLists",
 };
 for i=1,6 do
   tabtexture = getglobal("GEM3UIOptionsTab"..i.."Texture");
   tab = getglobal(tabedFrames[i]);
   if tabtexture:GetDrawLayer() == "ARTWORK" then
     tabtexture:SetDrawLayer("BACKGROUND");
     tabtexture:SetTexCoord(0, 1, 0.26, 0.5);
     tab:Hide();
   end
   if i == GEM3UICFG_tabid then
     tabtexture:SetDrawLayer("ARTWORK");
     tabtexture:SetTexCoord(0, 1, 0, 0.25);
     tab:SetParent(obj:GetParent());
     tab:SetPoint(tab:GetPoint());
     tab:Show();
   end
 end
end


---- colors pannel

function GEM3UI_SelectColorToSet(self)
 --if GEM3UI_ColorConfig.SelectColorToSet == true then return; end
 if obj == nil then 
   obj = self; 
 else
   obj:SetChecked(not obj:GetChecked());
 end
 --GEM3UI_ColorConfig.SelectColorToSet = true;
 --local GEM3UIColorToSet;
 --[[for i=0,9 do
  GEM3UIColorToSet = getglobal("GEM3UIColorToSetO"..i);
  GEM3UIColorToSet:SetChecked(false);
  GEM3UIColorToSet = getglobal("GEM3UIColorToSetI"..i);
  GEM3UIColorToSet:SetChecked(false);
  GEM3UIColorToSet = getglobal("GEM3UIColorToSetT"..i);
  GEM3UIColorToSet:SetChecked(false);
 end]]--
 
 
 local coltype = string.sub(obj:GetName(),17,17);
 if coltype == "O" then coltype = GEM3UI_calcol; end
 if coltype == "I" then coltype = GEM3UI_daycol; end
 if coltype == "T" then coltype = GEM3UI_caltext; end
 local colid = tonumber(string.sub(obj:GetName(),18,18));

 if tonumber(coltype[colid].r) == nil then coltype[colid].r = 1; end
 if tonumber(coltype[colid].g) == nil then coltype[colid].g = 1; end
 if tonumber(coltype[colid].b) == nil then coltype[colid].b = 1; end
 if tonumber(coltype[colid].a) == nil then coltype[colid].a = 1; end
 
 GEM3UI_ColorPickerPanelRT:SetText(coltype[colid].r*255);
 GEM3UI_ColorPickerPanelGT:SetText(coltype[colid].g*255);
 GEM3UI_ColorPickerPanelBT:SetText(coltype[colid].b*255);
 GEM3UI_ColorPickerPanelAS:SetValue(coltype[colid].a);
 
 --GEM3UI_ColorConfig.SelectedColor = coltype[colid];
 
 ---GEM3UI_ColorConfig.SelectColorToSet = false;
end


function GEM3UI_CnColorSelect(self)
 if GEM3UI_InitTerminated ~= true then return; end
 local r,g,b = GEM3UI_ColorCFGColorSelect:GetColorRGB();
 local a = GEM3UI_ColorPickerPanelAS:GetValue();
 local T = getglobal ("GEM3UI_COLORPICKER");
 if T == nil then
      T = GEM3UI_ColorPickerPanel:CreateTexture("GEM3UI_COLORPICKER");
      T:SetPoint("TOPLEFT", 4, -4);
      T:SetPoint("BOTTOMRIGHT", -4, 4);
      T:SetDrawLayer("BACKGROUND");
   end 
 T:SetTexture(r,g,b,a);
 GEM3UI_ColorPickerPanelRT:SetText(r*255);
 GEM3UI_ColorPickerPanelGT:SetText(g*255);
 GEM3UI_ColorPickerPanelBT:SetText(b*255);
 GEM3UI_SetStatusMessage("R:"..r.."-G:"..g.."-B:"..b, 1);
 
 for i=0,9 do
  local GEM3UIColorToSet;
  GEM3UIColorToSet = getglobal("GEM3UIColorToSetO"..i);
  if GEM3UIColorToSet:GetChecked() then 
   GEM3UI_calcol[i].r = r;
   GEM3UI_calcol[i].g = g;
   GEM3UI_calcol[i].b = b;
   GEM3UI_calcol[i].a = a;
  end
  GEM3UIColorToSet = getglobal("GEM3UIColorToSetI"..i);
  if GEM3UIColorToSet:GetChecked() then 
   GEM3UI_daycol[i].r = r;
   GEM3UI_daycol[i].g = g;
   GEM3UI_daycol[i].b = b;
   GEM3UI_daycol[i].a = a;
  end
  GEM3UIColorToSet = getglobal("GEM3UIColorToSetT"..i);
  if GEM3UIColorToSet:GetChecked() then 
   GEM3UI_caltext[i].r = r;
   GEM3UI_caltext[i].g = g;
   GEM3UI_caltext[i].b = b;
   GEM3UI_caltext[i].a = a;
  end
 end
 GEM3UI.CalCol = GEM3UI_calcol;
 GEM3UI.DayCol = GEM3UI_daycol;
 GEM3UI.CalText = GEM3UI_caltext;
 GEM3UI_CFGDrawCalExample();
 --GEM3UI_-RefreshAll();
end

function GEM3UI_CFGDrawCalExample()
 if GEM3UI_ColorConfig.highlight == nil then GEM3UI_ColorConfig.highlight = {}; end
 local cal = getglobal("CalColCfgExample");
 -- function MovixLibCreateCalendar(parent, m, y, fooOnClick, fooOnOver, fooOnOut)
 MovixLibCreateCalendar(cal, GEM3UI_today.month, GEM3UI_today.year, GEM3UI_CFGCalExampleClickDay, GEM3UI_CFGCalExampleMouseOverDay, GEM3UI_CFGCalExampleMouseLeaveDay);
 
 cal.SELDAY = date ("*t", time({["year"] = GEM3UI_today.year, ["month"] = GEM3UI_today.month, ["day"] = GEM3UI_today.day+5, }));
 if cal.SELDAY.month ~= GEM3UI_today.month then
  cal.SELDAY = date ("*t", time({["year"] = GEM3UI_today.year, ["month"] = GEM3UI_today.month, ["day"] = GEM3UI_today.day-5, }));
 end
 GEM3UI_HilightDay(nil, cal.SELDAY, cal); -- SELECTED DAY
  
 cal.EVDAY = date ("*t", time({["year"] = GEM3UI_today.year, ["month"] = GEM3UI_today.month, ["day"] = GEM3UI_today.day+10, }));
 if cal.EVDAY.month ~= GEM3UI_today.month then
  cal.EVDAY = date ("*t", time({["year"] = GEM3UI_today.year, ["month"] = GEM3UI_today.month, ["day"] = GEM3UI_today.day-10, }));
 end
 GEM3UI_ChangeDaySetColor(cal, cal.EVDAY, 6) -- DAY WITH EVENT
  
 cal.SUBSDAY = date ("*t", time({["year"] = GEM3UI_today.year, ["month"] = GEM3UI_today.month, ["day"] = GEM3UI_today.day+15, }));
 if cal.SUBSDAY.month ~= GEM3UI_today.month then
  cal.SUBSDAY = date ("*t", time({["year"] = GEM3UI_today.year, ["month"] = GEM3UI_today.month, ["day"] = GEM3UI_today.day-15, }));
 end
 GEM3UI_ChangeDaySetColor(cal, cal.SUBSDAY, GEM3UI_COLOR_CAL_WITHSUBSCRIBEDEVENT);  -- DAY WITHSUBSCRIBDED EVENT

 for i = 0, 55 do
  local actmonth = date ("*t", time({["year"] = GEM3UI_today.year, ["month"] = GEM3UI_today.month, ["day"] = 1, }));
  actmonth = MovixLibMonthDaycount(actmonth);
  actmonth = MovixLibSetWday(actmonth);
  local actline = math.floor(i/8);
  local actcol = i%8;
  local actday = i - (actline + 8 + actmonth.wday)+1;
  if i == 0 then -- premiere case toujours vide
    GEM3UI_ColorConfig.highlight[i] = GEM3UI_COLOR_CAL_TOPLEFTFIELD;
  elseif actline == 0 then -- ligne des noms de jours
    GEM3UI_ColorConfig.highlight[i] = GEM3UI_COLOR_CAL_DAYHEADER;
  elseif (i%8) == 0 then -- colonne des semaines
   GEM3UI_ColorConfig.highlight[i] = GEM3UI_COLOR_CAL_WEEKNUMHEADER;
  
  elseif actday <= 0 then -- derniers jours du mois précédent
   GEM3UI_ColorConfig.highlight[i] = GEM3UI_COLOR_CAL_DAYLASTNEXTMONTH;
  elseif actday > actmonth.monthdaycount then -- premiers jours du mois suivant
    GEM3UI_ColorConfig.highlight[i] = GEM3UI_COLOR_CAL_DAYLASTNEXTMONTH;
  
  else -- jours du mois en cours
    GEM3UI_ColorConfig.highlight[i] = GEM3UI_COLOR_CAL_NORMAL;
  end
 end
 GEM3UI_ColorConfig.highlight[MovixLibCalGetFieldID(GEM3UI_today)] = GEM3UI_COLOR_CAL_TODAY; 
 GEM3UI_ColorConfig.highlight[MovixLibCalGetFieldID(cal.SUBSDAY)] = GEM3UI_COLOR_CAL_WITHSUBSCRIBEDEVENT; 
 GEM3UI_ColorConfig.highlight[MovixLibCalGetFieldID(cal.EVDAY)]   = GEM3UI_COLOR_CAL_WITHEVENT;
 GEM3UI_ColorConfig.highlight[MovixLibCalGetFieldID(cal.SELDAY)]  = GEM3UI_COLOR_CAL_SELECTEDDAY;
end

function GEM3UI_CFGCalExampleClickDay(self)
 local setline = getglobal("GEM3UIColorToSetO"..GEM3UI_ColorConfig.highlight[self.id]);
 GEM3UI_SelectColorToSet(setline);
end


function GEM3UI_CFGCalExampleMouseOverDay(self)
 local setline = getglobal("GEM3UIColorToSetDescription"..GEM3UI_ColorConfig.highlight[self.id].."Label");
 setline:SetTextColor(1,1,1,1);
 local cal = getglobal("CalColCfgExample");
 --GEM3UI_HilightDay(nil, cal);
end

function GEM3UI_CFGCalExampleMouseLeaveDay(self)
 local setline = getglobal("GEM3UIColorToSetDescription"..GEM3UI_ColorConfig.highlight[self.id].."Label");
 setline:SetTextColor(1,0.85,0,1);
 --GEM3UI_HilightDayLeave(nil);
end

function GEM3UI_CFGSetTimeRef()
 if GEM3UIOptionsDTF_TimeReference:GetChecked() then
  GEM3UIOptionsDTF_TimeReference:SetChecked(false);
  local dialogFrame = StaticPopup_Show("GEM3UI_CONFIRM", GEM3UI_DIALOG_CONFIRM_SETTIMEREF);
 else
  GEM3_STAMP_SetTimeRef(false);
 end
end

function GEM3UI_ComputeServerOffset()
  local hour = GetGameTime();
  if(hour == nil or tonumber(hour) == -1)
  then
    return 0;
  end
  local today = date("*t");
  local offset = hour - today.hour;
  
  if(math.abs(offset) > 12)
  then
    if(offset > 0)
    then
      offset = offset - 24; 
    else
      offset = offset + 24; 
    end
  end
  return offset;
end

function GEM3UI_SetDateFormat(self)
if not self:GetChecked() then self:SetChecked(true) end

if self:GetName() == "GEM3UIOptionsDTF_DateF1" then
 GEM3UIOptionsDTF_DateF2:SetChecked(false)
 GEM3UIOptionsDTF_DateF3:SetChecked(false)
 GEM3UI.DateFormat = 0
elseif self:GetName() == "GEM3UIOptionsDTF_DateF2" then
 GEM3UIOptionsDTF_DateF1:SetChecked(false)
 GEM3UIOptionsDTF_DateF3:SetChecked(false) 
 GEM3UI.DateFormat = 1
elseif self:GetName() == "GEM3UIOptionsDTF_DateF3" then
 GEM3UIOptionsDTF_DateF1:SetChecked(false)
 GEM3UIOptionsDTF_DateF2:SetChecked(false)
 GEM3UI.DateFormat = 2
end

 GEM3UI_Init();
end

-- Grid stuff

 

function GEM3UI_ModifyGridDateStrings(old, new)
    if not GridLib or not GridLib.Grids then return
    end
    for gk, g in pairs(GridLib.Grids) do
        if g.Headers then
            for k, col in ipairs(g.Headers) do
                if string.find(col.type, "%%") then
                    if old == "" then
                        if new == "%%wday" and not string.find(col.type, new) and not string.find(col.type, "%%default") and string.find(col.type, "%%d") then
                            col.type = string.sub(new,2)..col.type
                        end
                    else
                        col.type = string.gsub(col.type, old, new)
                    end
                end
            end
        end
    end
end



function GEM3UI_SetTimeFormat(self)
if not self:GetChecked() then self:SetChecked(true) end
if self:GetName() == "GEM3UIOptionsDTF_TimeF1" then
 GEM3UIOptionsDTF_TimeF2:SetChecked(false)
 GEM3UI.TimeFormat = 0
 MovixLib_DefaultDateStrings = string.gsub(MovixLib_DefaultDateStrings, "%%I", "%%H")
elseif self:GetName() == "GEM3UIOptionsDTF_TimeF2" then
 GEM3UIOptionsDTF_TimeF1:SetChecked(false)
 GEM3UI.TimeFormat = 1
 MovixLib_DefaultDateStrings = string.gsub(MovixLib_DefaultDateStrings, "%%H", "%%I")
end
 GEM3UI_Init();
end

function GEM3UI_UseServerTime(self)
 GEM3UI.UseServerTime = self:GetChecked();
 if GEM3UI.UseServerTime then 
    GEM3UI_DisplayCFGOffset:Show();
    GEM3UI_DisplayCFGOffsetLabel:SetText(GEM3UI.ServerTimeOffSet)
    GEM3UI_SrvOffSetSetDwn:Show();
    GEM3UI_SrvOffSetSetUp:Show();
    GEM3UIOptionsDTF_lblTimeOffset:Show();
    if not GEM3UI.ServerTimeOffsetBackup then
        GEM3UI.ServerTimeOffsetBackup = GEM3UI_ComputeServerOffset()
    end
    GEM3UI.ServerTimeOffSet=GEM3UI.ServerTimeOffsetBackup;
 else
    GEM3UIOptionsDTF_lblTimeOffset:Hide();
    GEM3UI_DisplayCFGOffset:Hide();
    GEM3UI_SrvOffSetSetDwn:Hide();
    GEM3UI_SrvOffSetSetUp:Hide();
    GEM3UIOptionsDTF_lblTimeOffset:Hide();
    if GEM3UI.ServerTimeOffSet ~= 0 then
        GEM3UI.ServerTimeOffsetBackup = GEM3UI.ServerTimeOffSet;
    end
    GEM3UI.ServerTimeOffSet=0;
 end
 GEM3UI_Init(); 
end

function GEM3UI_SetTimeRef()
 GEM3_STAMP_SetTimeRef(true);
 GEM3UIOptionsDTF_TimeReference:SetChecked(true);
end

function GEM3UI_CFG_OnTextValuesChanged(self)
 local T = getglobal ("GEM3UI_COLORPICKER");
 if tonumber(GEM3UI_ColorPickerPanelRT:GetText()) == nil then GEM3UI_ColorPickerPanelRT:SetText(0); end
 if tonumber(GEM3UI_ColorPickerPanelGT:GetText()) == nil then GEM3UI_ColorPickerPanelGT:SetText(0); end
 if tonumber(GEM3UI_ColorPickerPanelBT:GetText()) == nil then GEM3UI_ColorPickerPanelBT:SetText(0); end
 
 GEM3UI_ColorCFGColorSelect:SetColorRGB(
  tonumber(GEM3UI_ColorPickerPanelRT:GetText())/255,
  tonumber(GEM3UI_ColorPickerPanelGT:GetText())/255,
  tonumber(GEM3UI_ColorPickerPanelBT:GetText())/255
 );
 
 T:SetTexture(
  tonumber(GEM3UI_ColorPickerPanelRT:GetText())/255,
  tonumber(GEM3UI_ColorPickerPanelGT:GetText())/255,
  tonumber(GEM3UI_ColorPickerPanelBT:GetText())/255,
  GEM3UI_ColorPickerPanelAS:GetValue()
 );
end

function GEM3UI_CFGColorInit(self)
 local T = getglobal ("GEM3UI_COLORPICKER");
 if T == nil then
    T = GEM3UI_ColorPickerPanelExample:CreateTexture("GEM3UI_COLORPICKER");
    T:SetPoint("TOPLEFT", 4,-4);
    T:SetPoint("BOTTOMRIGHT", -4,4);
 end 
 GEM3UI_ColorPickerPanelRT:SetText(255);
 GEM3UI_ColorPickerPanelGT:SetText(255);
 GEM3UI_ColorPickerPanelBT:SetText(255);
 
 GEM3UI_CFGDrawCalExample();
end

function GEM3UI_ColorPick()
   if GEM3UI_InitTerminated ~= true then return; end
   local T = getglobal ("GEM3UI_COLORPICKER");
   local r,g,b = GEM3UI_ColorCFGColorSelect:GetColorRGB();
   T:SetTexture(r,g,b,GEM3UI_ColorPickerPanelAS:GetValue());
end

function  GEM3UI_ColorWheel(self, delta)
 if GEM3UI_InitTerminated ~= true then return; end
 self:SetValue(self:GetValue()+(self:GetValueStep()*(-1*delta)));
end

function GEM3UI_MoreOffset(self, button)
 if GEM3UI.ServerTimeOffSet < 12 then
  GEM3UI.ServerTimeOffSet = GEM3UI.ServerTimeOffSet + 0.5
 else
  GEM3UI.ServerTimeOffSet = -12
 end
 GEM3UI_DisplayCFGOffsetLabel:SetText(GEM3UI.ServerTimeOffSet)
 GEM3UI.ServerTimeOffsetBackup =GEM3UI.ServerTimeOffSet;
 GEM3UI_Init();
end

function GEM3UI_LessOffset(self, button)
 if GEM3UI.ServerTimeOffSet > -12 then
  GEM3UI.ServerTimeOffSet = GEM3UI.ServerTimeOffSet - 0.5
 else
  GEM3UI.ServerTimeOffSet = 12
 end
 GEM3UI.ServerTimeOffsetBackup =GEM3UI.ServerTimeOffSet;
 GEM3UI_DisplayCFGOffsetLabel:SetText(GEM3UI.ServerTimeOffSet)
 GEM3UI_Init();
end

function GEM3UI_CFG_SetTimeOffset(offset, hour, minute)
  --if hour== "" or hour == "-" then return end
  --hour = tonumber(hour) or 0
  --minute = tonumber(minute) or 0
  ---local t = tonumber(GEM3UIOptionsDTF_TimeOffsetHour:GetText()) or 0;
  --if hour < -12 then hour = -12; end
  --if hour > 12 then hour = 12; end
  --local m = minute / 60
  --GEM3UIOptionsDTF_TimeOffsetHour:SetText(hour);
  --GEM3UI.ServerTimeOffSet=hour+m;
  GEM3UI.ServerTimeOffSet = tonumber(offset)
  GEM3UI.ServerTimeOffsetBackup =GEM3UI.ServerTimeOffSet;
  GEM3UI_Init();
end


function GEM3UI_CFGSubscribtionTabonShow(self)
 --GEM3UI_ConfigDefaultRoleTextLabel.id = GEM3UI[UnitName("player")].DefaultRole;
 --GEM3UI_ConfigDefaultRoleTextLabel.value = GEM3UI[UnitName("player")].DefaultRole;
 --GEM3UI_ConfigDefaultRoleTextLabel:SetText(GEM3UI_Roles[GEM3UI_GetRoleIndex(GEM3UI[UnitName("player")].DefaultRole)].name_loc);
 
 GEM3UI_ConfigDefaultRoleTextLabel.id = GEM3UI[UnitName("player")].DefaultRole;
 GEM3UI_ConfigDefaultRoleTextLabel.value = GEM3UI[UnitName("player")].DefaultRole;
 GEM3UI_ConfigDefaultRoleTextLabel:SetText(GEM3UI_Roles[GEM3UI_GetRoleIndex(GEM3UI[UnitName("player")].DefaultRole)].name_loc);
 GEM3UI_ConfigDefaultAltRoleTextLabel.id = GEM3UI[UnitName("player")].DefaultAltRole;
 GEM3UI_ConfigDefaultAltRoleTextLabel.value = GEM3UI[UnitName("player")].DefaultAltRole;
 GEM3UI_ConfigDefaultAltRoleTextLabel:SetText(GEM3UI_Roles[GEM3UI_GetRoleIndex(GEM3UI[UnitName("player")].DefaultAltRole)].name_loc);
 
end


function GEM3UI_ImportDefaultEvents(self)
 MovixLib_DDTable = MovixLib_ReleaseTable(MovixLib_DDTable, 10);
 MovixLib_DDMenuAddLine({text = GEM3UI_LocalizedStrings["_Import"], isTitle = true, textHeight = 14 })
 for defaultname, defaultevents in pairs(GEM3UI_DefaultEvents) do
    MovixLib_DDMenuAddLine({text = defaultname , hasArrow = true, func = function () GEM3UI_ImportDefaultEventsGroup(defaultname) end, value = defaultname})
    for name, event in pairs(defaultevents) do
        MovixLib_DDMenuAddLine({text = name , func = function () GEM3UI_ImportDefaultEvent(defaultname, name) end}, defaultname)
    end
 end
 MovixLib_SetDDMenu(self)
end


function GEM3UI_ImportDefaultEventsGroup(group)
  local ev = {};
  local i = 1;
  if GEM3UI_DefaultEvents[group] ~= nil then
    for evtname, evt in pairs(GEM3UI_DefaultEvents[group]) do
        local ev = GEM3UI_TblCpy(GEM3UI_Create_GetNewEvent(evt));
        ev.isTemplate=true;
        ev.id = "template"..math.fmod(time(),1000);
        ev.ev_date = 0;
        ev.deadline = 0;
        table.insert(GEM3UI.Templates, ev );
    end
    GEM3UI_MainTabClick(nil,1);
    GEM3UI_ShowTemplates:SetChecked(true);
    GEM3UI_RefreshView("GEM3UI_REFRESH_EVENT_ADD_OR_REMOVE", "CLOSE");
  end
  MovixLib_DDMenuFrame:Hide();
end

function GEM3UI_ImportDefaultEvent(group, name)
  local ev = {};
  local i = 1;
  if GEM3UI_DefaultEvents[group][name] ~= nil then
        local evt = GEM3UI_DefaultEvents[group][name]
        local ev = GEM3UI_TblCpy(GEM3UI_Create_GetNewEvent(evt));
        ev.isTemplate=true;
        ev.id = "template"..math.fmod(time(),1000);
        ev.ev_date = 0;
        ev.deadline = 0;
        table.insert(GEM3UI.Templates, ev );
    end
    GEM3UI_MainTabClick(nil,1);
    GEM3UI_ShowTemplates:SetChecked(true);
    GEM3UI_RefreshView("GEM3UI_REFRESH_EVENT_ADD_OR_REMOVE", "CLOSE");
    MovixLib_DDMenuFrame:Hide();
end



--[[function GEM3UIDefaultEventListDD()
 for defaultname, defaultevents in pairs(GEM3UI_DefaultEvents) do
  GEM3UI_DDAddLine(defaultname, defaultname, defaultname, true, false, nil);
 end
end


function GEM3UI_ImportDefaultEvents1(self)
  local ev = {};
  local i = 1;
  if GEM3UIDefaultEventListTextLabel:GetText() ~= nil then
   if GEM3UI_DefaultEvents[GEM3UIDefaultEventListTextLabel:GetText()] ~= nil then
    for evtname, evt in pairs(GEM3UI_DefaultEvents[GEM3UIDefaultEventListTextLabel:GetText()]) do
        local ev = GEM3UI_TblCpy(GEM3UI_Create_GetNewEvent(evt));
        ev.isTemplate=true;
        ev.id = "template"..math.fmod(time(),1000);
        ev.ev_date = 0;
        ev.deadline = 0;
        table.insert(GEM3UI.Templates, ev );
    end
    GEM3UI_MainTabClick(nil,1);
    GEM3UI_ShowTemplates:SetChecked(true);
    GEM3UI_RefreshView("GEM3UI_REFRESH_EVENT_ADD_OR_REMOVE", "CLOSE");
    --GEM3UI_-RefreshAll();
   end
  end
end

]]--
GEM3UI_CFG_Channellist = GA_GetTable();

function GEM3UI_SendChannelConfig()
    
end

function GEM3UI_GetValSend(name)
 for _, chan in ipairs(GEM3_QA_Channels) do
        if not chan.guild and chan.name == name then
            return "Send"
        end
 end     
end

function GEM3UI_Init_Chanlist()
    GA_ReleaseTable(GEM3UI_CFG_Channellist);
    GEM3UI_CFG_Channellist = GA_GetTable();
    if GEM3UI_chans == nil then
        GEM3UI_chans = {};
    end
    for _, chan in ipairs(GEM3_QA_Channels) do
        local c = nil
        c = GEM3UI_TblCpy(chan)
        if GEM3_CAL_MustHandle(chan.name) then
            c.BlizCal = true
        else
            c.BlizCal = false
        end
        if GEM3UI[UnitName("player")].DefaultChannel == chan.name then
            c.default= true
        else
            c.default= false
        end
        c.autoconfig = false
        if CanEditGuildInfo() then 
            local gi_lines = {strsplit("\n", GetGuildInfoText())}
            local gcc = nil
            for i, line in ipairs(gi_lines) do
                if not gcc then gcc = string.find(line, "GEMCC:") end
                if gcc and type(gcc) == "number" then
                    gcc = strtrim(string.sub(line, 7))
                    local channel_cfgs = {strsplit("#", gcc)}
                    for _, l in pairs(channel_cfgs) do
                        chanexists = false
                        local ccfg = {strsplit(",", l)}
                        if ccfg[1] == c.name then
                            c.autoconfig = true
                        end
                    end
                end
            end
        else
            c.autoconfig = nil
        end
        if not c.guild then
            c.guild = nil
            c.BlizCal = nil
        end
        tinsert(GEM3UI_CFG_Channellist, c)
    end
end

function GEM3UI_GuildChannelColor(isguildchannel)
   if  isguildchannel then
      return {1,1,0, 0.5}
   else
      return false
      
   end
end

--[[function GEM3UI_ChanListScrollUpdate()
   --if not GEM3UI_chans then return; end
   local line; -- 1 through 5 of our window to scroll
   local lineplusoffset=0; -- an index into our data calculated from the scroll offset
   local cnt = #GEM3_QA_Channels;

   for line=1,GEM3UI_DefaultChannelLines do
       local line = getglobal("GEM3UI_ChannellineFrame"..line)
       if line then
        line:Hide();
       end
   end
   FauxScrollFrame_Update(GEM3UI_CFGChanlistScroll,cnt,GEM3UI_DefaultChannelLines,14);
   for line=1,GEM3UI_DefaultChannelLines do
     lineplusoffset = line + FauxScrollFrame_GetOffset(GEM3UI_CFGChanlistScroll);
     if lineplusoffset < cnt+1 then
       GEM3UI_fillChannelLine(line, lineplusoffset );
       getglobal("GEM3UI_ChannellineFrame"..line):Show();
     end
   end
   if not GEM3UI_chans[GEM3_GuildChannelName] and IsInGuild() then
    GEM3UI_CFGChannelAddGuild:Enable()
   else
    GEM3UI_CFGChannelAddGuild:Disable()
   end
 end


function GEM3UI_fillChannelLine(i, index)
 local framename = "GEM3UI_ChannellineFrame"..i;
 local line = getglobal(framename);
 line.chan_index = index;
 local chan = GEM3_QA_Channels[index];
 --if GEM3UI_chans == nil then 
  --GEM3UI_chans = {}
 --end
 GEM3UI_chans[chan.name] = true;
 local lbl = getglobal(framename.."ChanNameLabel");
 lbl:SetText(chan.name);
 lbl = getglobal(framename.."ChanSlashLabel");
 lbl:SetText(chan.slash);
  if chan.name == GEM3_GuildChannelName and GEM3_QA_Config.debug > 0 then
  lbl:SetText("SLASHDBG");
 end
 lbl = getglobal(framename.."ChanPassLabel");
 lbl:SetText(chan.password);
 if chan.name == GEM3_GuildChannelName and GEM3_QA_Config.debug > 0 then
  lbl:SetText("MDPTEST DEBUG");
 end
 lbl = getglobal(framename.."ChanAliasLabel");
 lbl:SetText(chan.alias);
 if chan.name == GEM3_GuildChannelName and GEM3_QA_Config.debug > 0 then
  lbl:SetText("ALIASDBG");
 end
 lbl = getglobal(framename.."DefaultChan");
 if chan.name == GEM3UI[UnitName("player")].DefaultChannel then
  lbl:SetChecked(true); 
 else
  lbl:SetChecked(false); 
 end
 
 lbl = getglobal(framename.."UseBliCal");
 if GEM3_CAL_MustHandle(chan.name) then
   lbl:SetChecked(true); 
 else
  lbl:SetChecked(false); 
 end
  
 if #GEM3_QA_Channels > GEM3UI_DefaultChannelLines then
   line:SetWidth(GEM3UI_CFGChanlistScroll:GetWidth());
 else
   line:SetWidth(GEM3UI_CFGChanlistScroll:GetWidth()+18);
 end
end

]]--


function GEM3UI_CFGSetChanMustHandleCal(self)
 i = string.sub(self:GetParent():GetName(), 24)
 line = getglobal("GEM3UI_ChannellineFrame"..i);
 local chan = GEM3_QA_Channels[line.chan_index];
 GEM3_CAL_EnableCalendar(chan.name, self:GetChecked())
 GEM3UI_CFGChannelsOnShow();
end

function GEM3UI_UseBlizCal(channame)
 if not GEM3_CAL_CanCreateEvents(channame) then
  return nil
 end
 return GEM3_CAL_MustHandle(channame)
end

function GEM3UI_CFGSetChanMustHandleCalGrid(channame)
 GEM3_CAL_EnableCalendar(channame, not GEM3_CAL_MustHandle(channame))
 GEM3UI_CFGChannelsOnShow();
end



function GEM3UI_CFGIsChanDefaultGrid(channame)
    return GEM3UI[UnitName("player")].DefaultChannel == channame
end

function GEM3UI_CFGSetChanDefaultGrid(channame)
 GEM3UI[UnitName("player")].DefaultChannel = channame;
 GEM3UI_MembersFilterChannelTextLabel.value = GEM3UI[UnitName("player")].DefaultChannel;
 GEM3UI_MembersFilterChannelTextLabel:SetText(GEM3UI[UnitName("player")].DefaultChannel);
 GEM3UI_CFGChannelsOnShow(self);
end


function GEM3UI_CFGSetChanDefault(self)
 i = string.sub(self:GetParent():GetName(), 24)
 line = getglobal("GEM3UI_ChannellineFrame"..i);
 local chan = GEM3_QA_Channels[line.chan_index];
 GEM3UI[UnitName("player")].DefaultChannel = chan.name;
 GEM3UI_MembersFilterChannelTextLabel.value = GEM3UI[UnitName("player")].DefaultChannel;
 GEM3UI_MembersFilterChannelTextLabel:SetText(GEM3UI[UnitName("player")].DefaultChannel);
 GEM3UI_CFGChannelsOnShow(self);
end


function GEM3UI_ResetChannelsGrid()
  GridLib.Grids["GEM3UI_CFG_Channellist"] = MovixLib_TblCpy(GEM3UI_CFG_ChannellistGridDefaults)
  GridLib.Grids["GEM3UI_CFG_Channellist"] = MovixLib_GetGridDefaults(GEM3UI_CFG_Chanlist, "GEM3UI_CFG_Channellist", "GEM3UI_CFG_Channellist")
  GEM3UI_NewGridinitChanlist = false
  GEM3UI_CFGChannelsOnShow(self)
end




function GEM3UI_CFGChannelsOnShow(self)
    GEM3UI_CFGChannelAdd:Disable();
    GEM3UI_CFGChannelModify:Disable();
    GEM3UI_CFGChannelDelete:Disable();
    --GEM3UI_ChanListScrollUpdate();
     GEM3UI_Init_Chanlist()
    if not GEM3UI_chans[GEM3_GuildChannelName] and IsInGuild() then
      GEM3UI_CFGChannelAddGuild:Enable();
    else
      GEM3UI_CFGChannelAddGuild:Disable();
    end

     if not GEM3UI_CFG_Chanlist:IsVisible() then return end
     if GEM3UI_NewGridinitChanlist ~= true then
        MovixLib_GetGridDefaults(GEM3UI_CFG_Chanlist, "GEM3UI_CFG_Channellist", "GEM3UI_CFG_Channellist")
        MovixLib_FillData(GEM3UI_CFG_Chanlist);
        MovixLib_RefreshGrid(GEM3UI_CFG_Chanlist, true, nil, true)
        GEM3UI_NewGridinitChanlist = true
     else
        MovixLib_FillData(GEM3UI_CFG_Chanlist)
        MovixLib_RefreshGrid(GEM3UI_CFG_Chanlist)
     end

end

function GEM3UI_CFGChannEditChanged(self)
 local name = string.len(GEM3UI_CFGChanEditName:GetText());
 local alias = string.len(GEM3UI_CFGChanEditAlias:GetText());
 local slash = string.len(GEM3UI_CFGChanEditSlash:GetText());
  GEM3UI_CFGChannelAdd:Disable();
  GEM3UI_CFGChannelModify:Disable();
  GEM3UI_CFGChannelDelete:Disable();
 --if name > 0 and alias > 0 and slash > 0 and GEM3UI_CFGChanEditAllowed == true then
 if name > 0 and GEM3UI_CFGChanEditAllowed == true 
    and GEM3UI_CFGChanEditName:GetText() ~= GEM3_GuildChannelName 
    and GEM3UI_chans[GEM3UI_CFGChanEditName:GetText()] == nil
 then
    GEM3UI_CFGChannelAdd:Enable();
 end
 
 if GEM3UI_chans[GEM3UI_CFGChanEditName:GetText()] then
    if GEM3UI_CFGChanEditName:GetText() ~= GEM3_GuildChannelName then
      GEM3UI_CFGChannelModify:Enable();
    end
  GEM3UI_CFGChannelDelete:Enable();
 end
 --if GEM3UI_CFGChanEditName:GetText() == GEM3_GuildChannelName then
  --message(string.format(GEM3UI_LocalizedStrings["channelsameasguild"], GEM3_GuildChannelName));
 --end
end

function GEM3UI_CFGChanAddError(err_code)
  if not err_code then 
   GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChanneladdedFailed"], GEM3UI_CFGChanEditName:GetText()), 5);
   return
  end
  if err_code == GEM3_CHANNEL_ADD_ERROR_NOT_IN_GUILD then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelAddFailed_NotInGuild"], GEM3UI_CFGChanEditName:GetText()), 5);
  elseif err_code == GEM3_CHANNEL_ADD_ERROR_MISTAKE_GUILD_NAME then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelAddFailed_MissspelledGuildName"], GEM3UI_CFGChanEditName:GetText()), 5);
  elseif err_code == GEM3_CHANNEL_ADD_ERROR_INVALID_NAME then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelAddFailed_MissspelledName"], GEM3UI_CFGChanEditName:GetText()), 5);
  elseif err_code == GEM3_CHANNEL_ADD_ERROR_ALREADY_EXISTS  then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelAddFailed_AlreadyExist"], GEM3UI_CFGChanEditName:GetText()), 5);
  elseif err_code == GEM3_CHANNEL_ADD_ERROR_ALIAS_SLASH then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelAddFailed_AliasSlashError"], GEM3UI_CFGChanEditName:GetText()), 5);
  end
end


function GEM3UI_CFGAddGuildChan(self)
 local result, err_code = GEM3_CHAN_AddChannel(GUILD, "", "", "");
 if result then
  GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChanneladdedSuccess"], GEM3UI_CFGChanEditName:GetText()), 5);
 else
    GEM3UI_CFGChanAddError(err_code)
 end
 GEM3UI_CFGChannelsOnShow(self);
end


function GEM3UI_CFGAddChan(self, button)
 local result = GEM3_CHAN_AddChannel(GEM3UI_CFGChanEditName:GetText(),GEM3UI_CFGChanEditPass:GetText(),GEM3UI_CFGChanEditAlias:GetText(),GEM3UI_CFGChanEditSlash:GetText() );
 
 if result then
  GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChanneladdedSuccess"], GEM3UI_CFGChanEditName:GetText()), 5);
 else
  GEM3UI_CFGChanAddError(err_code)
 end
 GEM3UI_EventChannelFilters[GEM3UI_CFGChanEditName:GetText()] = true;
 GEM3UI_CFGChannelsOnShow(self);
 GEM3UI_CFGChanEditName:SetText("");
 GEM3UI_CFGChanEditAlias:SetText("");
 GEM3UI_CFGChanEditPass:SetText("");
 GEM3UI_CFGChanEditSlash:SetText("");
end

function GEM3UI_CFGDeleteChan(self, button)
 local channame = GEM3UI_CFGChanEditName:GetText()
 GEM3_CHAN_DelChannel(channame);
 GEM3UI_EventChannelFilters[channame] = nil;
 GEM3UI_chans[channame] = nil;
 if channame == GEM3UI[UnitName("player")].DefaultChannel then
    if(#GEM3_QA_Channels ~= 0)
    then
        GEM3UI[UnitName("player")].DefaultChannel = GEM3_QA_Channels[1].name
    end
 end 
 GEM3UI_CFGChannelsOnShow(self);
end


function GEM3UI_CFGChanModifyError(err_code)
  if not err_code then 
   GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelModifyFailed"], GEM3UI_CFGChanEditName:GetText()), 5);
   return
  end
  if err_code == GEM3_CHANNEL_UPDT_ERROR_NOT_FOUND then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelEditFailed_ChannelNotFound"], GEM3UI_CFGChanEditName:GetText()), 5);
  elseif err_code == GEM3_CHANNEL_UPDT_ERROR_GUILD_CHANNEL then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelEditFailed_MissspelledGuildName"], GEM3UI_CFGChanEditName:GetText()), 5);
  elseif err_code == GEM3_CHANNEL_UDP_ERROR_ALIAS_SLASH then
    GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelEditFailed_AliasSlashError"], GEM3UI_CFGChanEditName:GetText()), 5);
  end
end

function GEM3UI_CFGModifyChan(self, button)
local result = GEM3_CHAN_UpdateChannel(GEM3UI_CFGChanEditName:GetText(),GEM3UI_CFGChanEditPass:GetText(),GEM3UI_CFGChanEditAlias:GetText(),GEM3UI_CFGChanEditSlash:GetText() );
 if result then
  GEM3UI_SetStatusMessage(string.format(GEM3UI_LocalizedStrings["_ChannelModifySuccess"], GEM3UI_CFGChanEditName:GetText()), 5);
 else
  GEM3UI_CFGChanModifyError(err_code)
 end
 GEM3UI_CFGChannelsOnShow(self);
end



function GEM3UI_CFGGridChanSelect(p, row, col)
  local chan = p.data[row]
 if chan.name ~= nil then GEM3UI_CFGChanEditName:SetText(chan.name); end
 if chan.password ~= nil then GEM3UI_CFGChanEditPass:SetText(chan.password); end
 if chan.alias ~= nil then GEM3UI_CFGChanEditAlias:SetText(chan.alias); end
 if chan.slash ~= nil then GEM3UI_CFGChanEditSlash:SetText(chan.slash); end
 GEM3UI_CFGChannelDelete:Enable(); 
end

function GEM3UI_CFGChanSelect(self)
 local chan = GEM3_QA_Channels[self.chan_index];
 if chan.name ~= nil then GEM3UI_CFGChanEditName:SetText(chan.name); end
 if chan.password ~= nil then GEM3UI_CFGChanEditPass:SetText(chan.password); end
 if chan.alias ~= nil then GEM3UI_CFGChanEditAlias:SetText(chan.alias); end
 if chan.slash ~= nil then GEM3UI_CFGChanEditSlash:SetText(chan.slash); end
 GEM3UI_CFGChannelDelete:Enable();
end

function createChannelline()
 local framename;
 local parent = getglobal("GEM3UI_CFGChanlist");
 local line;
 local i;
 for i=1,GEM3UI_DefaultChannelLines do
  framename = "GEM3UI_ChannellineFrame"..i;
  line = CreateFrame("BUTTON", framename, parent, "ChannelLineTemplate");
  if i > 1 then
    line:SetPoint("TOPLEFT", getglobal("GEM3UI_ChannellineFrame"..(i-1)), "BOTTOMLEFT", 0, 0);
  else
    line:SetPoint("TOPLEFT", getglobal("GEM3UI_CFGChanlistScroll"), "TOPLEFT", 3, -3);
  end
  line:SetWidth(parent:GetWidth()-10);
  line:SetHeight(14);
  line:RegisterForClicks("LeftButtonUp", "RightButtonUp");
  line:Hide();
 end
end

function GEM3UI_FillDefaultSortDD() 
 GEM3UI_DropDowninit("Default Sorttype");
 local nameret;
 for name in pairs(GEM3_SORT_Plugins) do
   nameret=name;
   if name == GEM3UI.DefaultSorting then
    GEM3UI_DDAddLine(name, name, name, true,true, GEM3UI_CFG_SetDefaultPlugin);
   else
    GEM3UI_DDAddLine(name, name, name, true,false, GEM3UI_CFG_SetDefaultPlugin);
   end
 end
 return nameret;
end

function GEM3UI_CFG_SetDefaultPlugin(plugin)
GEM3UI.DefaultSorting = plugin;
end
