--[[
 RolePlay Event Manager GUI - Localization
 -------------------------------------
  Code: Movix - Conseil des Ombres - EU
  
]]

if GetLocale() == "frFR" then
GEM3UI_LocalizedStrings = {
 -- GUI Labels
 ["_disabled"]       = "!! INACTIF !!",
 ["_suspended"]       = "!! COM STOPPEE !!", 
 ["_lblTitle"]       = "Guild Event Manager",
 ["_core"]           = "core",
 ["_ui"]             = "interface",
 ["_version"]        = "version",
 ["_VersionGEM"]     = "GEM vers.",
 ["_NewEvents"]      = "Il y a %d évènements nouveaux ou modifiés",
 ["_NewEvent"]       = "Il y a 1 évènement nouveau ou modifié",
 ["_Options"]        = "Options",
 ["_Plugins"]        = "Plugins",
 ["_Import"]         = "Importer modèles",
 ["_AddGuild"]       = "Ajout Guilde",
 ["_GuildRank"]      = "Grade",
 ["_PlayerComment"]  = "Mon commentaire",
 ["_EnableDebug"]    = "Activer le débugage",
 ["_EventNameFilter"]= "Filtre d'évènements",
 ["_EventNameFilterActivated"] = "Evènement(s) - filtré(s)",
 ["_EventAll"]       = "Evènement(s) - non filtré(s)",
 ["_Description"]    = "Description",
 ["_Save"]           = "Enregistrer",
 ["_Delete"]         = "Supprimer",
 ["_Apply"]          = "Appliquer",
 ["_Status"]         = "Statut",
 ["_GM"]             = "GM",
 ["_Officer"]        = "Officier",
 ["_GuildMember"]    = "Membre",
 ["_GuildLess"]      = "Sans Guilde",
 ["_LastLog"]        = "vu le",
 ["_Zone"]           = "Zone",
 ["_Recover"]        = "Restaurer",
 ["_Reject"]         = "Rejeter",
 ["_Cancel"]         = "Annuler",
 ["_Tank"]           = "Tank",
 ["_Heal"]           = "Soigneur",
 ["_DPS"]            = "DPS",
 ["_Range"]          = "Distance",
 ["_Contact"]        = "CàC",
 ["_Druid"]          = "Druide",
 ["_Hunter"]         = "Chasseur",
 ["_Mage"]           = "Mage",
 ["_Paladin"]        = "Paladin",
 ["_Priest"]         = "Prêtre",
 ["_Rogue"]          = "Voleur",
 ["_Shaman"]         = "Chaman",
 ["_Warlock"]        = "Démoniste",
 ["_Warrior"]        = "Guerrier",
 ["_Hero"]           = "DK",
 ["_Date"]           = "Date",
 ["_local"]          = "local",
 ["_server"]         = "server",
 ["_Duration"]       = "Durée",
 ["_Event"]          = "Evènement",
 ["_Leader"]         = "Organisateur",
 ["_Titulars"]       = "T/Max(S)[Tot]",
 ["_Level"]          = "Level",
 ["_Location"]       = "Zone",
 ["_Comment"]        = "Commentaire",
 ["_Subscribtions"]  = "Inscriptions",
 ["_Limits"]         = "Limites",
 ["_LimitsHeader"]   = "Inscrits/Suppléants/Remplaçants/Max",
 ["_Create"]         = "Créer",
 ["_Eventlist"]      = "Evènements",
 ["_Members"]        = "Membres",
 ["_Options"]        = "Options",
 ["_Debug"]          = "Debug",
 ["_Resets"]         = "Resets",
 ["_Subscribe"]      = "S'inscrire",
 ["_Subscribetoon"]  = "Inscrire",
 ["_unsubscribe"]    = "Désinscrire",
 ["_Update"]         = "Actualiser",
 ["_Unavailable"]    = "Absent",
 ["_Revoke"]         = "Renoncer",
 ["_Edit"]           = "Modifier",
 ["_Close"]          = "Clôturer",
 ["_Open"]           = "Réactiver",
 ["_Lvl"]            = "Lvl",
 ["_Name"]           = "Nom",
 ["_Guild"]          = "Guilde",
 ["_Players"]        = "Joueurs",
 ["_Templates"]      = "Modèles",
 ["_MultipleCreate"] = "Création multiple",
 ["_CreateThisEvent"] = "Créer cet évènement les",
 ["_forThe"]          = "pour ",
 ["_weeksToCome"]     = "semaine(s) à venir",
 ["_BeginningAtSelectedDate"]     = "à partir de la date sélectionnée en haut",
 ["_CreateAsTemplate"] = "Définir un modèle",
 ["_AddMembers"]     = "Ajouter Membres",
 ["_Begin"]          = "Début",
 ["_Deadline"]       = "Limite inscription",
 ["_End"]            = "Fin prévue",
 ["_Priorityrules"]  = "Prio.",
 ["_Classes"]        = "Limites par Classes (min/max)",
 ["_Roles"]          = "Limites par Rôles (min/max)",
 ["_InviteAll"]      = "Inviter",
 ["_StopInvite"]     = "Stop Invit.",
 ["_WelcomeToEvent"] = "Bienvenue pour l'évènement %s.",
 ["_YouWereGrouped"] = "Vous etiez inscrit et groupé pour l'évènement %s. Vous allez automatiquement être réinvité car le groupage est en cours",
 ["_PartRequestForEvent"] = "Invitation par %s pour l'évènement %s.",
 ["_Ignore"]         = "Ignorer",
 ["_Add"]            = "Ajouter",
 ["_as"]             = "comme",
 ["_oras"]           = "ou",
 ["_Modify"]         = "Modifier",
 ["_EventType"]      = "Type",
 ["_TagType"]        = "Tag",
 ["_NoTagDefined"]   = "Non défini",
 ["_TagDefined"]     = "Tag défini",
 ["_Queue"]          = "Statut",
 ["_inqueue"]        = "dans la file",
 ["_Pos"]            = "Position",
 ["_Subscribed"]     = "Inscrit le",
 ["_at"]             = "à",
 ["_unknown"]        = "Inconnu",
 ["_unknownshort"]   = "I",
 ["_titular"]        = "Titulaire",
 ["_titularshort"]   = "T",
 ["_substitute"]     = "Suppléant",
 ["_substituteshort"]= "S",
 ["_replacement"]    = "Remplaçant",
 ["_replacementshort"]= "R",
 ["_not_coming"]     = "Non Disponible",
 ["_not_coming_med"] = "Non Dispo",
 ["_not_comingshort"]= "ND",
 ["_not_ackned"]     = "Non Confirmé",
 ["_not_acknedshort"]= "N/C",
 ["_discard"]        = "Refusé",
 ["_discarshort"]    = "X",
 ["_unsubscribing"]  = "Désinscrit",
 ["_unsubscribingshort"] = "D",
 ["_Time"]           = "Heure",
 ["_ShowOffline"]    = "Hors connexion",
 ["_ShowIgnored"]    = "Ignorés",
 ["_AddExternal"]    = "Ajout externe",
 ["_AddExternalTitel"] = "Evènement %s du %s\nAjout d'un joueur",
 ["_AddedExternalby"]= "Ajout externe par ",
 ["_Lookup"]         = "Chercher",
 ["_memberhasbeenignored"]  = "Le joueur %s et tous ses évènements sont maintenant ignorés!",
 ["_eventhasbeenignored"]  = "L'évènement %s (%s) de %s est maintenant ignoré!",
 ["_eventhasbeenclosed"]  = "L'évènement %s (%s) de %s est maintenant clôturé!",
 ["_GuildChannelOnly"]  = "",
 ["_RolesNClasses"]     = "Classes & Rôles",
 ["_Class"]             = "Classe",
 ["_Role"]              = "Rôle",
 ["_MembersInChannelStatus"] = "Il y a %s joueur(s) connecté(s), %s ignoré(s) sur %s joueur(s) au total",
 ["_EventsStatus"] = "Il y a %d évènement(s) dont %d clos et %d auquel(s) vous êtes inscrit et %d que vous ignorez",
 ["_EventInRecoverQueue"] = "évènement(s) à recouvrir",
 ["_UpdateTime"] = "Dernière mise à jour",
 ["cannotsubsarchived"] = "Vous ne pouvez pas vous inscrire à un évènement archivé!",
 ["cannotsubstemplate"] = "Vous ne pouvez pas vous inscrire à un modèle d'évènement.\nVeuillez utiliser l'ajout externe!",
 ["cannotsubspassed"] = "Vous ne pouvez pas vous inscrire à un évènement passé!",
 ["cannotsubsclosed"] = "Evènement clôturé!\n%s",
 ["cannotsubsignored"] = "Vous ne pouvez pas vous inscrire à un évènement que vous avez souhaité ignorer!",
 ["cannotsubsotherchan"] = "Vous ne pouvez pas vous inscrire à un évènement d'un autre canal",
 ["taggedInstancesddtitle"] = "Instances/sous type",
 ["taggedInstancesdddifficulty"] = "Mode / Difficulté",
 
 ["alreadygrouped"] = "Vous êtes déja groupé alors que le groupage d'un event GEM a commencé.\nVous serrez automatiquement réinvité durant la phase de groupage",
 ["youareinagemparty"] = "Vous refusez une invitation pour un event GEM auquel vous êtes inscrit.\nVous serrez automatiquement regroupé durant la phase de groupage",
 
 ["None"] = "Aucun",
 ["Nothing"] = "Rien",
 ["All"] = "Tous",

 ["_AddExternalHelp"] = "Vous pouvez rechercher un joueur dans la liste de vos amis ou à l'aide de la fonction /qui en cliquant sur chercher.\nEn cliquant sur le joueur recherché dans la liste qui s'affiche, les informations relatives à ce joueur sont reportées dans la fenêtre pour l'ajout.\nBien entendu il vous est également possible de cliquer sur un membre de votre guilde afin de récupérer les informations d'inscription.\nVous pouvez aussi tenter de cliquer sur un joueur qui passe devant vous !!",
 ["_Tags"] = "Tags",
 ["_TagReset"] = "Tag reset",
 
 ["_Unban"] = "Unban",
 
-- context Dropdown Playerlist
 ["Delete"]         = "Supprimer",
 ["SetNewLeader"]   = "Nouveau leader",
 ["AssistPlayer"]   = "Nommer Assistant",
 ["Queues"]         = "Listes",
 ["ForceNonePlayer"]= "Annuler File forcée",
 ["ForceTPlayer"]   = "Forcer Titulaire",
 ["ForceSPlayer"]   = "Forcer Suppléant",
 ["ForceRPlayer"]   = "Forcer Remplaçant",
 ["ForceNCPlayer"]  = "Forcer Non Dispo",
 ["KickPlayer"]     = "Ejecter",
 ["BanPlayer"]      = "Bannir",
 ["UnBanPlayer"]    = "Révoquer Bannissement",
 ["Ignore"]         = "Ignorer",
 ["UnIgnore"]       = "Désignorer",
 ["WhispPlayer"]    = "Chuchoter",
 ["InvitePlayer"]   = "Inviter",
 ["whoPlayer"]      = "Infos du Joueur",

-- Event context dd
 ["Modify"]         = "Modifier",
 ["Archive"]        = "Archiver",
 ["Open"]           = "Réactiver",
 ["Close"]          = "Clôturer",
 ["CopyasTemplate"] = "Copier en modèle",
 ["CreateNew"]      = "Transformer en nouvel évènement",



-- DIALOG TEXTS
 ["channelsameasguild"] = "Un canal custom ne peut pas avoir le nom réservé du canal guilde %s",
 ["_ConfirmMemberIgnore"] = "Voulez-vous vraiment ignorer ce joueur ?\nCeci vous fera également ignorer tous les évènements de ce joueur.\nDésignorer ce joueur vous est possible, cependant tous les évènements créés par ce joueur avant la révocation du \"Ignorer\" resteront invisibles tant qu'ils ne seront pas de nouveau reçus",
 ["_ConfirmEventIgnore"] = "Voulez-vous vraiment ignorer cet évènement ?\nCet évènement ignoré ne vous sera plus accessible.\nDésignorer cet évènement vous est possible par la suite, cependant il vous restera invisible tant qu'il ne sera pas de nouveau reçu.",
 ["_ConfirmEventClose"] = "Voulez-vous vraiment clôturer cet évènement ?\n\nVeuillez saisir une raison",
 ["_ConfirmPlayerKick"] = "Voulez-vous vraiment éjecter ce joueur de la liste des inscrits?\n\nVeuillez saisir une raison",
 ["_ConfirmPlayerBan"] = "Voulez-vous vraiment bannir ce joueur de la liste des inscrits?\n\nVeuillez saisir une raison",
 ["_ConfirmEventRecover"] = "Etes-vous bien sur de vouloir restaurer cet évènement? la restauration est une opération irréversible!",
 ["_ConfirmEventRecoverReject"] = "Si vous rejetez cet évènement, il ne vous sera plus proposé au cours de votre session de jeu, ainsi que toute autre version antérieurement modifiée. Etes-vous bien sûr de vouloir rejeter cet événement ?",
 ["_ConfirmEventRecoverDelete"] = "Si vous supprimez cet évènement, il sera effacé chez tous les joueurs de manière irréversible. Etes-vous bien sûr de vouloir effacer cet évènement ?",
 ["_ConfirmEventArchiveDelete"] = "Voulez-vous vraiment supprimer cet évènement archivé?",
 ["_ConfirmEventDelete"] = "Voulez-vous vraiment supprimer cet évènement?",
 ["_ConfirmCancelEventEdit"] = "Vous avez des données non enregistrées sur l'édition de cet évènement.\nsi vous quittez l'édition vous perdez ces informations.\nVoulez-vous continuer ?",
 ["_ConfirmSetTimeRef"] = "..:: ATTENTION ::..\nSi vous vous définissez comme référence de temps, l'heure de votre PC sera annoncée comme heure de référence dans le réseau GEM. Une heure érronée sur votre système pourra être à l'origine d'incohérences dans la gestion des évènements.\nVous pouvez installer un synchroniseur de temps gratuit: http://nettime.sourceforge.net\n\nEtes-vous certain d'avoir la bonne heure (heure/date/timezone) sur votre PC ?",
 ["_ConfirmTimeRefConflict"] = "..:: ATTENTION ::..\nUne incohérence au niveau de l'heure/date/timezone a été détectée et vous semblez en être la cause.\nVous n'êtes plus considéré comme heure de référence, le paramètre dans vos options à été modifié.\nVous pouvez installer un synchroniseur de temps gratuit: http://nettime.sourceforge.net",
 ["_ConfirmIncorrectTimeSettings"] = "..:: ATTENTION ::..\nL'heure/date/timezone de votre PC ne semble pas correspondre à celle diffusée sur le réseau.\nVotre GEM est désactivé pour la session en cours et vous ne recevez et n'émettez plus de messages.\nVeuillez corriger votre heure/date/timezone afin que GEM refonctionne.\nVous pouvez installer un synchroniseur de temps gratuit: http://nettime.sourceforge.net",
 ["_ConfirmUpgradeNeeded"] = "Votre version GEM n'est pas à jour.\nCela entraîne l'arrêt de tout échange sur le réseau GEM.\n\nVeuillez procéder à la mise à jour de GEM3_Core",
 
 ["_KickBanNotify"] = "Vous avez été bannis ou rejeté par %s de l'évènement %s pour la raison suivante:%s",
 ["_UnBanNotify"] = "Votre bannissement de l'évènement %s a été révoqué par %s",
 --[""] = "",
 
 
 -- Options TAB
 ["_Dateandtimeformats"] = "Paramètres de date et d'heure",
 ["_FirstWeekDay"] = "1er jour de semaine",
 ["_Monday"] = "Lundi",
 ["_Sunday"] = "Dimanche",
 ["_DateFormat"] = "Format de la date",
 ["_Dateformat1"] = "jj/mm/aaaa",
 ["_Dateformat2"] = "aaaa/mm/jj",
 ["_Dateformat3"] = "mm/jj/aaaa",
 ["_Show Wday"] = "Aff. J. de Sem.",
 ["_DateFormatSep"] = "Séparateur de date",
 ["_TimeOffset"] = "Décalage heure serveur",
 ["_TimeReference"] = "Je suis heure de référence",
 ["_ColorPick"] = "Sélecteur de couleur",
 ["_R"] = "R",
 ["_G"] = "V",
 ["_B"] = "B",
 ["_OnlyMytoonchannels"] = "Afficher uniquement les canaux de ce personnage",
 ["_ChanneladdedSuccess"] = "Le canal %s a été ajouté avec succès",
 ["_ChanneladdedFailed"] = "Une erreur est survenue lors de l'ajout du canal %s. le canal n'a pas été ajouté",
 ["_ChannelModifySuccess"] = "Le canal %s a été modifié avec succès",
 ["_ChannelModifyFailed"] = "Une erreur est survenue lors de la modification du canal %s. le canal n'a pas été modifié",
 
 ["_ChannelEditFailed_ChannelNotFound"]  = "Une erreur est survenue lors de la modification du canal %s, canal pas trouvé",
 ["_ChannelEditFailed_MissspelledGuildName"]  = "Une erreur est survenue lors de la modification du canal %s, Nom du canal incorrect",
 ["_ChannelEditFailed_AliasSlashError"]  = "Une erreur est survenue lors de la modification du canal %s, Erreur Slash ou Alias",
 ["_ChannelAddFailed_NotInGuild"]  = "Une erreur est survenue lors de l'ajout du canal %s, Vous n'êtes pas dans une guilde",
 ["_ChannelAddFailed_MissspelledGuildName"]  = "Une erreur est survenue lors de l'ajout du canal %s, nom du canal de guilde incorrect",
 ["_ChannelAddFailed_MissspelledName"]  = "Une erreur est survenue lors de l'ajout du canal %s, nom du canal incorrect",
 ["_ChannelAddFailed_AlreadyExist"]  = "Une erreur est survenue lors de l'ajout du canal %s, ce canal existe déjà",
 ["_ChannelAddFailed_AliasSlashError"]  = "Une erreur est survenue lors de l'ajout du canal %s, Erreur Slash ou Alias",

 
 ["_ChanName"] = "Nom du canal",
 ["_Password"] = "Mot de passe",
 ["_Alias"] = "Alias",
 ["_Slash"] = "Slash",
 ["_Notify"] = "Notifier",
 ["_Default"] = "Standard",
 ["_ArchiveBeforeDelete"] = "Archive avant suppression",
 
 ["_MyEventExpireDelay"] = "Delais de suppression de mes events passés",
 ["_EventExpireDelay"] = "Delais de suppression des events passés",
 ["_min"] = "min.",
 ["_hrs"] = "hrs.",
 ["_DefaultTime"] = "Heure standard pour un nouvel event",
 ["_DefaultDuration"] = "Durée standard pour un nouvel event",
 ["_ShowTooltips"] = "Afficher les infosbules d'aide",
 ["_AutoSubScribe"] = "Inscription auto à mes propres events",
 ["_AutoSubScribeCreate"] = "Inscription auto",
 ["_MyDefaultRole"] = "Rôle par défaut",
 ["_MyDefaultAltRole"] = "Rôle secondaire par défaut",
 ["_DefaultSortPlugin"] = "Classement par défaut",
 ["_ShowArchive"] = "A",
 ["_ShowTemplates"] = "M",


 
 

 
 
 
 ["_Generaloptions"] = "Options globales",
 ["_DateNHour"] = "Date&heure",
 ["_Channels"] = "Canaux",
 ["_Substab"] = "Actions",
 ["_Lists"] = "Listes",
 ["_Colors"] = "Couleurs",
 ["_General"] = "Général",
 ["_ShowMinimapIcon"] = "Afficher l'icône de la minimap",
 ["_PlaysoundOnNotify"] = "Notification audio",
 ["_NotifyNew"] = "Notifier nouveaux",
 ["_NotifyEdit"] = "Notifier modifications",
 ["_NotifyOwn"] = "Notifier mes events",
 ["_NotifySubscription"] = "Notifier inscriptions",
 ["_NotifyDateChange"] = "Notifier dates modifiées",
 ["_NotifyKickBan"] = "Notifier les bannissements et rejets",
 ["_Notifications"] = "Notifications",
 ["_BlockInviteWhisp"] = "Bloquer chuchotement d'invit.",
 ["_AutoDisableInstance"] = "Désacivation GEM en instances",
 
 ["_TimeFormat"]    = "Format de l'heure",
 ["_Timeformat1"] = "24h",
 ["_Timeformat2"] = "12h",
 ["_UseServerTime"] = "Utiliser l'heure serveur",
 
 ["_EventlistOptions"] = "Options de la liste d'évènements",
 ["_ShowLevelCol"] = "Colone des niveaux",
 ["_ShowTagiconCol"] = "Colone des tags",
 ["_ShowLeaderCol"] = "Colone des Organisateurs",
 ["_ShowLeaderIconCol"] = "Colone d'icone de leader",
 ["_ShowSubsCol"] = "Colone des inscriptions",
 ["_ShowLimitsIconCol"] = "Colone des limites",
 ["_ShowEventIconCol"] = "Colone d'icone de l'évènement",
 
 ["_CalendarColors"] = "Couleurs du calendrier",
 ["_TopLeft"] = "Coin en haut à gauche",
 ["_DayHeaders"] = "Jour de semaine",
 ["_WeekHeaders"] = "Numéros de semaines",
 ["_NormalDay"] = "Jour normal",
 ["_Today"] = "Aujourd'hui",
 ["_WithEvent"] = "Jour avec évènement",
 ["_WithSubscription"] = "Jour avec inscription",
 ["_SelectedDay"] = "Jour sélectionné",
 ["_MouseOver"] = "Surbrillance souris",
 ["_PrevNextMonthDays"] = "Jours mois suivant/précédent",
 ["_O"] = "E",
 ["_I"] = "I",
 ["_T"] = "T",

 ["_Channel"] = "Canal",
 ["_SubscriptionDefaults"] = "Paramètres d'inscription",

 ["GEM3_DEBUG_NONE"]        = "Rien",
 ["GEM3_DEBUG_GLOBAL"]      = "Global",
 ["GEM3_DEBUG_PROTOCOL"]    = "Protocole",
 ["GEM3_DEBUG_CHANNEL"]     = "Canal",
 ["GEM3_DEBUG_EVENTS"]      = "Events",
 ["GEM3_DEBUG_COMMANDS"]    = "Commandes",
 ["GEM3_DEBUG_SUBSCRIBERS"] = "Inscriptions",
 ["GEM3_DEBUG_SORT"]        = "Priorité",
 ["GEM3_DEBUG_QUEUES"]      = "Files",
 ["GEM3_DEBUG_WARNING"]     = "Avertissement",
 ["GEM3_DEBUG_TIMESTAMP"]   = "Tampon temps",
 ["GEM3_DEBUG_ALL_MASK"]    = "Tout",
 
 
 
 -- Errormessages
 ["_CrashedEventWarning"] = "..::!! ATTENTION : EVENEMENT PERDU !!::..",
 ["_CrashedEventQuestion"] = "Vérifiez les informations de l'évènement avant de le restaurer, puisqu'il se peut que le joueur qui vous le propose n'ait pas la dernière version en date.\nVous pouvez donc choisir d'ignorer celui-ci et attendre une version plus récente.\nSi jamais vous le restaurez et qu'une version plus récente se déclare, vous aurez toujours la possibilité de mettre à jour à ce moment là.",
 ["COREINCOMPATIBLE"] = "..: La version %s de GEM3_Core n'est pas compatible\navec cette version %s de l'interface.\nVeuillez procéder à la mise à jour de\ntous les  modules GEM :..",
 ["CoreUpgradeNeeded"] = "GEM3 est incompatible, vous devez procéder à la mise à jour vers la version %s\n(http://www.wowgem.fr pour plus de détails)",
 ["CoreUpgradeSugested"] = "GEM3 n'est pas à jour, il est recommandé de procéder à la mise à jour vers la version %s\n(http://www.wowgem.fr pour plus de détails)",




 -- Tooltips
 ["OptionsTooltip"]            = "Options",
 ["CloseTooltip"] = "Fermer la fenêtre",
 ["tt_GEM3MinimapButton1"]   = "Glisser click droit pour modifier l'angle",
 ["tt_GEM3MinimapButton2"]   = "Glisser Click droit + CTRL pour modifier le rayon",
 ["tt_GEM3MinimapButton3"]   = "Click droit pour intérrompre la communication GEM",
 ["tt_GEM3MinimapButton4"]   = "ATTENTION: Lorsque désactivé, aucun évènement, inscription ou quoi ce soit d'autre n'est émis ou receptionné par votre GEM",
 ["tt_GEM3UI_GeneraloptionsTabDebug1"] = "Cette option vous permet d'activer ou de désactiver le débugage",
 ["tt_GEM3UI_GeneraloptionsTabDebug2"] = "Une fois activé vous pouvez faire d'autres réglages concernant le niveau de debug",
 ["tt_GEM3UI_GeneraloptionsTabDebug3"] = "ainsi que l'archivage des messages de débug dans la fenêtre 'DEBUG'",
 ["tt_GEM3UIDefaultEventList1"] = "Choisissez parmi différentes listes de modèles\nafin de les importer dans les modèles d'évènements";
 ["tt_GEM3UITextColor1"] = "Activez la case correspondant à la ligne\npour laquelle vous souhaitez modifier\nla couleur du texte",
 ["tt_GEM3UIInnerColor1"] = "Activez la case correspondant à la ligne\npour laquelle vous souhaitez modifier\nla couleur de la case du calendrier",
 ["tt_GEM3UIOuterColor1"] = "Activez la case correspondant à la ligne\npour laquelle vous souhaitez modifier\nla couleur du cadre de la case du calendrier",
 ["tt_GEM3UI_ColorCFGColorSelect1"] = "En cliquant sur l'éventail de couleur, vous choisissez une couleur.\nEn cliquant sur le dégradé noir et banc vous choisissez l'éclairage",
 ["tt_GEM3UI_ColorPickerPanelAS1"] = "réglez ici la transparence pour la couleur choisie",
 ["tt_GEM3UI_ColorPickerPanelRT1"] = "Ceci est la valeur numérique du canal rouge de la couleur choisie.\nVous pouvez directement modifier cette valeur pour changer la couleur",
 ["tt_GEM3UI_ColorPickerPanelGT1"] = "Ceci est la valeur numérique du canal vert de la couleur choisie.\nVous pouvez directement modifier cette valeur pour changer la couleur",
 ["tt_GEM3UI_ColorPickerPanelBT1"] = "Ceci est la valeur numérique du canal bleu de la couleur choisie.\nVous pouvez directement modifier cette valeur pour changer la couleur",
 
 ["tt_GEM3UI_CFGChanEditSlash1"] = "Ce texte définit la 'commande slash' qui vous permettra de parler sur ce canal\npar exemple GEM pour vous permettre de parler sur ce canal en tappant /GEM dans le chat",
 ["tt_GEM3UI_CFGChanEditAlias1"] = "Ceci est le texte qui sera affiché devant les messages de ce canal",
 ["tt_GEM3UI_CFGChanEditPass1"] = "Ceci est le mot de passe du canal",
 ["tt_GEM3UI_CFGChanEditName1"] = "Définissez le nom du canal dans cette case.",
 ["tt_GEM3UIMyEventExpireDelay1"] = "Delai au-delà duquel mes propres évènements sont supprimés de ma liste d'évènements",
 ["tt_GEM3UIEventExpireDelay1"] = "Delai au-delà duquel les évènements des autres membres sont supprimés de ma liste d'évènements",
 ["tt_GEM3UIOptionsDTF_TimeOffset1"] = "L'heure des évènements que vous créez sera automatiquement\najustée par cette valeur pour correspondre à l'heure du serveur.\nIl en va de même pour les évènements affichés",
 ["tt_GEM3UIOptionsDTF_DateSep1"] = "Modifiez ici le symbole séparateur de date qui se trouve entre jour, mois et année.",
 ["tt_GEM3UIOptionsDTF_TimeReference1"] = "Attention, en activant cette case\nl'heure de votre PC servira d'heure de référence sur les canaux auxquels vous êtes connecté.",
 ["tt_GEM3UIAutoSubscribe1"] = "En activant cette case vous serez automatiquement inscrit dans les évènements que vous créez",
 ["tt_GEM3UI_ConfigDefaultRole1"] = "Définissez ici le rôle par défaut pour ce personnage",
 ["tt_GEM3UI_cfgAutoArchive1"] = "Archiver les évènements avant leur suppression",
 
 ["tt_GEM3UI_chk_EventlistOptions1"] = "Options de la liste d'évènements",
 ["tt_GEM3UI_chk_ShowLevelCol1"] = "Colone des niveaux",
 ["tt_GEM3UI_chk_ShowTagiconCol1"] = "Colone des tags",
 ["tt_GEM3UI_chk_ShowLeaderCol1"] = "Colone des Organisateurs",
 ["tt_GEM3UI_chk_ShowLeaderIconCol1"] = "Colone d'icone de leader",
 ["tt_GEM3UI_chk_ShowSubsCol1"] = "Colone des inscriptions",
 ["tt_GEM3UI_chk_ShowLimitsIconCol1"] = "Colone des limites",
 ["tt_GEM3UI_chk_ShowEventIconCol1"] = "Colone d'icone de l'évènement",
 
 ["LimitsTitel"] = "Code couleur des limites",
 ["LimitsRed"] = "Rouge = Minimas non remplis",
 ["LimitsYellow"] = "Jaune = Minimas remplis par les titulaires + les remplaçants",
 ["LimitsGreen"] = "Vert = Minimas remplis par les titulaires",
 
 ["tt_GEM3UI_CFG_NotifyKickban1"] = "Notifier les bannissement et rejets d'un évènement\nainsi que le actions de révocations de bannissement.\n\Attention ce message vous sera affiché même en combat.",
 ["tt_GEM3UI_CFG_NotifySubs1"] = "En cochant cette case, vous serez averti\ndes modifications d'inscriptions d'évènements par\nclignotement de l'icône de la minimap",
 ["tt_GEM3UI_CFG_NotifyNew1"] = "En cochant cette case, vous serez averti\nlors de l'arrivée de nouveaux évènements par\nclignotement de l'icône de la minimap",
 ["tt_GEM3UI_CFG_NotifyEdit1"] = "En cochant cette case, vous serez averti\ndes modifications de données d'évènements par\nclignotement de l'icône de la minimap",
 ["tt_GEM3UI_CFG_NotifyDateChange1"] = "En cochant cette case, vous serez averti\ndes modifications d'une date d'évènement par\nclignotement de l'icône de la minimap",
 ["tt_GEM3UI_CFG_BlockInviteWhisp1"] = "Bloquer le chuchotement lors du processus d'invitation automatique",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderTIT1"] = "Cette colonne représente les totaux de Titulaires,\nceux qui ont une place attribuée pour cet évènement",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderSUB1"] = "Cette colonne représente les totaux de Suppléants,\nceux qui sont disponibles et remplaceront un titulaire absent",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderREP1"] = "Cette colonne représente les totaux de Remplaçants,\nceux qui sont disponibles si vraiment il le faut",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderMIN1"] = "Cette colonne représente les totaux de minimas de classes\net de rôles requis pour cet évènement",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderMAX1"] = "Cette colonne représente les totaux de maximas de classes\net de rôles requis pour cet évènement",
 
 ["tt_GEM3UI_SUB_Comment1"] = "Veuillez saisir dans ce champ\nun éventuel commentaire pour votre inscription.",
 
 ["tt_GEM3UI_ShowArchive1"] = "Afficher les évènements archivés",
 ["tt_GEM3UI_ShowTemplates1"] = "Afficher les modèles actuellement installés\npour la création de nouveaux évènements.",
 
 ["tt_MultipleCreateTitel1"] = "A l'aide des paramètres suivants vous pouvez créer l'évènement\nque vous avez défini à plusieurs dates.\nVeuillez simplement choisir les options de récurrence.",
 
 ["tt_AddExternalLookupStayopen1"] = "Si cette case est cochée, la fenêtre de recherche\nainsi que la fenêtre d'ajout resteront ouvertes\npour permettre des séléctions / ajouts multiples.",
 
 ["_FirstRunHelp"] = "Bienvenue sur GEM!\nCeci est votre premier lancement de GEM.\n\nVeuillez prendre une petite minute pour parcourir les onglets de la configuration afin de profiter au maximum des possibilités de GEM3",
 
 ["_FirstGridRun"] = "Cette version de GEM utilise une nouvelle forme d'affichage des tableaux. Si vous souhaitez revenir a l'ancienne forme d'affichage, vous pouvez faire cela dans les options dans l'onglet 'listes'",
 
 
 -- System messages
 ["GEM3UILOADED"]           = "|cffffff00GEM3 UI V. %s chargé. Utiliser |cffffffff/GEM ou /GEM3|cffffff00 pour afficher l'interface",
 ["GEM3UIRESET"]           = "|cffffff00Utiliser |cffffffff/GEM reset ou /GEM3 reset|cffffff00 pour reinitialiser les paramètres et données de GEM en cas de soucis",
 ["GEM3UIDEBUG"]            = "Use /GEM debug pour afficher la fenêtre de débogage",
 ["GEM3UIHELP"]             = "Use /GEM help pour plus d'options",
 ["NEEDRESTARTUI"]          = "Pour que cette option prenne effet, vous devez recharger votre interface ou relancer WoW",
 ["_LogDebug"]              = "Enregistrer le journal de debug",
 ["_DebugLevel"]            = "Niveau de détails",
 ["YouHaveAnIncompatibleVersion"]    = "Votre Version GEMUI est incompatible. Vous devez procéder à une mise a jour!!",
 ["YouHaveAnOldVersion"]             = "Votre Version GEMUI n'est pas à jour!! Une partie des fonctionnalités ne vous sera pas accessible",
 ["YouHaveAnOutdatedVersion"]        = "Votre Version GEMUI n'est pas à jour!! Une mise à jour mineure est disponible",

 ["_CoreEvents"] = "Base de données évènements",
 ["_CoreCFG"] = "Configuration du core",
 ["_UIreset"] = "Paramètres d'interface",
 ["_TemplatesReset"] = "Réinitialisation des modèles",
 ["_Reset"] = "R E S E T",
 ["_ResetInfos"]        = "Attention le reset des données est irréverssible.\nCependant les events étant répartis sur tous les joueurs du réseaux ils ne sont pas pour autant perdus. Les evenements pour lesquels vous etes leader vous seront proposés afin de les restaurer.\n(Déco-Reco requise)\nEn revanche si une erreur des données grave c'est répendue dans le réseau GEM, un reset chez chaque joueur s'impose et en tant que leader d'évènements vous devrez en refuser la restauration pour ne pas récupérer et répendre ces erreur à nouveau.\n\nVotre interface sera automatiquement rechargée apres confirmation du reset.",
 
 
 ["PlayerKnowNewerVersion"] = "%s du canal %s\nconnait la version GEM3UI : %s",
 
 ["GEM3OnPlayerLeftChannel"] = "Un joueur quitte le canal",
 ["GEM3OnPlayerJoinedChannel"] = "Un joueur rejoint le canal",
 
 -- Calendar
 ["month"] = {
     [1] = "Janvier",
     [2] = "Février",
     [3] = "Mars",
     [4] = "Avril",
     [5] = "Mai",
     [6] = "Juin",
     [7] = "Juillet",
     [8] = "Août",
     [9] = "Septembre",
     [10] = "Octobre",
     [11] = "Novembre",
     [12] = "Décembre",
    },
["monthshort"] = {
     [1] = "Jan",
     [2] = "Fev",
     [3] = "Mar",
     [4] = "Avr",
     [5] = "Mai",
     [6] = "Jui",
     [7] = "Jui",
     [8] = "Aou",
     [9] = "Sep",
     [10] = "Oct",
     [11] = "Nov",
     [12] = "Déc",
    },
["day"] = {
     [0] = "dimanche",
     [1] = "lundi",
     [2] = "mardi",
     [3] = "mercredi",
     [4] = "jeudi",
     [5] = "vendredi",
     [6] = "samedi",
     [7] = "dimanche",
    },
["dayshort"] = {
     [0] = "dim",
     [1] = "lun",
     [2] = "mar",
     [3] = "mer",
     [4] = "jeu",
     [5] = "ven",
     [6] = "sam",
     [7] = "dim",
    },
["day1letter"] = {
     [0] = "D",
     [1] = "L",
     [2] = "M",
     [3] = "M",
     [4] = "J",
     [5] = "V",
     [6] = "S",
     [7] = "D",
    },
    
["EventTypesToolbarButtonsTooltip"] = "Afficher/Cacher les évènements\nde type %s", 
["EventTypes"] = {
 [GEM3_EVT_TYPE_NONE] =               { tbin = "interface\\icons\\spell_holy_sealofwrath" ,         tbip="interface\\icons\\spell_holy_sealofwrath",          shortext = "N", longtext="Standard", },
 [GEM3_EVT_TYPE_TEST] =               { tbin = "interface\\icons\\spell_shadow_sacrificialshield",  tbip="interface\\icons\\spell_shadow_sacrificialshield",  shortext = "T", longtext="Test", },
 [GEM3_EVT_TYPE_RESET] =              { tbin = "interface\\icons\\spell_shadow_lastingafflictions", tbip="interface\\icons\\spell_shadow_lastingafflictions", shortext = "R", longtext="Resets", },
 [GEM3_EVT_TYPE_LFG] =                { tbin = "interface\\lfgframe\\battlenetworking0",            tbip="interface\\lfgframe\\battlenetworking0",            shortext = "LFG", longtext="Recherche Groupe", },
 [GEM3_EVT_TYPE_POLL] =               { tbin = "interface\\icons\\ability_hunter_beastcall",        tbip="interface\\icons\\ability_hunter_beastcall",        shortext = "?", longtext="Sondage", },
 [GEM3_EVT_TYPE_PLAYER_AVALABILITY] = { tbin = "interface\\icons\\spell_holy_fanaticism",           tbip="interface\\icons\\spell_holy_fanaticism",           shortext = "D", longtext="Disponibilité", },
 [GEM3_EVT_TYPE_RAID_AVAILABILITY] =  { tbin = "interface\\icons\\spell_holy_prayerofspirit",       tbip="interface\\icons\\spell_holy_prayerofspirit",       shortext = "R", longtext="Prévision Raid", },
 [GEM3_EVT_TYPE_INSTANCE5] =          { tbin = "interface\\icons\\ability_creature_cursed_01",      tbip="interface\\icons\\ability_creature_cursed_01",      shortext = "5", longtext="Instances 5", },
 [GEM3_EVT_TYPE_INSTANCE5_BC] =       { tbin = "interface\\icons\\ability_creature_cursed_04",      tbip="interface\\icons\\ability_creature_cursed_04",      shortext = "BC", longtext="Instances BC" , },
 [GEM3_EVT_TYPE_INSTANCE5_WOTLK] =    { tbin = "interface\\icons\\ability_creature_disease_05",     tbip="interface\\icons\\ability_creature_disease_05",     shortext = "WOLK", longtext="Instances WOTLK", },
 [GEM3_EVT_TYPE_INSTANCE5_WOTLKH] =   { tbin = "interface\\icons\\ability_creature_disease_05",     tbip="interface\\icons\\ability_creature_disease_05",     shortext = "WOLK", longtext="Instances WOTLK", },
 [GEM3_EVT_TYPE_INSTANCE5_BCH] =      { tbin = "interface\\icons\\ability_creature_cursed_02",      tbip="interface\\icons\\ability_creature_cursed_02",      shortext = "H", longtext="Instances Héroiques", },
 [GEM3_EVT_TYPE_RAID] =               { tbin = "interface\\icons\\inv_scarab_crystal",              tbip="interface\\icons\\inv_scarab_crystal",              shortext = "40", longtext="Raids pré BC", },
 [GEM3_EVT_TYPE_RAID_BC] =            { tbin = "interface\\icons\\ability_druid_empoweredtouch",    tbip="interface\\icons\\ability_druid_empoweredtouch",    shortext = "RBC", longtext="Raids BC", },
 [GEM3_EVT_TYPE_RAID_WOTLK] =         { tbin = "interface\\icons\\ability_druid_dreamstate",        tbip="interface\\icons\\ability_druid_dreamstate",        shortext = "RLK", longtext="Raids WOTLK", },
 [GEM3_EVT_TYPE_RAID_WOTLKH] =        { tbin = "interface\\icons\\ability_druid_galewinds",        tbip="interface\\icons\\ability_druid_galewinds",        shortext = "RLK", longtext="Raids 25 WOTLK", },
 [GEM3_EVT_TYPE_PVP] =                { tbin = "interface\\icons\\ability_druid_ferociousbite",     tbip="interface\\icons\\ability_druid_ferociousbite",     shortext = "PvP", longtext="PvP", },
 [GEM3_EVT_TYPE_GUILD_EVENT] =        { tbin = "interface\\icons\\ability_eyeoftheowl",             tbip="interface\\icons\\ability_eyeoftheowl",             shortext = "G", longtext="Guilde", },
} ,


 ["guildEvents"] = "Evènement Guilde",
 ["OfficerMeeting"] = "RDV Officiers",
 ["OfficerMeetingComment"] = "",
 ["GuildSocialEvent"] = "Evènement guilde",
 ["GuildSocialEventComment"] = "",
 ["Birthday"] = "Anniversaire",
 ["BirthdayComment"] = "",
 ["Quest5"] = "Quête à 5",
 ["Quest5Comment"] = "",
 ["Quest10"] = "Quête à 10",
 ["Quest10Comment"] = "",
 ["DailyQuest"] = "Quête journalière",
 ["DailyQuestComment"] = "",
 ["DailyHero"] = "Hero du jour",
 ["DailyHeroComment"] = "",
 ["WeeklyRaid"] = "Raid hebdomadaire",
 ["WeeklyRaidComment"] = "",


 
 ["PreBCEventsRaid"] = "Raids pré BC",
 ["UBRS"] = "Mont rochenoire supérieur",
 ["UBRSComment"] = "",
 ["ZG_Short"] = "ZG",
 ["ZG"] = "Zul'Gurub",
 ["ZGComment"] = "",
 ["AQ20_Short"] = "AQ20",
 ["AQ20"] = "Les Ruines d'Ahn'Qiraj",
 ["AQ20Comment"] = "",
 ["AQ40_Short"] = "AQ40",
 ["AQ40"] = "Le Temple d'Ahn'Qiraj",
 ["AQ40Comment"] = "",
 ["ONY_Short"] = "ONY",
 ["ONY"] = "Le repaire d'Onyxia",
 ["ONYComment"] = "",
 ["MC_Short"] = "MC",
 ["MC"] = "Le coeur du magma",
 ["MCComment"] = "",
 ["NAX_Short"] = "NAX",
 ["NAX"] = "Naxxramas",
 ["NAXComment"] = "",
 ["BWL_Short"] = "BWL",
 ["BWL"] = "Le repaire de l'aile noire",
 ["BWLComment"] = "",
 
 ["BCEventsInstance5"] = "Instances 5 joueurs BC ",
 ["HellfireRamp"] = "Les remparts",
 ["HellfireRampComment"] = "",
 ["BloodFum"] = "La fournaise",
 ["BloodFumComment"] = "",
 ["SlavePens"] = "L'enclos aux esclaves",
 ["SlavePensComment"] = "",
 ["Underbog"] = "Basse tourbière",
 ["UnderbogComment"] = "",
 ["ManaTomb"] = "Tombe Mana",
 ["ManaTombComment"] = "",
 ["Crypt"] = "Les crypte d'Auchenai",
 ["CryptComment"] = "",
 ["Sethek"] = "Les salles de Sethekk",
 ["SethekComment"] = "",
 ["Steamvault"] = "Le caveau de la vapeur",
 ["SteamvaultComment"] = "",
 ["ShadowLab"] = "Le labyrinthe",
 ["ShadowLabComment"] = "",
 ["Mechenar"] = "Le Mechanar",
 ["MechenarComment"] = "",
 ["Botanica"] = "La Botanica",
 ["BotanicaComment"] = "",
 ["Arcatraz"] = "L'Arcatraz",
 ["ArcatrazComment"] = "",
 ["ShatHall"] = "Les salles brisées",
 ["ShatHallComment"] = "",
 ["CoT1"] = "Les contreforts d'hautebrande",
 ["CoT1Comment"] = "",
 ["CoT2"] = "Le noir marécage",
 ["CoT2Comment"] = "",
 
 ["BCEventsInstance5Heroic"] = "Instances héroiques",
 ["HellfireRampH"] = "Les remparts héroique",
 ["HellfireRampHComment"] = "",
 ["BloodFumH"] = "La fournaise héroique",
 ["BloodFumHComment"] = "",
 ["SlavePensH"] = "L'enclos aux esclaves héroique",
 ["SlavePensHComment"] = "",
 ["UnderbogH"] = "Basse tourbière héroique",
 ["UnderbogHComment"] = "",
 ["ManaTombH"] = "Tombe Mana héroique",
 ["ManaTombHComment"] = "",
 ["CryptH"] = "Les crypte d'Auchenai héroique",
 ["CryptHComment"] = "",
 ["SethekH"] = "Les salles de Sethekk héroique",
 ["SethekHComment"] = "",
 ["SteamvaultH"] = "Le caveau de la vapeur héroique",
 ["SteamvaultHComment"] = "",
 ["ShadowLabH"] = "Le labyrinthe héroique",
 ["ShadowLabHComment"] = "",
 ["MechenarH"] = "Le Mechanar héroique",
 ["MechenarHComment"] = "",
 ["BotanicaH"] = "La Botanica héroique",
 ["BotanicaHComment"] = "",
 ["ArcatrazH"] = "L'Arcatraz héroique",
 ["ArcatrazHComment"] = "",
 ["ShatHallH"] = "Les salles brisées héroique",
 ["ShatHallHComment"] = "",
 ["CoT1H"] = "Les contreforts d'hautebrande héroique",
 ["CoT1HComment"] = "",
 ["CoT2H"] = "Le noir marécage héroique",
 ["CoT2HComment"] = "",
 
 ["BCEventsRaid"] = "Raids BC",
 ["Karazhan_Short"] = "Kara",
 ["Karazhan"] = "Karazhan",
 ["KarazhanComment"] = "",
 ["ZA_Short"] = "ZA",
 ["ZA"] = "Zul'Aman",
 ["ZAComment"] = "",
 ["Gruul_Short"] = "Gruul",
 ["Gruul"] = "Le repaire de Gruul",
 ["GruulComment"] = "",
 ["Magtheridon_Short"] = "Magthé",
 ["Magtheridon"] = "Le repaire de Magthéridon",
 ["MagtheridonComment"] = "",
 ["SSC_Short"] = "SSC",
 ["SSC"] = "La Caverne du sanctuaire du serpent",
 ["SSCComment"] = "",
 ["TheEye_Short"] = "L'oeil",
 ["TheEye"] = "L'oeil",
 ["TheEyeComment"] = "",
 ["Hyjal_Short"] = "Hyjal",
 ["Hyjal"] = "Bataille du Mont Hyjal",
 ["HyjalComment"] = "",
 ["BlackTemple_Short"] = "BT",
 ["BlackTemple"] = "Le temple noir",
 ["BlackTempleComment"] = "",
 ["Sunwell_Short"] = "PPS",
 ["Sunwell"] = "Le Plateau du Puits de soleil",
 ["SunwellComment"] = "",
 
 ["WOLKInstanceHeroic"] = "WotLK Heroic Instances",
 ["UK_ShortH"] = "UK",
 ["UKH"] = "Donjon d'Utgarde (héroique)",
 ["UKCommentH"] = "",
 ["Nexus_ShortH"] = "Nex",
 ["NexusH"] = "Le Nexus (héroique)",
 ["NexusCommentH"] = "",
 ["AN_ShortH"] = "AN",
 ["ANH"] = "Azjol-Nérub (héroique)",
 ["ANCommentH"] = "",
 ["AK_ShortH"] = "AK",
 ["AKH"] = "Ahn'Kahet (héroique)",
 ["AKCommentH"] = "",
 ["DTK_ShortH"] = "DTK",
 ["DTKH"] = "Drak'Tharon (héroique)",
 ["DTKCommentH"] = "",
 ["VH_ShortH"] = "VH",
 ["VHH"] = "Fort Pourpre (héroique)",
 ["VHCommentH"] = "",
 ["GUN_ShortH"] = "Gun",
 ["GUNH"] = "Gun'Drak (héroique)",
 ["GUNCommentH"] = "",
 ["COT_S_ShortH"] = "CoT_Strat",
 ["COT_SH"] = "L'épuration de Stratholme (héroique)",
 ["COT_SCommentH"] = "",
 ["HOS_ShortH"] = "HoS",
 ["HOSH"] = "Les salles de Pierre (héroique)",
 ["HOSCommentH"] = "",
 ["UP_ShortH"] = "UP",
 ["UPH"] = "Cime d'Utgarde (héroique)",
 ["UPCommentH"] = "",
 ["Oculus_ShortH"] = "Ocu",
 ["OculusH"] = "L'Oculus (héroique)",
 ["OculusCommentH"] = "",
 ["HOL_ShortH"] = "HoL",
 ["HOLH"] = "Les salles de Foudre (héroique)",
 ["HOLCommentH"] = "",
  ["CC5_ShortH"] = "TOC5",
 ["CC5H"] = "L'épreuve du croisé 5 (héroique)",
 ["CC5CommentH"] = "",

 
 ["WOLKInstance"] = "WotLK Instances",
 ["UK_Short"] = "UK",
 ["UK"] = "Donjon d'Utgarde",
 ["UKComment"] = "",
 ["Nexus_Short"] = "Nex",
 ["Nexus"] = "Le Nexus",
 ["NexusComment"] = "",
 ["AN_Short"] = "AN",
 ["AN"] = "Azjol-Nérub",
 ["ANComment"] = "",
 ["AK_Short"] = "AK",
 ["AK"] = "Ahn'Kahet",
 ["AKComment"] = "",
 ["DTK_Short"] = "DTK",
 ["DTK"] = "Drak'Tharon",
 ["DTKComment"] = "",
 ["VH_Short"] = "VH",
 ["VH"] = "Fort Pourpre",
 ["VHComment"] = "",
 ["GUN_Short"] = "Gun",
 ["GUN"] = "Gun'Drak",
 ["GUNComment"] = "",
 ["COT_S_Short"] = "CoT_Strat",
 ["COT_S"] = "L'épuration de Stratholme",
 ["COT_SComment"] = "",
 ["HOS_Short"] = "HoS",
 ["HOS"] = "Les salles de Pierre",
 ["HOSComment"] = "",
 ["UP_Short"] = "UP",
 ["UP"] = "Cime d'Utgarde",
 ["UPComment"] = "",
 ["Oculus_Short"] = "Ocu",
 ["Oculus"] = "L'Oculus",
 ["OculusComment"] = "",
 ["HOL_Short"] = "HoL",
 ["HOL"] = "Les salles de Foudre",
 ["HOLComment"] = "",
 ["CC5_Short"] = "ToC5",
 ["CC5"] = "L'épreuve du croisé 5",
 ["CC5Comment"] = "",

 ["WOLKRaids"] = "WotLK Raids (10)",
 ["NAXX_Short"] = "NAX",
 ["NAXX"] = "Naxxramas",
 ["NAXXComment"] = "",
 ["OS_Short"] = "OS",
 ["OS"] = "Le Sanctum Obsidien",
 ["OSComment"] = "",
 ["EOE_Short"] = "EoE",
 ["EOE"] = "L'oeil de l'éternité",
 ["EOEComment"] = "",
 ["VOA_Short"] = "VoA",
 ["VOA"] = "Caveau d'Archavon",
 ["VOAComment"] = "",
 ["Ulduar_Short"] = "Ulduar",
 ["Ulduar"] = "Ulduar",
 ["UlduarComment"] = "",
 ["CC10_Short"] = "ToC",
 ["CC10"] = "L'épreuve du croisé",
 ["CC10Comment"] = "",
 ["CC25_Short"] = "ToC",
 ["CC25"] = "L'épreuve du grand croisé",
 ["CC25Comment"] = "",
 ["ICC_Short"] = "ICC",
 ["ICC"] = "Ice Crown Citadel",
 ["ICCComment"] = "",
 
 ["WOLKRaidsHeroic"] = "WotLK Raids Héroique(25)",
 ["NAXX_ShortH"] = "NAX",
 ["NAXXH"] = "Naxxramas (héroique)",
 ["NAXXCommentH"] = "",
 ["OS_ShortH"] = "OS",
 ["OSH"] = "Le Sanctum Obsidien (héroique)",
 ["OSCommentH"] = "",
 ["EOE_ShortH"] = "EoE",
 ["EOEH"] = "L'oeil de l'éternité (héroique)",
 ["EOECommentH"] = "",
 ["VOA_ShortH"] = "VoA",
 ["VOAH"] = "Caveau d'Archavon (héroique)",
 ["VOACommentH"] = "",
 ["Ulduar_ShortH"] = "Ulduar",
 ["UlduarH"] = "Ulduar (héroique)",
 ["UlduarCommentH"] = "",
 ["CC10_ShortH"] = "ToC",
 ["CC10H"] = "L'épreuve du croisé (héroique)",
 ["CC10CommentH"] = "",
 ["CC25_ShortH"] = "ToC",
 ["CC25H"] = "L'épreuve du grand croisé (héroique)",
 ["CC25CommentH"] = "",
 ["ICC_ShortH"] = "ICC",
 ["ICCH"] = "Ice Crown Citadel (héroique)",
 ["ICCCommentH"] = "",
 
 ["PvPEvents"] = "Evènements PvP",
 ["Arena2vs2"] = "Arène 2v2",
 ["Arena2vs2Comment"] = "",
 ["Arena3vs3"] = "Arène 3v3",
 ["Arena3vs3Comment"] = "",
 ["Arena5vs5"] = "Arène 5v5",
 ["Arena5vs5Comment"] = "",
 ["PvPRaid"] = "Raid PvP sauvage",
 ["PvPRaidComment"] = "",
 ["BGAlterac"] = "Vallée d'Altérac",
 ["BGAlteracComment"] = "",
 ["BGArathi"] = "Bassin d'Arathi",
 ["BGArathiComment"] = "",
 ["BGWarsong"] = "Goulet des Chanteguerre",
 ["BGWarsongComment"] = "",
 ["EoTS"] = "L'oeil du cyclone",
 ["EoTSComment"] = "",
 ["IOC"] = "L'isle des Conquérents",
 ["IOCComment"] = "",
 ["SoA"] = "Le rivage des anciens",
 ["SoAComment"] = "",




};

-- grid related
GEM3UI_LocalizedStrings["PlayerstatusHeaderTooltip"] = "Status du joueur:\\Leader du canal\\Ignoré\\Normal\\Affiche une petite clochete pour les joueurs qui propagent l'heure de référence"
GEM3UI_LocalizedStrings["OnlineStatusHeaderTooltip"] = "Coché si je joueur est connecté"
GEM3UI_LocalizedStrings["NameHeaderTooltip"] = "Nom du joueur"
GEM3UI_LocalizedStrings["RoleHeaderTooltip"] = "Le role du joueur:\\Tank\\Heal\\DPS CAC\\DPS distance"
GEM3UI_LocalizedStrings["LevelHeaderTooltip"] = "Le niveau du joueur"
GEM3UI_LocalizedStrings["ClassHeaderTooltip"] = "Icone de classe du joueur"
GEM3UI_LocalizedStrings["GuildHeaderTooltip"] = "Guilde du joueur"
GEM3UI_LocalizedStrings["RankHeaderTooltip"] = "Rang du joueur dans sa guilde"
GEM3UI_LocalizedStrings["OfficerHeaderTooltip"] = "Grade officier:\\GM\\Officier\\Membre"
GEM3UI_LocalizedStrings["ZoneHeaderTooltip"] = "Zone dans laquelle je joueur se trouve"
GEM3UI_LocalizedStrings["Lastseen"] = "Dern. con."
GEM3UI_LocalizedStrings["LastseenHeaderTooltip"] = "Derniere connection du joueur"
GEM3UI_LocalizedStrings["CoreHeaderTooltip"] = "Version du module core de GEM"
GEM3UI_LocalizedStrings["UIHeaderTooltip"] = "Version de l'UI de GEM"
GEM3UI_LocalizedStrings["TagsHeaderTooltip"] = "Nombre d'instances auquelles le joueur et linké"
GEM3UI_LocalizedStrings["Class color"] = "Couleur de classe"
GEM3UI_LocalizedStrings["Player Status color"] = "Couleur d'état du joueur"
GEM3UI_LocalizedStrings["In instance / Raid / PvP"] = "En Instance / Raid / PvP"
GEM3UI_LocalizedStrings["InviteShort"] = "I"
GEM3UI_LocalizedStrings["InviteThisPlayer"] = "Inviter ce joueur"
GEM3UI_LocalizedStrings["Players"] = "Joueurs"
GEM3UI_LocalizedStrings["Slots"] = "Places"
GEM3UI_LocalizedStrings["Instance Icon"] = "Icone d'instance"
GEM3UI_LocalizedStrings["Subscription Status"] = "Etat de l'inscription"
GEM3UI_LocalizedStrings["Eventtype Icon"] = "icone du type d'évènement"
GEM3UI_LocalizedStrings["Show Event Details"] = "Afficher les détails de l'évènement"
GEM3UI_LocalizedStrings["Deadlineshort"] = "Deadline"
GEM3UI_LocalizedStrings["Totalsshort"] = "T"
GEM3UI_LocalizedStrings["Am i Leader"] = "Suis je l'organisateur?"
GEM3UI_LocalizedStrings["Total Subscriptions"] = "T"
GEM3UI_LocalizedStrings["Total Subscriptions TT"] = "Nombre total d'inscriptions toutes listes confondues"
GEM3UI_LocalizedStrings["Min Level"] = "LvL>"
GEM3UI_LocalizedStrings["Max Level"] = "Lvl<"
GEM3UI_LocalizedStrings["Min Level TT"] = "Niveau minimum requis"
GEM3UI_LocalizedStrings["Max Level TT"] = "Niveau maximum requis"
GEM3UI_LocalizedStrings["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderREJ1"] = "Nombre de joueurs refusés"
GEM3UI_LocalizedStrings["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderNC1"] = "Nombre de joueurs non dispos"
GEM3UI_LocalizedStrings["deadlineTT"] = "Les inscriptions ne sont possibles qu'avant cette date"
GEM3UI_LocalizedStrings["Player is linked to this instance"] = "Affiche '*' si ce joueur est taggué pour cette instance"
GEM3UI_LocalizedStrings["Queue asked by the player"] = "File demandée par le joueur"
GEM3UI_LocalizedStrings["Actual active queue"] = "File actuellement attribuée au joueur"
GEM3UI_LocalizedStrings["Lead force queue"] = "File forcée par le leader."
GEM3UI_LocalizedStrings["Second role"] = "Second rôle que le joueur peu occuper"
GEM3UI_LocalizedStrings["Main role"] = "Rôle principal que le joueur souhaite occuper"
GEM3UI_LocalizedStrings["Subscription comment"] = "Commentaire d'inscription du joueur"
GEM3UI_LocalizedStrings["Main Time"] = "Date de l'inscription"
GEM3UI_LocalizedStrings["Update Time"] = "Date de la derniere modification"
GEM3UI_LocalizedStrings["_UpdateTime"] = "Date de la derniere modification"
GEM3UI_LocalizedStrings["Subscription Source"] = "Source de l'inscription:\\Joueur\Ajout externe\\Internet"
GEM3UI_LocalizedStrings["Not subscribed"] = "Non inscrit"
GEM3UI_LocalizedStrings[" is "] = " est "

GEM3UI_LocalizedStrings["_GridReset"] = "Paramètres des tableaux d'affichage"
GEM3UI_LocalizedStrings["Outdated"] = "Passé"
GEM3UI_LocalizedStrings["outDated"] = "Passé"
GEM3UI_LocalizedStrings["Accessible"] = "Accessible"
GEM3UI_LocalizedStrings["New grid"] = "Nouveau tableau"
GEM3UI_LocalizedStrings["quick subscribe"] = "Inscription rapide"
GEM3UI_LocalizedStrings["Allows fast subscription to an event with your default role"] = "Permet l'inscription rapide avec le rôle par défaut"
GEM3UI_LocalizedStrings["Date the event is scheduled"] = "Date de l'évènement"
GEM3UI_LocalizedStrings["Time the event is schedules"] = "Heure de l'évènement"
GEM3UI_LocalizedStrings["Name or description of the event"] = "Nom ou description de l'évènement"
GEM3UI_LocalizedStrings["Shows a ! if i am leader of the event"] = "Affiche un ! si vous êtes l'organisateur de cet évènement"
GEM3UI_LocalizedStrings["Leader Online"] = "Leader connecté"
GEM3UI_LocalizedStrings["Leader Guild"] = "Guilde du leader"
GEM3UI_LocalizedStrings["Leader Rank"] = "Rang du leader"
GEM3UI_LocalizedStrings["Leader Guildrank"] = "Rang de guilde"
GEM3UI_LocalizedStrings["deadlineTT"] = "Date limite pour l'inscription"
GEM3UI_LocalizedStrings["Channel the event is created in"] = "Canal de l'évènement"
GEM3UI_LocalizedStrings["Last time the event has been updated"] = "Date de la derniere modification apportée à cet évènement"
GEM3UI_LocalizedStrings["shows wether the event is outdated or not"] = "Icone indiquant si l'évènement est passé ou sa date limite d'inscription passée"
GEM3UI_LocalizedStrings["PlayerOverview"] = "Sommaire d'évènement"
GEM3UI_LocalizedStrings["event overview in one column"] = "Affichage des principales information d'évènement en une seule colone"
GEM3UI_LocalizedStrings["New View"] = "Nouveau tableau"
GEM3UI_LocalizedStrings["Existing Views"] = "Tableaux existants"
GEM3UI_LocalizedStrings["INVITE"] = "Inviter"
GEM3UI_LocalizedStrings["This is a reserved theme name"] = "Ce nom de tableau est réservé"
GEM3UI_LocalizedStrings["This is a reserved grid name"] = "Ce nom de theme est réservé"
GEM3UI_LocalizedStrings["Name already exists"] = "Ce nom est déjà utilisé"
GEM3UI_LocalizedStrings["You cannot delete the default themes"] = "Vous ne pouvez pas supprimer des noms système"
GEM3UI_LocalizedStrings["You cannot delete the default views"] = "Vous ne pouvez pas supprimer des noms système"
GEM3UI_LocalizedStrings["Event status color"] = "Couleur d'état d'inscription"
GEM3UI_LocalizedStrings["Leader status color"] = "Couleur d'état de l'organisateur"
GEM3UI_LocalizedStrings["Horde"] = "Horde"
GEM3UI_LocalizedStrings["Alliance"] = "Alliance"
GEM3UI_LocalizedStrings["Neutral"] = "Neutre"
GEM3UI_LocalizedStrings["Player"] = "Joueur"
GEM3UI_LocalizedStrings["Leader"] = "Leader"
GEM3UI_LocalizedStrings["Minimal"] = "Minimal"
GEM3UI_LocalizedStrings["Hordett"] = "Theme de coleurs Horde"
GEM3UI_LocalizedStrings["Alliancett"] = "Theme de couleurs Alliance"
GEM3UI_LocalizedStrings["Neutraltt"] = "Theme de couleur neutre"
GEM3UI_LocalizedStrings["Playertt"] = "Affichage sommaire des informations d'évènement"
GEM3UI_LocalizedStrings["Leadertt"] = "Affichage pour les organisateurs"
GEM3UI_LocalizedStrings["Minimaltt"] = "Affichage minimal pour economiser des ressources"
GEM3UI_LocalizedStrings["Create new view"] = "Créer un nouveau Tableau"
GEM3UI_LocalizedStrings["Create new viewtt"] = "Créer un nouveau Tableau qui sera une copie du tableau en cours"
GEM3UI_LocalizedStrings["Revoke subscription for "] = "Revoquer l'inscription de "
end
