﻿GEM3_UI_FAQ = {
["Create Events"] = {
["Using Limits"] =  {
[[If you do not matter about the type of DPS (ranged or contact) then simply leave both fields empty and only set tank and healer limits.
In a 5 man party, if you define one tank and one healer, the 3 remaining slots are free for DPS of any kind]]
                    },

["Using Tags"] =  {
[[In order to have a nice icon displayed in the event details and event line of the grid you need to define a tag to your event.]],
[[If you do not select a tag, a '?' icon will be displayed]],
[[Note that selecting a tag for your events allows viewing if subscribed players are already linked to the instance defined for an event]],
                    },

["Using Templates"] =  {
[[Before you can use templates, you first must create some.]],
[[You can either import them (go to the config tab) or create them in the event creation tab by clicking 'Save as template' or by right clicking an event in the event list an choosing 'save as template' in the menu
In order to manage the existing templates check the checkbox 'T' on top-right of the event list.
]],
[[One you have defined templates you can use the pull down menu in the event creation tab to get a template, or right-click on the templates in the templates list and choose 'New event from template' in the menu]]
                    },
    },
["Subscribing"] = {
["Defining a default role"] = {
[[To avoir selecting your role a each subscription, you can define a default role in the options tab.]],
[[This is also usefull for the quick subscribe functions in the event lists.
]],
},
["Removing your subscription"] = {
[[GEM is build to keep track of all subscriptions and their modifications. That for it is not possible to completly remove yourself from an event you subscribed.]],
[[To inform the event leader that you are not available, you should flag your subscription 'not coming' by using the appropriated checkbox in the subscription form.]],
[[only the event leader has the possibility to remove you completly from the players list]],
},
["Subscribe to an event with a reroll"] = {
[[It is easy to subscribe, simply select the event an select the reroll in the subscription form on the bottom right side of the GEM window.]],
[[It is also possible to subscribe multple of your toons to the same event.
]],
[[But Remember that you have to be connected a least on time with your rerolls to see them in the rerolls list.]],
                            },
                 },
 }
 
 
GEM3_GLOBAL_FAQ = {

-- AUTO CONFIG
["Auto configuration"] = {
["1 - What is it"] = {
[[Auto configuration is a functionality build to allow automatic configuration of channels and default sort-plugin definition.]], 
        },
["2 - How to do"] = {
[[You need to edit your guild infos. You can add the following:]], 
[[GEMC:Channelname]], 
[[GEMP:Password]], 
[[GEMA:Alias]], 
[[GEM/:Slash]], 
[[GEMDC:defaultchannel]], 
[[GEMDS:Sortpluginid]], 
[[
Where
]], },
["Channelname"] = {"is the name of the channel to join using"}, 
["Password"] = {"as its password,"},
["Alias"] = {"as its alias"},
["Slash"] = {"as its defined slash command"},
["defaultchannel"] = {"will be the channel set as default channel"}, 
["Sortplugin"] = {"is the number representing the id of a sortplugin. this is equal to its position in the sortplugin dropdown list in the creation tab.", 
[[
'defaultchannel' and 'Sortplugin' are usefull to avoid people creating events on a wrong channel or using the wrong sortplugin by forgetting to set them]],
[[setting 'defaultchannel' and 'Sortplugin' does not forbid to choose another setting for these option during event creation]],
        },
    },
--GEM RESET
["Reset GEM"] = {
["1 - Command line /gem reset"] =  {
[[type / gem reset in your chat and you will get the reset frame displayed]],
                                                       },
["2 - The reset window"] =  {
[[here you can choose out of 5 options and click the reset button to get the selected options reseted
Clicking the reset button causes the wow interface to reload]],
                                                },
["2a - Core Data"] = {
[[Resets the event database localy on your computer.]],
[[You will get all event resend by the other player on the respective channels.]],
[[If you a re leader of some events, they will brought to you by the recover window allowing you to accept or decline the recovering.]],
[[Once declined this event wil be flagged to be deleted from the channel.

This is a possibility to get around corrupted event data.
]],
[[If you accept the recovering it remains possible that another player is knowing a more recent version of this event.]],
[[This will cause a new recover request for this event.]],
                                        },
["2b- Core Config"] = {
[[This will reset all configuration data stored by the core module
your default role
Your time settings like, server time offset, Timereference, .....]]
                                          },
["2c- UI"] = {
[[This will reset all UI configurations execpt Templates and Grid settings]]
                             },
["2d- Templates"] = {
[[This will delete all you event templates, you can import again the default templates]]
                                    },
["2e- Grids"] = {
[[This will reset all your modifications done on the various grids in GEM]]
                                },
                },
-- GRID RESETTING
["Grid reseting"] = {
["1 - Filters"] = {
[[As the content of the filter menu is build out of the values seen for a column, it will grow, especially for columns like players or eventnames
Choosing to reset the filter will wype all this filter data and also delete defined filters]], 
                  },
["2 - Columns"] = {
[[this will reset all defined column configuration for the grid and building dynamically a new one. Column options are guessed out of the data type in the column.]], 
                  },
["3 - All"] = {
[[This reset options call a initialising procedure and resets the grid to what is preconfigured in GEM]], 
                  },
        },
     
-- USING THE GRID        
["Using the grid"] = {
["1 - Sorting"] =  {
[[To sort the data in the grid, simply click on the column header of the column you wish to sort, multiple clicks will cycle 'Asc, dec, or no' sorting.
In order to get your data sorted upon more than one column just hold down the CTRL key while clicking the column headers

Caution: Moving columns order will reset the sorting]],
                                                },
["2 - Modifying columns order"] = {
[[Simply drag a column over another one to change the order of columns
]],
                                },
["3 - Modifying font sizes"] = {
[[First let's understand the way fonts are organized. In the Grid section you can find to fontsize to set, 'Headers' and 'Text values'.]],
[[Modifying 'Text values' will affect all column that have no explicit font size defined.]],
[[To modify only one columns font size just pick the 'font size' menu in the 'format column' section of the menu you get by right clicking the column header.]],
[[-> A small frame will open allowing you to type a new font size
]],
                                },
["4 - Modifying font colors"] = {
[[this is working the same way than font sizes, you have a grid global color for fonts, and a column specific.
to change the color you have to click on the little square showing the color
]],
                            },
["5 - Changing Column width"] = {
[[Like in most programs you use, in the headerline simply mouseover the limit between two columns, the cursor will glow blue, now you can drag to change the column width
]],
                            },
}
}

GEM3UI_FAQ_register("FAQ Global", GEM3_GLOBAL_FAQ)
GEM3UI_FAQ_register("FAQ UI", GEM3_UI_FAQ)

