-- example for GEM3 CORE CHANGE LOG

GEM3_CHANGELOG = {
 ["3.27"] = {["09/01/21"] = {"Added a new callback: OnLuaErrorWithinCallback(cb_name,error_messages) which is called is a module caused a lua error during a core callback call"
                            }
            },
 ["3.26"] = {["09/01/20"] = {"Added GEM3_Reset_Events and GEM3_Reset_Config functions to be used to properly reset Core databases",
                            "Added GEM3_SUB_GetAllSubscribedInfos function"
                           },
            ["09/01/14"] = {"Detecting GuildChannel being configured, but not actually in a guild",
                            "Removed few possible lua errors with PlayerInfos struct",
                            },
            ["09/01/12"] = {"Converting player's current zone into a zone ID, allowing correct localization of zones."
                            },

            ["09/01/08"] = {"Added function GEM3_RuntimeDebug(str) which triggers an 'OnRuntimeDebugMessage' event (or prints a msg in the chatFrame if event not registered) if GEM3_QA_Config.runtime_debug is set to true",
                            "Added a new parameter to the GEM3_CMD_PLAYER_INFOS protocol message: InstanceType (one of GEM3_INST_TYPE_xxx). Parameter stored in GEM3_ChannelPlayer.instance_type",
                           },
            ["09/01/06"] = {"Fixed deDE instance names"
                           },
            },
 ["3.25"] = {["09/01/05"] = {"Added error codes (function return value) to GEM3_CHAN_AddChannel and GEM3_CHAN_UpdateChannel functions"
                            }
            },
 ["3.24"] = {["08/12/23"] = {"Changed the way instance tags are stored (COMPATIBILITY BREAK)"
                            }
            },
 ["3.23"] = {["08/12/15"] = {"Fixed a bug in CustomChatComm library that caused a lua error when manually leaving a GEM channel"
                            }
            },
 ["3.22"] = {["08/12/04"] = {"Fixed several possible lua errors in sorting plugins"
                            },
             ["08/12/02"] = {"Added a new parameter to the instance tag table (difficulty) (and matching consts GEM3_INST_TAG_DIFFICULTY_xxx)",
                             "Fixed WotLK raid instances TAG detection (enUS and frFR)",
                            },
             ["08/11/25"] = {"Fixed a bug in custom chat channels, if an incorrect name was entered (causing a lua error upon next login)",
                            },
            },
 ["3.21"] = {["08/11/20"] = {"Fixed GEM3_PLAY_GetPlayerInfos(player,channel) to only use configured channels if 'channel' is specified",
                             "Fixed custom channels: No longer using General or Trade spot. Channel automatically visible in default chat frame when added",
                            },
            },
 ["3.20"] = {["08/11/12"] = {"Added DeathKnight support",
                             "Changed protocol version to ensure data safety",
                             "Added GEM3_PLAY_RegisterCustomDataCallback and GEM3_PLAY_UnregisterCustomDataCallback functions",
                             "Added Raid instance TAGS (names UNSURE)",
                            },
            },

 ["3.16"] = {["08/11/04"] = {"Fixed custom channels: Restored alias/slash/links/sticky functionnalities from GEM2",
                            },
            },
 ["3.15"] = {["08/10/20"] = {"Added player's level and class to saved config (needed for WebSync)",
                            },
            },
 ["3.14"] = {["08/10/10"] = {"Added a new sorting plugin: Sort using guild rank",
                            },
            },
 ["3.13"] = {["08/09/23"] = {"Added a new sorting plugin: Sort using inscription time only, no minima check",
                            },
            ["08/09/17"] = {"Fixed a bug in sorting plugin: Cane sometimes loose the current_queue and queue_pos values",
                            },
            ["08/09/15"] = {"Fixed a bug in sorting plugin: Sometimes the titulars count can be less than event's max count, even if there is enough subscribers",
                            },
            ["08/09/13"] = {"Fixed GUILD channel initialization issue (Sometimes the game triggers a GUILD_ROSTER event, but empty)",
                            "Fixed player initialization (if a char has not been logged for a long time, its info might be deleted by another reroll, and will cause a lua error)",
                            "Fixed player initialization (if infos for a char are not found for some reason, it would have caused a lua error)",
                            },
            },
 }


-- example for GEM3 CORE FAQ


GEM3_FAQ = {}
