--[[
 RolePlay Event Manager GUI - Localization
 -------------------------------------
  Code: Movix - Conseil des Ombres - EU
  
]]
if GetLocale() == "deDE" then
GEM3UI_LocalizedStrings = {
-- GUI Labels
 ["_disabled"]       = "!!NICHT AKTIV!!",
 ["_suspended"]       = "!! ANGEHALTEN !!",
 ["_lblTitle"]       = "Guild Event Manager",
 ["_core"]           = "core",
 ["_ui"]             = "interface",
 ["_version"]        = "version",
 ["_VersionGEM"]     = "GEM vers.",
 ["_NewEvents"]      = "%d neue oder veränderte events",
 ["_NewEvent"]       = "1 neues oder verändertes event",
 ["_Options"]        = "Optionen",
 ["_Plugins"]        = "Plugins",
 ["_Import"]         = "Vorlagen importieren",
 ["_AddGuild"]       = "Gilde Hinzu",
 ["_GuildRank"]      = "Rang",
 ["_PlayerComment"]  = "Mein Kommentar",
 ["_EnableDebug"]    = "Debug aktivieren",
 ["_EventNameFilter"]= "Event Filter",
 ["_EventNameFilterActivated"] = "Event(s) - gefiltert",
 ["_EventAll"]       = "Event(s) - ungefiltert",
 ["_Description"]    = "Bescreibung",
 ["_Save"]           = "Speichern",
 ["_Delete"]         = "Löschen",
 ["_Apply"]          = "Anwenden",
 ["_Status"]         = "Status",
 ["_GM"]             = "GM",
 ["_Officer"]        = "Offizier",
 ["_GuildMember"]    = "Mitglied",
 ["_GuildLess"]      = "Ohne Gilde",
 ["_LastLog"]        = "Gesehen am",
 ["_Zone"]           = "Zone",
 ["_Recover"]        = "Wiederherstellen",
 ["_Reject"]         = "Ablehnen",
 ["_Cancel"]         = "Abbrechen",
 ["_Tank"]           = "Tank",
 ["_Heal"]           = "Heiler",
 ["_DPS"]            = "DPS",
 ["_Range"]          = "Range",
 ["_Contact"]        = "Nahkampf",
 ["_Druid"]          = "Druide",
 ["_Hunter"]         = "Jäger",
 ["_Mage"]           = "Magier",
 ["_Paladin"]        = "Paladin",
 ["_Priest"]         = "Priester",
 ["_Rogue"]          = "Schurke",
 ["_Shaman"]         = "Schamane",
 ["_Warlock"]        = "Hexenmeister",
 ["_Warrior"]        = "Krieger",
 ["_Hero"]           = "DK",
 ["_Date"]           = "Datum",
 ["_local"]          = "Lokal",
 ["_server"]         = "Server",
 ["_Duration"]       = "Dauer",
 ["_Event"]          = "Event",
 ["_Leader"]         = "Anführer",
 ["_Titulars"]       = "W/Max(W)[Tot]",
 ["_Level"]          = "Level",
 ["_Location"]       = "Zone",
 ["_Comment"]        = "Kommentar",
 ["_Subscribtions"]  = "Anmeldungen",
 ["_Limits"]         = "Limits",
 ["_LimitsHeader"]   = "Anzahl/Warteliste/Ersatz/Max",
 ["_Create"]         = "Erstellen",
 ["_Eventlist"]      = "Events",
 ["_Members"]        = "Mitglieder",
 ["_Options"]        = "Optionen",
 ["_Debug"]          = "Debug",
 ["_Resets"]         = "Resets",
 ["_Subscribe"]      = "Anmelden",
 ["_Subscribetoon"]  = "Anmelden",
 ["_unsubscribe"]    = "Abmelden",
 ["_Update"]         = "Aktualisieren",
 ["_Unavailable"]    = "Nicht da",
 ["_Revoke"]         = "Ablehnen",
 ["_Edit"]           = "Ändern",
 ["_Close"]          = "Sperren",
 ["_Open"]           = "Entsperren",
 ["_Lvl"]            = "Lvl",
 ["_Name"]           = "Name",
 ["_Guild"]          = "Gilde",
 ["_Players"]        = "Spieler",
 ["_Templates"]      = "Vorlagen",
 ["_MultipleCreate"] = "Mehrfach Erstellung",
 ["_CreateThisEvent"] = "Dieses Event alle",
 ["_forThe"]          = "für die ",
 ["_weeksToCome"]     = "kommenden Wochen erstellen",
 ["_BeginningAtSelectedDate"]     = "ab oben angegebenem Datum",
 ["_CreateAsTemplate"] = "Als Vorlage speichern",
 ["_AddMembers"]     = "Spieler hinzufügen",
 ["_Begin"]          = "Begin",
 ["_Deadline"]       = "Deadline",
 ["_End"]            = "Ende",
 ["_Priorityrules"]  = "Prio.",
 ["_Classes"]        = "Klassen Limit (min/max)",
 ["_Roles"]          = "Rolen Limit (min/max)",
 ["_InviteAll"]      = "Einladen",
 ["_StopInvite"]     = "Stop einl.",
 ["_WelcomeToEvent"] = "Willkommen zum event %s.",
 ["_YouWereGrouped"] = "Sie waren in der Gruppe des Events %s. Sie werden möglicherweise automatisch neu eingelagen",
 ["_PartRequestForEvent"] = "%s läd sie in die Gruppe für das Event %s ein.",

 ["_Ignore"]         = "Ignorieren",
 ["_Add"]            = "Hinzufügen",
 ["_as"]             = "als",
 ["_oras"]           = "oder",
 ["_Modify"]         = "Ändern",
 ["_EventType"]      = "Typ",
 ["_TagType"]        = "Tag",
 ["_NoTagDefined"]   = "Nicht definiert",
 ["_TagDefined"]     = "Tag définiert",
 ["_Queue"]          = "Status",
 ["_inqueue"]        = "In Warteschlange",
 ["_Pos"]            = "Position",
 ["_Subscribed"]     = "Eintrag am",
 ["_at"]             = "um",
 ["_unknown"]        = "unbekannt",
 ["_unknownshort"]   = "U",
 ["_titular"]        = "Angemeldet",
 ["_titularshort"]   = "A",
 ["_substitute"]     = "Warteliste",
 ["_substituteshort"]= "W",
 ["_replacement"]    = "Ersatz",
 ["_replacementshort"]= "E",
 ["_not_coming"]     = "Nicht da",
 ["_not_coming_med"] = "Nicht da",
 ["_not_comingshort"]= "ND",
 ["_not_ackned"]     = "Nicht bestätigt",
 ["_not_acknedshort"]= "NB",
 ["_discard"]        = "Zurückgewiesen",
 ["_discarshort"]    = "Z",
 ["_unsubscribing"]  = "Ausgetragen",
 ["_unsubscribingshort"] = "X",
 ["_Time"]           = "Zeit",
 ["_ShowOffline"]    = "Offline",
 ["_ShowIgnored"]    = "Ignoriert",
 ["_AddExternal"]    = "Extern hinzufügen",
 ["_AddExternalTitel"] = "Event %s vom %s\nExtern hinzufügen",
 ["_AddedExternalby"]= "Extern hinzugefügt von ",
 ["_Lookup"]         = "Suchen",
 ["_memberhasbeenignored"]  = "Der Spieler %s und all seine Events werden nun ignoriert!",
 ["_eventhasbeenignored"]  = "Das Event %s (%s) von %s wird nun ignoriert!",
 ["_eventhasbeenclosed"]  = "das Event %s (%s) von %s ist nun gesperrt!",
 ["_GuildChannelOnly"]  = "",
 ["_RolesNClasses"]     = "Klassen & Rollen",
 ["_Class"]             = "Klasse",
 ["_Role"]              = "Rolle",
 ["_MembersInChannelStatus"] = "Es sind %s Spieler angemeldet, %s ignorert von ins Gesamt %s Spielern",
 ["_EventsStatus"] = "Es sind %d Events, davon sind %d gesperrt, %d in denen ich eingeschrieben bin und %d die ich ignoriere",
 ["_EventInRecoverQueue"] = "Wiederherzustellende Events",
 ["_UpdateTime"] = "Letzte Änderung",
 ["cannotsubsarchived"] = "Einschreiben in archivierte Events nicht möglich!",
 ["cannotsubstemplate"] = "Einschreiben in Vorlagen nicht möglich.\nBitte 'Extern hinzufügen' verwenden!",
 ["cannotsubspassed"] = "einschreiben in vergangene Events nicht möglich!",
 ["cannotsubsclosed"] = "Event gesperrt!\n%s",
 ["cannotsubsignored"] = "Einschreiben in ein Event was Sie ignoriert haben nicht möglich!",
 ["cannotsubsotherchan"] = "Einschreiben in Events von einem anderen Kanal nicht möglich",
 ["taggedInstancesddtitle"] = "Instanzen / Unterkategorie",
 ["taggedInstancesdddifficulty"] = "Modus / Schwierigkeit",

 ["alreadygrouped"] = "Sie sind bereits in einer Gruppe und die Einladungsphase zu einem GEM Event hat begonnen.\nSie werden während dieser Phase automatisch erneut eingeladen",
 ["youareinagemparty"] = "Sie lehen die Einladung zu einem GEM Event ab in dem Sie eingeschrieben sind.\nSie werden während dieser Phase automatisch erneut eingeladen.",


 ["None"] = "Kein",
 ["Nothing"] = "Nichts",
 ["All"] = "Alle",
 
 ["_AddExternalHelp"] = "Sie können Spieler im Fenster 'Wer', 'Freunde' oder 'Gilde' wählen und deren Daten werden automatish übertragen.\nSie Können ebenfalls einen Spieler vor Ihnen oder in Ihrer Gruppe anklicken!!",
 ["_Tags"] = "Tags",
 ["_TagReset"] = "Tag reset",
 
 ["_Unban"] = "Unban",
 
-- context Dropdown Playerlist
 ["Delete"]         = "Löschen",
 ["SetNewLeader"]   = "Neuer leader",
 ["AssistPlayer"]   = "Als Assistent",
 ["Queues"]         = "Listen",
 ["ForceNonePlayer"]= "Normal",
 ["ForceTPlayer"]   = "Als Inhaber",
 ["ForceSPlayer"]   = "Als Warteliste",
 ["ForceRPlayer"]   = "Als Ersatz",
 ["ForceNCPlayer"]  = "Als Nicht da",
 ["KickPlayer"]     = "Verweisen",
 ["BanPlayer"]      = "Verbannen",
 ["UnBanPlayer"]    = "Ban rückgängig",
 ["Ignore"]         = "Ignorieren",
 ["UnIgnore"]       = "Nicht mehr Ignorieren",
 ["WhispPlayer"]    = "Flüstern",
 ["InvitePlayer"]   = "Einladen",
 ["whoPlayer"]      = "Spieler Infos",

-- Event context dd
 ["Modify"]         = "Ändern",
 ["Archive"]        = "Archivieren",
 ["Open"]           = "Ensperren",
 ["Close"]          = "Sperren",
 ["CopyasTemplate"] = "In Vorlage kopieren",
 ["CreateNew"]      = "Als neues Event",



-- DIALOG TEXTS
 ["channelsameasguild"] = "Ein kanalname darf nicht identisch mit dem reservierten guildenkanal %s sein",
 ["_ConfirmMemberIgnore"] = "Soll dieser Spieler wirklich ignoriert werden ?\nDadruch werden auch all seine Events ignoriert.\nDiese aktion kann rückgängig gemacht werden, jedoch bleiben dessen Events gesperrt bis der Anführer eine änderung daran vornimmt.",
 ["_ConfirmEventIgnore"] = "Soll diese Event wirklich ignoriert werden ?\nEs wird danch nicht mehr zugänglich sein.\nDiese aktion kann rückgängig gemacht werden, jedoch bleibt das Event unsichtbar bis Sie es erneut empfangen.",
 ["_ConfirmEventClose"] = "Soll dises Event wirklich gesperrt werden ?\n\nBitte einen Grund angeben",
 ["_ConfirmPlayerKick"] = "Soll dieser Spieler wirklich aus der liste entfernt werden ?\n\nBitte einen Grund angeben",
 ["_ConfirmPlayerBan"] = "Soll dieser Spieler wirklich von diesem Event verbannt werden ?\n\nBitte einen Grund angeben",
 ["_ConfirmEventRecover"] = "Sind Sie sicher diese Event wiederherstellen zu wollen ? Die Wiederherstellung ist unwiederuflich!",
 ["_ConfirmEventRecoverReject"] = "Wenn Sie die Wiederherstellung ablehnen, wird sie Ihnen während dieser Sitzung nicht mehr angeboten. dies gilt ebenfalls für alle älteren Versionen.\n\nSind Sie sicher die Wiederherstellung ablehnen zu wollen?",
 ["_ConfirmEventRecoverDelete"] = "Wenn Sie dieses Event löschen, so wird es unwiederuflich bei Ihnen und allen anderen Spielern gelöscht. sind Sie sicher dieses Event löschen zu wollen?",
 ["_ConfirmEventArchiveDelete"] = "Wollen Sie deises archivierte Event wirklich löschen?",
 ["_ConfirmEventDelete"] = "Wollen Sie dieses Event wirklich löschen?",
 ["_ConfirmCancelEventEdit"] = "Vous avez des données non enregistrées sur l'édition de cet évènement.\nsi vous quittez l'édition vous perdez ces informations.\nVoulez-vous continuer ?",
 ["_ConfirmSetTimeRef"] = "..:: ACHTUNG ::..\nWenn Sie sich alz Zeitreferenz deklarieren, so wird Datum und Uhrzeit Ihres PCs auf dem GEM Netzwerk Als Referenz bekannt gegeben. Sollten Datum und/oder Uhrzeit Ihres PCs falsch sein, so kann dies zur Störung der Kommunikation auf dem GEM Netzwerk führen.\nEs gibt kostenlose Zeitsynchronisierer: http://nettime.sourceforge.net\n\nSind Sie sicher auf Ihrem PC die korrekten Datum/uhrzeit/Zeitzonen eingestellt zu haben?",
 ["_ConfirmTimeRefConflict"] = "..:: ACHTUNG ::..\nInkonsistente Datum bzw. Uhrzeit informationen sind auf dem GEM Netzwerk festgestellt worden und Sie scheinen der Auslöser zu sein.\nFortan werden Sie nicht mehr als Zeitreferenz anerkannt, der entsprechende Parameter Ihrer Konfiguration wurde verändert.\nEs gibt kostenlose Zeitsynchronisierer: http://nettime.sourceforge.net",
 ["_ConfirmIncorrectTimeSettings"] = "..:: ACHTUNG ::..\nDas Datum, die Uhrzeit oder Zeitzone Ihres PCs scheinen nicht mit der Referenz des GEM Netzwerks übereinzustimmen.\nIhr GEM wurde für die aktuelle Sitzung abgeschaltet. Sie senden und empfangen keine Nachrichten mehr.\nBitte prüfen und korrigieren Sie die Datum/Uhrzeit/Zeitzone Einstellungen ihres PCs damit GEM wieder funktionniert.\nEs gibt kostenlose Zeitsynchronisierer: http://nettime.sourceforge.net",
 ["_ConfirmUpgradeNeeded"] = "Ihre GEM Version ist nicht aktuell.\nAlle kommunikation auf dem GEM Netzwerk wird unterbunden.\n\nBitte führen Sie ein Update von GEM3_Core durch",
 
 ["_KickBanNotify"] = "%s hat sie aus dem Event %s aus folgendem grund verbannt oder entfernt:%s",
 ["_UnBanNotify"] = "Sie sind nicht mehr aus dem Event %s Verbannt. %s hat Ihre Verbannung aufgehoben",
 --[""] = "",
 
 
 -- Options TAB
 ["_Dateandtimeformats"] = "Datum und Zeit Einstellungen",
 ["_FirstWeekDay"] = "Erster Wochentag",
 ["_Monday"] = "Montag",
 ["_Sunday"] = "Sonntag",
 ["_DateFormat"] = "Datumsformat",
 ["_Dateformat1"] = "tt.mm.jjjj",
 ["_Dateformat2"] = "jjjj.mm.tt",
 ["_Dateformat3"] = "mm.tt.jjjj",
 ["_Show Wday"] = "W-Tag anzeigen",
 ["_DateFormatSep"] = "Datums Trennzeichen",
 ["_TimeOffset"] = "Zeitunterschied zum Server",
 ["_TimeReference"] = "ich bin Referenzzeit",
 ["_ColorPick"] = "Farbselektor",
 ["_R"] = "R",
 ["_G"] = "G",
 ["_B"] = "B",
 ["_OnlyMytoonchannels"] = "Nur Kanäle dieses Charakters",
 ["_ChanneladdedSuccess"] = "Der Kanal %s wurde erfolgreich hinzugefügt",
 ["_ChanneladdedFailed"] = "Währen des Hinzufügen von Kanal %s ist ein Fehler aufgetreten. Der Kanal wurde nicht hinzugefügt",
 ["_ChannelModifySuccess"] = "Der Kanal %s wurde erfolgreich geändert",
 ["_ChannelModifyFailed"] = "Währen des Änderns von Kanal %s ist ein Fehler aufgetreten. Der Kanal wurde nicht geändert",

["_ChannelEditFailed_ChannelNotFound"]  = "Während des Änderns von Kanal %s ist ein Fehler aufgetreten, Kanal nicht gefunden",
["_ChannelEditFailed_MissspelledGuildName"]  = "Während des Änderns von Kanal %s ist ein Fehler aufgetreten, Kanalname ungültig",
["_ChannelEditFailed_AliasSlashError"]  = "Während des Änderns von Kanal %s ist ein Fehler aufgetreten, Alias oder Slash Fehler",
["_ChannelAddFailed_NotInGuild"]  = "Während des Hinzufügen von Kanal %s ist ein Fehler aufgetreten, keine Gilde vorhanden",
["_ChannelAddFailed_MissspelledGuildName"]  = "Während des Hinzufügen von Kanal %s ist ein Fehler aufgetreten, Name des Gildenkanals ungültig",
["_ChannelAddFailed_MissspelledName"]  = "Während des Hinzufügen von Kanal %s ist ein Fehler aufgetreten, Kanalname ungültig",
["_ChannelAddFailed_AlreadyExist"]  = "Während des Hinzufügen von Kanal %s ist ein Fehler aufgetreten, Kanal exitiert bereits",
["_ChannelAddFailed_AliasSlashError"]  = "Während des Hinzufügen von Kanal %s ist ein Fehler aufgetreten, Alias oder Slash Fehler",

 ["_ChanName"] = "Kanalname",
 ["_Password"] = "Passwort",
 ["_Alias"] = "Alias",
 ["_Slash"] = "Slash",
 ["_Notify"] = "Benachrichtigen",
 ["_Default"] = "Standard",
 
 ["_ArchiveBeforeDelete"] = "Vor löschen archivieren",
 ["_MyEventExpireDelay"] = "Anzeigedauer meiner vergangenen Events",
 ["_EventExpireDelay"] = "Anzeigedauer vergangener Events",
 ["_min"] = "min.",
 ["_hrs"] = "Std.",
 ["_DefaultTime"] = "Standard Uhrzeit für neue Events",
 ["_DefaultDuration"] = "Standard Dauer für neue Events",
 ["_ShowTooltips"] = "Tooltips anzeigen",
 ["_AutoSubScribe"] = "Automatisch in eingenen Events anmelden",
 ["_AutoSubScribeCreate"] = "Automatisch anmelden",
 ["_MyDefaultRole"] = "Standard Rolle",
 ["_MyDefaultAltRole"] = "Standard alternativ Rolle",
 ["_DefaultSortPlugin"] = "Standard sortierpriorität",
 ["_ShowArchive"] = "A",
 ["_ShowTemplates"] = "V",
 
 ["_Generaloptions"] = "Globale Optionen",
 ["_DateNHour"] = "Datum&Zeit",
 ["_Channels"] = "Kanäle",
 ["_Substab"] = "Aktionen",
 ["_Lists"] = "Listen",
 ["_Colors"] = "Farben",
 ["_General"] = "Allgemein",
 ["_ShowMinimapIcon"] = "Minimap Icon anzeigen",
 ["_PlaysoundOnNotify"] = "Audio Benachrichtigung",
 ["_NotifyNew"] = "Neue benachrichtigen",
 ["_NotifyEdit"] = "Änderungen benachrichtigen",
 ["_NotifyOwn"] = "Eigene benachrichtigen",
 ["_NotifySubscription"] = "Einschreibungen benachrichtigen",
 ["_NotifyDateChange"] = "Datumsänderungen benachrichtigen",
 ["_NotifyKickBan"] = "Löschungen und Verbannungen benachrichtigen",
 ["_Notifications"] = "Benachrichtigungen",
 ["_BlockInviteWhisp"] = "Kein Flüstern bei Einladung",
 ["_AutoDisableInstance"] = "GEM automatich in Instanz ausschalten",
 
 ["_TimeFormat"]    = "Uhrzeit Format",
 ["_Timeformat1"] = "24h",
 ["_Timeformat2"] = "12h",
 ["_UseServerTime"] = "Serverzeit verwenden",
 
 ["_EventlistOptions"] = "Optionen der Eventliste",
 ["_ShowLevelCol"] = "Level Spalte",
 ["_ShowTagiconCol"] = "Tag Spalte",
 ["_ShowLeaderCol"] = "Leader Spalte",
 ["_ShowLeaderIconCol"] = "Leader icon Spalte",
 ["_ShowSubsCol"] = "Ameldungen Spalte",
 ["_ShowLimitsIconCol"] = "Limits Spalte",
 ["_ShowEventIconCol"] = "Event icon Spalte",

 ["_CalendarColors"] = "Kalenderfarben",
 ["_TopLeft"] = "Ecke oben links",
 ["_DayHeaders"] = "Wochentage",
 ["_WeekHeaders"] = "Wochenummern",
 ["_NormalDay"] = "Normaler Tag",
 ["_Today"] = "Heute",
 ["_WithEvent"] = "Tage mit Events",
 ["_WithSubscription"] = "Tage mit Anmeldungen",
 ["_SelectedDay"] = "Gewählter Tag",
 ["_MouseOver"] = "MouseOver Tag",
 ["_PrevNextMonthDays"] = "Tage vorher./kommender Monat",
 ["_O"] = "A",
 ["_I"] = "I",
 ["_T"] = "T",

 ["_Channel"] = "Kanal",
 ["_SubscriptionDefaults"] = "Anmelder Parameter",

 ["GEM3_DEBUG_NONE"]        = "nichts",
 ["GEM3_DEBUG_GLOBAL"]      = "Global",
 ["GEM3_DEBUG_PROTOCOL"]    = "Protokol",
 ["GEM3_DEBUG_CHANNEL"]     = "Kanal",
 ["GEM3_DEBUG_EVENTS"]      = "Events",
 ["GEM3_DEBUG_COMMANDS"]    = "Kommandos",
 ["GEM3_DEBUG_SUBSCRIBERS"] = "Anmeldungen",
 ["GEM3_DEBUG_SORT"]        = "Sortierung",
 ["GEM3_DEBUG_QUEUES"]      = "Warteschlangen",
 ["GEM3_DEBUG_WARNING"]     = "Warnungen",
 ["GEM3_DEBUG_TIMESTAMP"]   = "Zeitstempel",
 ["GEM3_DEBUG_ALL_MASK"]    = "Alle",
 
 
 
 -- Errormessages
 ["_CrashedEventWarning"] = "..::!! ACHTUNG : VERLORENES EVENT !!::..",
 ["_CrashedEventQuestion"] = "Prüfen Sie die Eventdaten bevor Sie die Wiederherstellung annehmen. Es ist nicht sichergestellt, dass der Spieler der ihnen diese Wiederherstellung anbietet die letzte bekannte Version hat.\nSie können diese Version ignorieren und eine neuere abwarten.\nSollten Sie die Wiederherstellung akzeptieren und sollte eine neuere Version ankommen, so können Sie dann immer noch die neuere annehmen.",
 ["COREINCOMPATIBLE"] = "..: Die Version %s von GEM3_Core ist mit der Version %s des Benutzer interface GEM3UI nicht kompatible.\nBitte führen sie ein updaten aller GEM Module durch",
 ["CoreUpgradeNeeded"] = "GEM3 ist inkompatibel, Sie müssen auf Version %s updaten.\n(http://www.wowgem.fr für weitere Details)",
 ["CoreUpgradeSugested"] = "GEM3 ist nicht aktuell, ein Update auf Version %s wird empfohlen.\n(http://www.wowgem.fr für weitere Details)",




 -- Tooltips
 ["OptionsTooltip"]            = "Optionen",
 ["CloseTooltip"] = "Fenster schliessen",
 ["tt_GEM3MinimapButton1"]   = "Rechtsdrag um den winkel zu ändern",
 ["tt_GEM3MinimapButton2"]   = "CTRL + Rechtsdrag um den Radius zu ändern",
 ["tt_GEM3MinimapButton3"]   = "Rechtsclick um die GEM kommunikation Ein/aus zu schalten",
 ["tt_GEM3MinimapButton4"]   = "ACHTUNG: Wenn ausgeschaltet wird kein Event, spieler einschreiben, eigentlich gar nichts von Deinem GEM gesendet oder empfangen",
 ["tt_GEM3UI_GeneraloptionsTabDebug1"] = "Diese option schaltet das Debuging an bzw. aus",
 ["tt_GEM3UI_GeneraloptionsTabDebug2"] = "Wenn aktiviert, können im Debuging Fenster weitere Einstellungen vorgenommen werden",
 ["tt_GEM3UI_GeneraloptionsTabDebug3"] = "sowie Debug-Level, oder speicherung des Debugingprotokolls",
 ["tt_GEM3UIDefaultEventList1"] = "Wählen sie eine Vorlagen Kategorie\nUm diese dann zu importieren";
 ["tt_GEM3UITextColor1"] = "Aktivieren Sie die Felder für die\nSie im Kalender die Textfarbe ändern möchten",
 ["tt_GEM3UIInnerColor1"] = "Aktivieren Sie die Felder für die\nSie im Kalender die Tagesfarbe ändern möchten",
 ["tt_GEM3UIOuterColor1"] = "Aktivieren Sie die Felder für die\nSie im Kalender die Tagesrahmenfarbe ändern möchten",
 ["tt_GEM3UI_ColorCFGColorSelect1"] = "Wählen Sie hier Farbe und Helligkeit",
 ["tt_GEM3UI_ColorPickerPanelAS1"] = "Stellen Sie hiermit die Transparenz ein",
 ["tt_GEM3UI_ColorPickerPanelRT1"] = "Dies ist der Wert des roten Farbkanals",
 ["tt_GEM3UI_ColorPickerPanelGT1"] = "Dies ist der Wert des grünen Farbkanals",
 ["tt_GEM3UI_ColorPickerPanelBT1"] = "Dies ist der Wert des blauen Farbkanals",
 
 ["tt_GEM3UI_CFGChanEditSlash1"] = "hier definieren sie das 'slash' Kommando das Ihnen erlaub auf diesem Kanal zu sprechen.",
 ["tt_GEM3UI_CFGChanEditAlias1"] = "Dies ist der Text der ihren Kanal im chatfenster identifiziert",
 ["tt_GEM3UI_CFGChanEditPass1"] = "Das Kanal Passwort",
 ["tt_GEM3UI_CFGChanEditName1"] = "Der Kanalname.",
 ["tt_GEM3UIMyEventExpireDelay1"] = "Dies ist die Zeit die meine eigenen Events in der Eventliste bestehen bleiben bevor sie unwiederuflich gelöscht werden",
 ["tt_GEM3UIEventExpireDelay1"] = "Dies ist die Zeit die Events in der Eventliste bestehen bleiben bevor sie unwiederuflich gelöscht werden",
 ["tt_GEM3UIOptionsDTF_TimeOffset1"] = "Dies ist de rZeitvesatz zur Server Zeit\nAlle Zeiten bei der Erstellung oder Anzeige der events wird entsprechend angepasst",
 ["tt_GEM3UIOptionsDTF_DateSep1"] = "Ändern Sie das Datumstrennzeichen.",
 ["tt_GEM3UIOptionsDTF_TimeReference1"] = "ACHTUNG: Wenn sie diese Option aktivieren\nSo gelten Sie als Zeitreferenz auf allen Kanälen.",
 ["tt_GEM3UIAutoSubscribe1"] = "Hirmit legen sie fest in alle von Ihnen erstellenten Events automatisch eingeschrieben zu werden",
 ["tt_GEM3UI_ConfigDefaultRole1"] = "Stellen Sie hier Ihre standard Rolle ein",
 
 ["tt_GEM3UI_chk_EventlistOptions1"] = "Optionen der Eventliste",
 ["tt_GEM3UI_chk_ShowLevelCol1"] = "Level Spalte",
 ["tt_GEM3UI_chk_ShowTagiconCol1"] = "Tag Spalte",
 ["tt_GEM3UI_chk_ShowLeaderCol1"] = "Leader Spalte",
 ["tt_GEM3UI_chk_ShowLeaderIconCol1"] = "Leader icon Spalte",
 ["tt_GEM3UI_chk_ShowSubsCol1"] = "Ameldungen Spalte",
 ["tt_GEM3UI_chk_ShowLimitsIconCol1"] = "Limits Spalte",
 ["tt_GEM3UI_chk_ShowEventIconCol1"] = "Event icon Spalte",
 
 ["LimitsTitel"] = "Limits Farbcode",
 ["LimitsRed"] = "Rot = Limits nicht erfüllt",
 ["LimitsYellow"] = "Jaune = Limits durch Angemeldet + Ersatz erfüllt",
 ["LimitsGreen"] = "Vert = Limits durch Angemeldet erfüllt",

 ["tt_GEM3UI_CFG_NotifyKickban1"] = "Anzeigen einer nachricht bei verbannungen\noder Verweisungen.\n\Achtung das Mitteilungsfenster erscheint auch während eines Kampfes.",
 ["tt_GEM3UI_CFG_NotifySubs1"] = "Neue Einschreibungen werden Ihnen signalisiert\nSignalisierung erfolgt durch blinken des Minimap Icons",
 ["tt_GEM3UI_CFG_NotifyNew1"] = "Neue Events werden Ihnen signalisiert.\nSignalisierung erfolgt durch blinken des Minimap Icons",
 ["tt_GEM3UI_CFG_NotifyEdit1"] = "Änderungen von Events werden Ihnen signalisiert.\nSignalisierung erfolgt durch blinken des Minimap Icons",
 ["tt_GEM3UI_CFG_NotifyDateChange1"] = "Datumsänderungen an Events werden Ihnen signalisiert.\nSignalisierung erfolgt durch blinken des Minimap Icons",
 ["tt_GEM3UI_CFG_BlockInviteWhisp1"] = "Flüstern während des automatischen Einladungsprozesses unterbinden",
 ["tt_GEM3UI_cfgAutoArchive1"] = "Events vor dem löschen archivieren",
 
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderTIT1"] = "Diese Spalte stellt zugesicherte Plätze dar.",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderSUB1"] = "Diese Spalte stellt die Warteliste dar\nSpieler die einen Platz erhalten bei Abwehsenheit eines zugesicherten Platzes",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderREP1"] = "Diese spalte stellt die Ersatzspieler dar. Spieler die nur wenn wirklich nötig einspringen",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderMIN1"] = "Diese Spalte stellt die minimalen\nAnforderungen an Klassen und rollen dar",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderMAX1"] = "Diese Spalte stellt die maximalen\nPlätze für Klassen und rollen dar",
 
 ["tt_GEM3UI_SUB_Comment1"] = "Geben Sie hier einen eventuellen\nKommentar für Ihre Anmeldung ein.",
 
 ["tt_GEM3UI_ShowArchive1"] = "Archivierte Event anzeigen",
 ["tt_GEM3UI_ShowTemplates1"] = "Installierte Vorlagen anzeigen.",
 
 ["tt_MultipleCreateTitel1"] = "Mit diesen optionen können Sie ein Event\nin einem Mal für mehrere Vorkommnisse erstellen.\nWählen Sie die Wiederholungsoptionen.",
 
 ["tt_AddExternalLookupStayopen1"] = "Ist dieses feld aktiviert so bleibt das suchfenster \nsowie das hinzufügen Fesnter offen.\nDies dient zum hinzufügen mehrerer Spieler.",
 
 ["_FirstRunHelp"] = "Willkomen im GEM Netzwerk!\nDies ist Ihr erster Start von GEM.\n\nBitte nehmen Sie sich eine minute Zeit um die 5 Reiter des Optionsdialogs anzuschauen. Somit stellen Sie sicher alle möglichkeiten des Programms zu nutzen.",
 
 ["_FirstGridRun"] = "Mit dieser GEM Version werden alle Tabellen in einer neuen Form angezeigt. Sollten Probleme auftreten oder diese Art der Anzeige nicht zufriedenstellen sein, so besteht die Möglichkeit auf die alte Anzeige Variante zurück zu kehren. Dies erfolg in den Optionen im Reiter Listen",
 
 
 -- System messages
 ["GEM3UILOADED"]           = "|cffffff00GEM3 UI V. %s geladen. Benutzen Sie |cffffffff/GEM oder /GEM3|cffffff00 um das Benutzerinterface anzuzeigen",
 ["GEM3UIRESET"]           = "|cffffff00Mit |cffffffff/GEM reset oder /GEM3 reset|cffffff00 koennen alle Daten und Einstellungen von GEM im falle von Problemen zureckgesetzt werden.",
 ["GEM3UIDEBUG"]            = "Use /GEM debug pour afficher la fenêtre de débogage",
 ["GEM3UIHELP"]             = "Use /GEM help pour plus d'options",
 ["NEEDRESTARTUI"]          = "Pour que cette option prenne effet, vous devez recharger votre interface ou relancer WoW",
 ["_LogDebug"]              = "Debugging Protokoll speichern",
 ["_DebugLevel"]            = "Debuggin Level",
 ["YouHaveAnIncompatibleVersion"]    = "Ihre GEMUI Version ist inkompatibel. Sie Müssen Updaten!!",
 ["YouHaveAnOldVersion"]             = "Ihre GEM Version ist nicht aktuell!! Einige Funktionen sind ihnen nicht zugänglich",
 ["YouHaveAnOutdatedVersion"]        = "Eine neuere Version von GEM ist verfügbar!",
 
 ["PlayerKnowNewerVersion"] = "%s auf Kanal %s\nkennt die Version GEM3UI : %s",
 
 ["GEM3OnPlayerLeftChannel"] = "Spieler verlässt Kanal",
 ["GEM3OnPlayerJoinedChannel"] = "Spieler tritt Kanal bei",
 
 ["_CoreEvents"] = "Base de données évènements",
 ["_CoreCFG"] = "Configuration du core",
 ["_UIreset"] = "Paramètres d'interface",
 ["_TemplatesReset"] = "Réinitialisation des modèles",
 ["_Reset"] = "R E S E T",
 ["_ResetInfos"]        = "Achtung, das Zurücksetzen der Daten und Parameter ist unwiderruflich.\nDie Daten hingegen sind nicht komplett verloren, da alle Spieler des GEM Netzwerk eine Kopie davon halten. Sind Sie Leader von Events, so werden Ihnen Ihre Events zu wiederherstellung angeboten.\nAb- und Anmeldung erforderlich)\nBei schwerwiegenden Fehler ist jedoch ein Reset bei allen Spielern im GEM Netzwerk erforderlich, und Sie müssen als Leader die Wiederherstellung Ihrer Events ablehnen.\n\nDas Interface Ihres spiels wird nach Bestätigung automatisch neu geladen.",


 -- Calendar
 ["month"] = {
     [1] = "Januar",
     [2] = "Februar",
     [3] = "März",
     [4] = "April",
     [5] = "Mai",
     [6] = "Juni",
     [7] = "Juli",
     [8] = "August",
     [9] = "September",
     [10] = "Oktober",
     [11] = "November",
     [12] = "Dezember",
    },
["monthshort"] = {
     [1] = "Jan",
     [2] = "Feb",
     [3] = "Mar",
     [4] = "Apr",
     [5] = "Mai",
     [6] = "Jun",
     [7] = "Jul",
     [8] = "Aug",
     [9] = "Sep",
     [10] = "Okt",
     [11] = "Nov",
     [12] = "Dez",
    },
["day"] = {
     [0] = "Sonntag",
     [1] = "Montag",
     [2] = "Dienstag",
     [3] = "Mittwoch",
     [4] = "Donnerstag",
     [5] = "Freitag",
     [6] = "Samstag",
     [7] = "Sonntag",
    },
["dayshort"] = {
     [0] = "So",
     [1] = "Mo",
     [2] = "Di",
     [3] = "Mi",
     [4] = "Do",
     [5] = "Fr",
     [6] = "Sa",
     [7] = "So",
    },
["day1letter"] = {
     [0] = "S",
     [1] = "M",
     [2] = "D",
     [3] = "M",
     [4] = "D",
     [5] = "F",
     [6] = "S",
     [7] = "S",
    },
    
["EventTypesToolbarButtonsTooltip"] = "Events vom Typ %s\n anzeigen/ verbergen", 
["EventTypes"] = {
 [GEM3_EVT_TYPE_NONE] =               { tbin = "interface\\icons\\spell_holy_sealofwrath" ,         tbip="interface\\icons\\spell_holy_sealofwrath",          shortext = "N", longtext="Standard", },
 [GEM3_EVT_TYPE_TEST] =               { tbin = "interface\\icons\\spell_shadow_sacrificialshield",  tbip="interface\\icons\\spell_shadow_sacrificialshield",  shortext = "T", longtext="Test", },
 [GEM3_EVT_TYPE_RESET] =              { tbin = "interface\\icons\\spell_shadow_lastingafflictions", tbip="interface\\icons\\spell_shadow_lastingafflictions", shortext = "R", longtext="Resets", },
 [GEM3_EVT_TYPE_LFG] =                { tbin = "interface\\lfgframe\\battlenetworking0",            tbip="interface\\lfgframe\\battlenetworking0",            shortext = "LFG", longtext="Gruppen Suche", },
 [GEM3_EVT_TYPE_POLL] =               { tbin = "interface\\icons\\ability_hunter_beastcall",        tbip="interface\\icons\\ability_hunter_beastcall",        shortext = "?", longtext="Umfrage", },
 [GEM3_EVT_TYPE_PLAYER_AVALABILITY] = { tbin = "interface\\icons\\spell_holy_fanaticism",           tbip="interface\\icons\\spell_holy_fanaticism",           shortext = "D", longtext="Verfügbarkeit", },
 [GEM3_EVT_TYPE_RAID_AVAILABILITY] =  { tbin = "interface\\icons\\spell_holy_prayerofspirit",       tbip="interface\\icons\\spell_holy_prayerofspirit",       shortext = "R", longtext="Raid Planung", },
 [GEM3_EVT_TYPE_INSTANCE5] =          { tbin = "interface\\icons\\ability_creature_cursed_01",      tbip="interface\\icons\\ability_creature_cursed_01",      shortext = "5", longtext="Instanzen 5", },
 [GEM3_EVT_TYPE_INSTANCE5_BC] =       { tbin = "interface\\icons\\ability_creature_cursed_04",      tbip="interface\\icons\\ability_creature_cursed_04",      shortext = "BC", longtext="Instanzen BC" , },
 [GEM3_EVT_TYPE_INSTANCE5_WOTLK] =    { tbin = "interface\\icons\\ability_creature_disease_05",     tbip="interface\\icons\\ability_creature_disease_05",     shortext = "WOLK", longtext="Instanzen WOTLK", },
 [GEM3_EVT_TYPE_INSTANCE5_WOTLKH] =    { tbin = "interface\\icons\\ability_creature_disease_05",     tbip="interface\\icons\\ability_creature_disease_05",     shortext = "WOLK", longtext="Instanzen heroisch WOTLK", },
 [GEM3_EVT_TYPE_INSTANCE5_BCH] =      { tbin = "interface\\icons\\ability_creature_cursed_02",      tbip="interface\\icons\\ability_creature_cursed_02",      shortext = "H", longtext="Instances heroisch", },
 [GEM3_EVT_TYPE_RAID] =               { tbin = "interface\\icons\\inv_scarab_crystal",              tbip="interface\\icons\\inv_scarab_crystal",              shortext = "40", longtext="Raids vor BC", },
 [GEM3_EVT_TYPE_RAID_BC] =            { tbin = "interface\\icons\\ability_druid_empoweredtouch",    tbip="interface\\icons\\ability_druid_empoweredtouch",    shortext = "RBC", longtext="Raids BC", },
 [GEM3_EVT_TYPE_RAID_WOTLK] =         { tbin = "interface\\icons\\ability_druid_dreamstate",        tbip="interface\\icons\\ability_druid_dreamstate",        shortext = "RLK", longtext="Raids WOTLK", },
 [GEM3_EVT_TYPE_RAID_WOTLKH] =         { tbin = "interface\\icons\\ability_druid_galewinds",        tbip="interface\\icons\\ability_druid_galewinds",        shortext = "RLK", longtext="Raids 25 WOTLK", },
 [GEM3_EVT_TYPE_PVP] =                { tbin = "interface\\icons\\ability_druid_ferociousbite",     tbip="interface\\icons\\ability_druid_ferociousbite",     shortext = "PvP", longtext="PvP", },
 [GEM3_EVT_TYPE_GUILD_EVENT] =        { tbin = "interface\\icons\\ability_eyeoftheowl",             tbip="interface\\icons\\ability_eyeoftheowl",             shortext = "G", longtext="Gilde", },
} ,

 ["guildEvents"] = "Gilden Events",
 ["OfficerMeeting"] = "Offiziers Meeting",
 ["OfficerMeetingComment"] = "",
 ["GuildSocialEvent"] = "Gilden Event",
 ["Birthday"] = "Geburtstag",
 ["BirthdayComment"] = "",
 ["GuildSocialEventComment"] = "",
 ["Quest5"] = "Fünfer quests",
 ["Quest5Comment"] = "",
 ["Quest10"] = "Zehner Quests",
 ["Quest10Comment"] = "",
 ["DailyQuest"] = "Tages Quests",
 ["DailyQuestComment"] = "",
 ["DailyHero"] = "Daily heroic",
 ["DailyHeroComment"] = "",
 ["WeeklyRaid"] = "Raid der Woche",
 ["WeeklyRaidComment"] = "",

 
 ["PreBCEventsRaid"] = "Raids pre BC",
 ["UBRS"] = "UBRS",
 ["UBRSComment"] = "",
 ["ZG_Short"] = "ZG",
 ["ZG"] = "Zul'Gurub",
 ["ZGComment"] = "",
 ["AQ20_Short"] = "AQ20",
 ["AQ20"] = "Ruinen von Ahn'Qiraj",
 ["AQ20Comment"] = "",
 ["AQ40_Short"] = "AQ40",
 ["AQ40"] = "Tempel von Ahn'Qiraj",
 ["AQ40Comment"] = "",
 ["ONY_Short"] = "ONY",
 ["ONY"] = "Onyxia's Hort",
 ["ONYComment"] = "",
 ["MC_Short"] = "MC",
 ["MC"] = "Der Geschmolzene Kern",
 ["MCComment"] = "",
 ["NAX_Short"] = "NAX",
 ["NAX"] = "Naxxramas",
 ["NAXComment"] = "",
 ["BWL_Short"] = "BWL",
 ["BWL"] = "Pechschwingenhort",
 ["BWLComment"] = "",
 
 ["BCEventsInstance5"] = "Instanzen 5 Spieler BC ",
 ["HellfireRamp"] = "Hellfire Ramp",
 ["HellfireRampComment"] = "",
 ["BloodFum"] = "Blood Fum",
 ["BloodFumComment"] = "",
 ["SlavePens"] = "SlavePens",
 ["SlavePensComment"] = "",
 ["Underbog"] = "Underbog",
 ["UnderbogComment"] = "",
 ["ManaTomb"] = "Mana Tomb",
 ["ManaTombComment"] = "",
 ["Crypt"] = "Auchenai Crypt",
 ["CryptComment"] = "",
 ["Sethek"] = "Sethek",
 ["SethekComment"] = "",
 ["Steamvault"] = "Steam vault",
 ["SteamvaultComment"] = "",
 ["ShadowLab"] = "Shadow Lab",
 ["ShadowLabComment"] = "",
 ["Mechenar"] = "Mechanar",
 ["MechenarComment"] = "",
 ["Botanica"] = "Botanica",
 ["BotanicaComment"] = "",
 ["Arcatraz"] = "Arcatraz",
 ["ArcatrazComment"] = "",
 ["ShatHall"] = "Shattered Halls",
 ["ShatHallComment"] = "",
 ["CoT1"] = "CoT1",
 ["CoT1Comment"] = "",
 ["CoT2"] = "CoT2",
 ["CoT2Comment"] = "",
 
 ["BCEventsInstance5Heroic"] = "Instances heroik",
 ["HellfireRampH"] = "Hellfire Ramp heroik",
 ["HellfireRampHComment"] = "",
 ["BloodFumH"] = "Blood Fum heroic",
 ["BloodFumHComment"] = "",
 ["SlavePensH"] = "SlavePens heroic",
 ["SlavePensHComment"] = "",
 ["UnderbogH"] = "Underbog heroic",
 ["UnderbogHComment"] = "",
 ["ManaTombH"] = "Mana Tomb heroic",
 ["ManaTombHComment"] = "",
 ["CryptH"] = "Auchenai Crypt heroic",
 ["CryptHComment"] = "",
 ["SethekH"] = "Sethek heroic",
 ["SethekHComment"] = "",
 ["SteamvaultH"] = "Steam vault heroic",
 ["SteamvaultHComment"] = "",
 ["ShadowLabH"] = "Shadow Lab heroic",
 ["ShadowLabHComment"] = "",
 ["MechenarH"] = "Mechanar heroic",
 ["MechenarHComment"] = "",
 ["BotanicaH"] = "Botanica heroic",
 ["BotanicaHComment"] = "",
 ["ArcatrazH"] = "Arcatraz heroic",
 ["ArcatrazHComment"] = "",
 ["ShatHallH"] = "Shattered Halls heroic",
 ["ShatHallHComment"] = "",
 ["CoT1H"] = "CoT1 heroic",
 ["CoT1HComment"] = "",
 ["CoT2H"] = "CoT2 heroic",
 ["CoT2HComment"] = "",
 
 ["BCEventsRaid"] = "Raids BC",
 ["Karazhan_Short"] = "Kara",
 ["Karazhan"] = "Karazhan",
 ["KarazhanComment"] = "",
 ["ZA_Short"] = "ZA",
 ["ZA"] = "Zul'Aman",
 ["ZAComment"] = "",
 ["Gruul_Short"] = "Gruul",
 ["Gruul"] = "Gruul´s Unterschlupf",
 ["GruulComment"] = "",
 ["Magtheridon_Short"] = "Magthé",
 ["Magtheridon"] = "Magtheridon´s Kammer",
 ["MagtheridonComment"] = "",
 ["SSC_Short"] = "SSC",
 ["SSC"] = "SSC",
 ["SSCComment"] = "",
 ["TheEye_Short"] = "L'oeil",
 ["TheEye"] = "Das Auge",
 ["TheEyeComment"] = "",
 ["Hyjal_Short"] = "Hyjal",
 ["Hyjal"] = "Berg Hyjal",
 ["HyjalComment"] = "",
 ["BlackTemple_Short"] = "BT",
 ["BlackTemple"] = "Der Schwarze Tempel",
 ["BlackTempleComment"] = "",
 ["Sunwell_Short"] = "PPS",
 ["Sunwell"] = "Sonnenbrunnen-Plateau",
 ["SunwellComment"] = "",
 
 ["WOLKInstanceHeroic"] = "WotLK Heroic Instances",
 ["UK_ShortH"] = "UK",
 ["UKH"] = "Utgarde Keep (heroic)",
 ["UKCommentH"] = "",
 ["Nexus_ShortH"] = "Nex",
 ["NexusH"] = "The Nexus (heroic)",
 ["NexusCommentH"] = "",
 ["AN_ShortH"] = "AN",
 ["ANH"] = "Azjol-Nerub (heroic)",
 ["ANCommentH"] = "",
 ["AK_ShortH"] = "AK",
 ["AKH"] = "Ahn'Kahet (heroic)",
 ["AKCommentH"] = "",
 ["DTK_ShortH"] = "DTK",
 ["DTKH"] = "Drak'Tharon Keep (heroic)",
 ["DTKCommentH"] = "",
 ["VH_ShortH"] = "VH",
 ["VHH"] = "Violet Hold (heroic)",
 ["VHCommentH"] = "",
 ["GUN_ShortH"] = "Gun",
 ["GUNH"] = "Gundrak (heroic)",
 ["GUNCommentH"] = "",
 ["COT_S_ShortH"] = "CoT-Strat",
 ["COT_SH"] = "Culling of Stratholme (heroic)",
 ["COT_SCommentH"] = "",
 ["HOS_ShortH"] = "HoS",
 ["HOSH"] = "Halls of Stone (heroic)",
 ["HOSCommentH"] = "",
 ["UP_ShortH"] = "UP",
 ["UPH"] = "Utgarde Pinnacle (heroic)",
 ["UPCommentH"] = "",
 ["Oculus_ShortH"] = "Ocu",
 ["OculusH"] = "Oculus (heroic)",
 ["OculusCommentH"] = "",
 ["HOL_ShortH"] = "HoL",
 ["HOLH"] = "Halls of Lightning (heroic)",
 ["HOLCommentH"] = "",
 ["CC5_ShortH"] = "ToC5",
 ["CC5H"] = "Trial of Crusader 5 (heroic)",
 ["CC5CommentH"] = "",

 
 ["WOLKInstance"] = "WotLK Instances",
 ["UK_Short"] = "UK",
 ["UK"] = "Utgarde Keep",
 ["UKComment"] = "",
 ["Nexus_Short"] = "Nex",
 ["Nexus"] = "The Nexus",
 ["NexusComment"] = "",
 ["AN_Short"] = "AN",
 ["AN"] = "Azjol-Nerub",
 ["ANComment"] = "",
 ["AK_Short"] = "AK",
 ["AK"] = "Ahn'Kahet",
 ["AKComment"] = "",
 ["DTK_Short"] = "DTK",
 ["DTK"] = "Drak'Tharon Keep",
 ["DTKComment"] = "",
 ["VH_Short"] = "VH",
 ["VH"] = "Violet Hold",
 ["VHComment"] = "",
 ["GUN_Short"] = "Gun",
 ["GUN"] = "Gundrak",
 ["GUNComment"] = "",
 ["COT_S_Short"] = "CoT-Strat",
 ["COT_S"] = "Culling of Stratholme",
 ["COT_SComment"] = "",
 ["HOS_Short"] = "HoS",
 ["HOS"] = "Halls of Stone",
 ["HOSComment"] = "",
 ["UP_Short"] = "UP",
 ["UP"] = "Utgarde Pinnacle",
 ["UPComment"] = "",
 ["Oculus_Short"] = "Ocu",
 ["Oculus"] = "Oculus",
 ["OculusComment"] = "",
 ["HOL_Short"] = "HoL",
 ["HOL"] = "Halls of Lightning",
 ["HOLComment"] = "",
 ["CC5_Short"] = "ToC5",
 ["CC5"] = "Trial of Crusader 5",
 ["CC5Comment"] = "",


 ["WOLKRaids"] = "WotLK Raids (10)",
 ["NAXX_Short"] = "NAX",
 ["NAXX"] = "Naxxramas",
 ["NAXXComment"] = "",
 ["OS_Short"] = "OS",
 ["OS"] = "Obsidiansanktum",
 ["OSComment"] = "",
 ["EOE_Short"] = "EoE",
 ["EOE"] = "Auge der Ewigkeit",
 ["EOEComment"] = "",
 ["VOA_Short"] = "VoA",
 ["VOA"] = "Schlacht um Tausendwinter",
 ["VOAComment"] = "",
 ["Ulduar_Short"] = "Ulduar",
 ["Ulduar"] = "Ulduar",
 ["UlduarComment"] = "",
 ["ICC_Short"] = "ICC",
 ["CC10_Short"] = "ToC",
 ["CC10"] = "Trial of Crusader",
 ["CC10Comment"] = "",
 ["CC25_Short"] = "ToC",
 ["CC25"] = "Trial of Crusader",
 ["CC25Comment"] = "",
 ["ICC"] = "Ice Crown Citadel",
 ["ICCComment"] = "",
 
 ["WOLKRaidsHeroic"] = "WotLK Heroic Raids (25)",
 ["NAXX_ShortH"] = "NAX",
 ["NAXXH"] = "Naxxramas (heroisch)",
 ["NAXXCommentH"] = "",
 ["OS_ShortH"] = "OS",
 ["OSH"] = "Obsidiansanktum (heroisch)",
 ["OSCommentH"] = "",
 ["EOE_ShortH"] = "EoE",
 ["EOEH"] = "Auge der Ewigkeit (heroisch)",
 ["EOECommentH"] = "",
 ["VOA_ShortH"] = "VoA",
 ["VOAH"] = "Schlacht um Tausendwinter (heroisch)",
 ["VOACommentH"] = "",
 ["Ulduar_ShortH"] = "Ulduar",
 ["UlduarH"] = "Ulduar (heroisch)",
 ["UlduarCommentH"] = "",
 ["CC10_ShortH"] = "ToC",
 ["CC10H"] = "Trial of Crusader (heroic)",
 ["CC10CommentH"] = "",
 ["CC25_ShortH"] = "ToC",
 ["CC25H"] = "Trial of Crusader (heroic)",
 ["CC25CommentH"] = "",
 ["ICC_ShortH"] = "ICC",
 ["ICCH"] = "Ice Crown Citadel (heroisch)",
 ["ICCCommentH"] = "",
 
 ["PvPEvents"] = "PvP events",
 ["Arena2vs2"] = "Arena 2v2",
 ["Arena2vs2Comment"] = "",
 ["Arena3vs3"] = "Arena 3v3",
 ["Arena3vs3Comment"] = "",
 ["Arena5vs5"] = "Arena 5v5",
 ["Arena5vs5Comment"] = "",
 ["PvPRaid"] = "PvP Raid",
 ["PvPRaidComment"] = "",
 ["BGAlterac"] = "Alterac",
 ["BGAlteracComment"] = "",
 ["BGArathi"] = "Arathi",
 ["BGArathiComment"] = "",
 ["BGWarsong"] = "Warsong",
 ["BGWarsongComment"] = "",
 ["EoTS"] = "cyclone",
 ["EoTSComment"] = "",
 ["IOC"] = "Isle of Conquest",
 ["IOCComment"] = "",
 ["SoA"] = "Strand of the Ancients",
 ["SoAComment"] = "",

};
 
 
 --grid related
 GEM3UI_LocalizedStrings["PlayerstatusHeaderTooltip"] = "Player status icon:\\Kanal Leader\\Ignoriert\\Normal\\Zeigt eine Glocke wenn der Spieler Zeitreferenz ist"
GEM3UI_LocalizedStrings["OnlineStatusHeaderTooltip"] = "Haken wenn Spieler Online ist"
GEM3UI_LocalizedStrings["NameHeaderTooltip"] = "Name des Spielers"
GEM3UI_LocalizedStrings["RoleHeaderTooltip"] = "Role des Spielers:\\Tank\\Heiler\\DPS"
GEM3UI_LocalizedStrings["LevelHeaderTooltip"] = "Level des Spielers"
GEM3UI_LocalizedStrings["ClassHeaderTooltip"] = "Klassen icon des Spielers"
GEM3UI_LocalizedStrings["GuildHeaderTooltip"] = "Gilde des Spielers"
GEM3UI_LocalizedStrings["RankHeaderTooltip"] = "Gildenrang des Spielers"
GEM3UI_LocalizedStrings["OfficerHeaderTooltip"] = "Offizier:\\GM\\Offizier\\Mitglied"
GEM3UI_LocalizedStrings["ZoneHeaderTooltip"] = "Region in der sich der Spieler befindet"
GEM3UI_LocalizedStrings["Lastseen"] = "Zul. Gesehen"
GEM3UI_LocalizedStrings["LastseenHeaderTooltip"] = "Datum und Uhrzeit zu der der Spielr das letze mal gesehen wurde"
GEM3UI_LocalizedStrings["CoreHeaderTooltip"] = "Version des GEM Core Moduls"
GEM3UI_LocalizedStrings["UIHeaderTooltip"] = "Version des GEM Benutzer Interfaces"
GEM3UI_LocalizedStrings["TagsHeaderTooltip"] = "Anzahl Instanzen mit ID"
GEM3UI_LocalizedStrings["Class color"] = "Klassen Farbe"
GEM3UI_LocalizedStrings["Status color"] = "Spieler Status Farbe"
GEM3UI_LocalizedStrings["In instance / Raid / PvP"] = "In Instanz / Raid / PvP"
GEM3UI_LocalizedStrings["InviteShort"] = "E"
GEM3UI_LocalizedStrings["InviteThisPlayer"] = "Spieler zur gruppe hinzufügen"
GEM3UI_LocalizedStrings["Players"] = "Spieler"
GEM3UI_LocalizedStrings["slots"] = "Plätze"
GEM3UI_LocalizedStrings["Instance Icon"] = "Instanz Icon"
GEM3UI_LocalizedStrings["Subscription Status"] = "Status der Anmeldung"
GEM3UI_LocalizedStrings["Eventtype Icon"] = "Eventtyp Icon"
GEM3UI_LocalizedStrings["Show Event Details"] = "Details des Events anzeigen"
GEM3UI_LocalizedStrings["Deadlineshort"] = "Deadline"
GEM3UI_LocalizedStrings["Totalsshort"] = "S"
GEM3UI_LocalizedStrings["Am i Leader"] = "Bin ich Leader?"
GEM3UI_LocalizedStrings["Total Subscriptions"] = "G"
GEM3UI_LocalizedStrings["Total Subscriptions TT"] = "Gesamt Anmeldungen aller Listen"
GEM3UI_LocalizedStrings["Min Level"] = "LvL>"
GEM3UI_LocalizedStrings["Max Level"] = "Lvl<"
GEM3UI_LocalizedStrings["Min Level TT"] = "Minimal geforderdetes Level"
GEM3UI_LocalizedStrings["Max Level TT"] = "Maximal geforderdetes Level"
GEM3UI_LocalizedStrings["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderREJ1"] = "Anzahl nicht angenommener Spieler"
GEM3UI_LocalizedStrings["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderNC1"] = "Anzahl nicht verfügbarer Spieler"
GEM3UI_LocalizedStrings["deadlineTT"] = "Anmeldungen nur möglich vor diesem Datum"
GEM3UI_LocalizedStrings["Player is linked to this instance"] = "'*' wenn der Spieler schon an diese Instanz gebunden ist"
GEM3UI_LocalizedStrings["Queue asked by the player"] = "Warteliste die der Spieler angefordert hat"
GEM3UI_LocalizedStrings["Actual active queue"] = "Aktuelle Warteliste des Spielers"
GEM3UI_LocalizedStrings["Lead force queue"] = "Von Leader zugewiesene Warteliste"
GEM3UI_LocalizedStrings["Second role"] = "Zweite Rolle die der Spieler einnehmen kann"
GEM3UI_LocalizedStrings["Main role"] = "Hauptrolle die der Spieler einnehmen möchte"
GEM3UI_LocalizedStrings["Subscription comment"] = "Anmelde Kommentar des Spielers"
GEM3UI_LocalizedStrings["Main Time"] = "Datum der Anmeldung"
GEM3UI_LocalizedStrings["Update Time"] = "Datum der letzten Änderung"
GEM3UI_LocalizedStrings["_UpdateTime"] = "Datum der letzten Änderung"
GEM3UI_LocalizedStrings["Subscription Source"] = "Quelle der Anmeldung:\\Spieler\\Extern hinzugefügt\\Internet"
GEM3UI_LocalizedStrings["Not subscribed"] = "Nicht angemeldet"
GEM3UI_LocalizedStrings[" is "] = " ist "

GEM3UI_LocalizedStrings["_GridReset"] = "Tabellenparameter zurücksetzen"
GEM3UI_LocalizedStrings["Outdated"] = "Vorbei"
GEM3UI_LocalizedStrings["outDated"] = "Vorbei"
GEM3UI_LocalizedStrings["Accessible"] = "Zugänglich"
GEM3UI_LocalizedStrings["New grid"] = "Neue Tabelle"
GEM3UI_LocalizedStrings["quick subscribe"] = "Schnell anmelden"
GEM3UI_LocalizedStrings["Allows fast subscription to an event with your default role"] = "Erlaub eine anmeldung mit einem klick. Es wird die standard Rolle des Spieler verwendet"
GEM3UI_LocalizedStrings["Date the event is scheduled"] = "Datum des events"
GEM3UI_LocalizedStrings["Time the event is schedules"] = "Uhrzeit des Events"
GEM3UI_LocalizedStrings["Name or description of the event"] = "Name bzw. Beschreibung des Events"
GEM3UI_LocalizedStrings["Shows a ! if i am leader of the event"] = "Zeigt ein ! an wenn sie der leader des Events sind"
GEM3UI_LocalizedStrings["Leader Online"] = "Leader online"
GEM3UI_LocalizedStrings["Leader Guild"] = "Gilde des Leaders"
GEM3UI_LocalizedStrings["Leader Rank"] = "Rang des Leaders"
GEM3UI_LocalizedStrings["Leader Guildrank"] = "Gildenrang"
GEM3UI_LocalizedStrings["deadlineTT"] = "Anmelde Deadline"
GEM3UI_LocalizedStrings["Channel the event is created in"] = "kanal des Events"
GEM3UI_LocalizedStrings["Last time the event has been updated"] = "Zeitpunkt der letzten Änderung des Events"
GEM3UI_LocalizedStrings["shows wether the event is outdated or not"] = "icon das anzeigt ob das event vorbei ist oder die Deadline überschritten ist"
GEM3UI_LocalizedStrings["PlayerOverview"] = "Event Zusammenfassung"
GEM3UI_LocalizedStrings["event overview in one column"] = "Zeigt die wichtigsten Eventdaten in einer Spalte "
GEM3UI_LocalizedStrings["New View"] = "Neue Tabelle"
GEM3UI_LocalizedStrings["Existing Views"] = "Bestehende Tabellen"
GEM3UI_LocalizedStrings["INVITE"] = "Einladen"
GEM3UI_LocalizedStrings["This is a reserved theme name"] = "Dieser Tabellenname ist reserviert"
GEM3UI_LocalizedStrings["This is a reserved grid name"] = "Dieser Themenname ist reserviert"
GEM3UI_LocalizedStrings["Name already exists"] = "Dieser name wird bereits verwendet"
GEM3UI_LocalizedStrings["You cannot delete the default themes"] = "Sie können keine Systemthemen löschen"
GEM3UI_LocalizedStrings["You cannot delete the default views"] = "sie können keine Systemtabellen löschen"
GEM3UI_LocalizedStrings["Event status color"] = "Farbe des Anmeldezustandes"
GEM3UI_LocalizedStrings["Leader status color"] = "Farbe des Leader Zustandes"
GEM3UI_LocalizedStrings["Horde"] = "Horde"
GEM3UI_LocalizedStrings["Alliance"] = "Allianz"
GEM3UI_LocalizedStrings["Neutral"] = "Neutral"
GEM3UI_LocalizedStrings["Player"] = "Spieler"
GEM3UI_LocalizedStrings["Leader"] = "Leader"
GEM3UI_LocalizedStrings["Minimal"] = "Minimal"
GEM3UI_LocalizedStrings["Hordett"] = "Farbshema Horde"
GEM3UI_LocalizedStrings["Alliancett"] = "Farbshema Allianz"
GEM3UI_LocalizedStrings["Neutraltt"] = "Farbshema Neutral"
GEM3UI_LocalizedStrings["Playertt"] = "Zusammengefasste Daten eines Events"
GEM3UI_LocalizedStrings["Leadertt"] = "Leader Anzeige"
GEM3UI_LocalizedStrings["Minimaltt"] = "Minimal anzeige um Ressourcen zu sparen"
GEM3UI_LocalizedStrings["Create new view"] = "Neue Tabelle erstellen"
GEM3UI_LocalizedStrings["Create new viewtt"] = "Es wird eine kopie der aktuellen Tabelle erzeugt"
GEM3UI_LocalizedStrings["Revoke subscription for "] = "Anmeldung rückgängig machen für "

end