--[[
 RolePlay Event Manager GUI - Localization
 -------------------------------------
  Code: Movix - Conseil des Ombres - EU
 
]]

if GetLocale() == "enUS"
or GetLocale() == "esES"
or GetLocale() == "esMX"
or GetLocale() == "koKR"
or GetLocale() == "zhCN"
or GetLocale() == "zhTW"
or GetLocale() == "ruRU"
then
GEM3UI_LocalizedStrings = {
 -- GUI Labels
 ["_disabled"]       = "!! DISABLED !!",
 ["_suspended"]       = "!! COM SUSPENDED !!",
 ["_lblTitle"]       = "Guild Event Manager",
 ["_core"]           = "core",
 ["_ui"]             = "interface",
 ["_version"]        = "version",
 ["_VersionGEM"]     = "GEM vers.",
 ["_NewEvents"]      = "There are %d new or modified events",
 ["_NewEvent"]       = "There is 1 new or modified event",
 ["_Options"]        = "Options",
 ["_Plugins"]        = "Plugins",
 ["_Import"]         = "Import",
 ["_AddGuild"]       = "AddGuild",
 ["_GuildRank"]      = "Rank",
 ["_PlayerComment"]  = "My comment",
 ["_EnableDebug"]    = "Activate debugging",
 ["_EventNameFilter"]= "Event filter",
 ["_EventNameFilterActivated"] = "Event(s) - filtered",
 ["_EventAll"]       = "Event(s) - not filtered",
 ["_Description"]    = "Description",
 ["_Save"]           = "Save",
 ["_Delete"]         = "Delete",
 ["_Apply"]          = "Apply",
 ["_Status"]         = "Status",
 ["_GM"]             = "GM",
 ["_Officer"]        = "Officer",
 ["_GuildMember"]    = "Member",
 ["_GuildLess"]      = "Guildless",
 ["_LastLog"]        = "Last seen",
 ["_Zone"]           = "Zone",
 ["_Recover"]        = "Recover",
 ["_Reject"]         = "Reject",
 ["_Cancel"]         = "Cancel",
 ["_Tank"]           = "Tank",
 ["_Heal"]           = "Healer",
 ["_DPS"]            = "DPS",
 ["_Range"]          = "Range",
 ["_Contact"]        = "Contact",
 ["_Druid"]          = "Druid",
 ["_Hunter"]         = "Hunter",
 ["_Mage"]           = "Mage",
 ["_Paladin"]        = "Paladin",
 ["_Priest"]         = "Priest",
 ["_Rogue"]          = "Rogue",
 ["_Shaman"]         = "Shaman",
 ["_Warlock"]        = "Warlock",
 ["_Warrior"]        = "Warrior",
 ["_Hero"]           = "Death Knight",
 ["_Date"]           = "Date",
 ["_local"]          = "local",
 ["_server"]         = "server",
 ["_Duration"]       = "Duration",
 ["_Event"]          = "Event",
 ["_Leader"]         = "Leader",
 ["_Titulars"]       = "T/Max(S)[Tot]",
 ["_Level"]          = "Level",
 ["_Location"]       = "Zone",
 ["_Comment"]        = "Comment",
 ["_Subscribtions"]  = "Subscriptions",
 ["_Limits"]         = "Limits",
 ["_LimitsHeader"]   = "titulars/Substitutes/Remplacement/Max",
 ["_Create"]         = "Create",
 ["_Eventlist"]      = "Events",
 ["_Members"]        = "Members",
 ["_Options"]        = "Options",
 ["_Debug"]          = "Debug",
 ["_Resets"]         = "Resets",
 ["_Subscribe"]      = "Subscribe",
 ["_Subscribetoon"]  = "Subscribe",
 ["_unsubscribe"]    = "Unsubscribe",
 ["_Update"]         = "Update",
 ["_Unavailable"]    = "Unavailable",
 ["_Revoke"]         = "Revoke",
 ["_Edit"]           = "Edit",
 ["_Close"]          = "Close",
 ["_Open"]           = "Reopen",
 ["_Lvl"]            = "Lvl",
 ["_Name"]           = "Name",
 ["_Guild"]          = "Guild",
 ["_Players"]        = "Players",
 ["_Templates"]      = "Templates",
 ["_MultipleCreate"] = "Create multiple",
 ["_CreateThisEvent"] = "Create this event every",
 ["_forThe"]          = "for the next",
 ["_weeksToCome"]     = "weeks",
 ["_BeginningAtSelectedDate"]     = "starting from selected date",
 ["_CreateAsTemplate"] = "Create as template",
 ["_AddMembers"]     = "Add",
 ["_Begin"]          = "Begin",
 ["_Deadline"]       = "Deadline",
 ["_End"]            = "End",
 ["_Priorityrules"]  = "Prio.",
 ["_Classes"]        = "Class limits (min/max)",
 ["_Roles"]          = "Role limits (min/max)",
 ["_InviteAll"]      = "Invite",
 ["_StopInvite"]     = "Stop Invite",
 ["_WelcomeToEvent"] = "Welcome to the event %s.",
 ["_YouWereGrouped"] = "You just left the group for the Event %s. You will automatically be invited back, as the grouping phase has begun",
 ["_PartRequestForEvent"] = "%s invites you for the event %s.",
 ["_Ignore"]         = "Ignore",
 ["_Add"]            = "Add",
 ["_as"]             = "as",
 ["_oras"]           = "or",
 ["_Modify"]         = "Modify",
 ["_EventType"]      = "Type",
 ["_TagType"]        = "Tag",
 ["_NoTagDefined"]   = "Undefined",
 ["_TagDefined"]     = "Tag defined",
 ["_Queue"]          = "Queue",
 ["_inqueue"]        = "in queue",
 ["_Pos"]            = "Position",
 ["_Subscribed"]     = "Subs. date",
 ["_at"]             = "at",
 ["_unknown"]        = "Unknnown",
 ["_unknownshort"]   = "U",
 ["_titular"]        = "Titular",
 ["_titularshort"]   = "T",
 ["_substitute"]     = "Substutute",
 ["_substituteshort"]= "S",
 ["_replacement"]    = "Replacement",
 ["_replacementshort"]= "R",
 ["_not_coming"]     = "Not Coming",
 ["_not_coming_med"] = "Not Coming",
 ["_not_comingshort"]= "NC",
 ["_not_ackned"]     = "Not Acked",
 ["_not_acknedshort"]= "N/A",
 ["_discard"]        = "Refused",
 ["_discarshort"]    = "X",
 ["_unsubscribing"]  = "Unsubscribed",
 ["_unsubscribingshort"] = "U",
 ["_Time"]           = "Time",
 ["_ShowOffline"]    = "Offline",
 ["_ShowIgnored"]    = "Ignored",
 ["_AddExternal"]    = "Add external",
 ["_AddExternalTitel"] = "Event %s at %s\nAdding players",
 ["_AddedExternalby"]= "External add by ",
 ["_Lookup"]         = "Lookup",
 ["_memberhasbeenignored"]  = "Player %s and all his events are now ignored!",
 ["_eventhasbeenignored"]  = "Event %s (%s) from %s is now ignored!",
 ["_eventhasbeenclosed"]  = "Event %s (%s) from %s is now closed!",
 ["_GuildChannelOnly"]  = "",
 ["_RolesNClasses"]     = "Classes & Roles",
 ["_Class"]             = "Class",
 ["_Role"]              = "Role",
 ["_MembersInChannelStatus"] = "There are %s player(s) connected, %s ignored (%s total)",
 ["_EventsStatus"] = "there are %d event(s), %d closed, %d you have subscribed to and %d ignored",
 ["_EventInRecoverQueue"] = "event to recover",
 ["_UpdateTime"] = "Update time",
 ["cannotsubsarchived"] = "You cannot subscribe to archived events!",
 ["cannotsubstemplate"] = "you cannot subscribe to templates.\nPlease use 'add external'!",
 ["cannotsubspassed"] = "You cannot subscribe to expired events!",
 ["cannotsubsclosed"] = "Closed event!\n%s",
 ["cannotsubsignored"] = "You cannot subscribe to an ignored event!",
 ["cannotsubsotherchan"] = "You cannot subscribe to events from another channel",
 ["taggedInstancesddtitle"] = "Instances / Subtype",
 ["taggedInstancesdddifficulty"] = "Mode / Difficulty",
 
 ["alreadygrouped"] = "You are already in a party but have subscribed to a GEM event.\nYou will automaticaly be reinvited to the party during the grouping period.",
 ["youareinagemparty"] = "You have refused the invitation to a GEM event you are subscibed to.\nYou will automaticaly be reinvited to the party during the grouping period.",

 

 ["None"] = "None",
 ["Nothing"] = "Nothing",
 ["All"] = "All",
 
 ["_AddExternalHelp"] = "You can look for players in your friends list or in the /who window by clicking 'Lookup'.\nSelecting a player in the list will fill the data for an external addition.\nYou can also get players from your guild roster.\nYou can try to select a player you have targeted or in your party !!",
 ["_Tags"] = "Tags",
 ["_TagReset"] = "Tag reset",
 
 ["_Unban"] = "Unban",
 
-- context Dropdown Playerlist
 ["Delete"]         = "Delete",
 ["SetNewLeader"]   = "New leader",
 ["AssistPlayer"]   = "Promote assistant",
 ["Queues"]         = "Queues",
 ["ForceNonePlayer"]= "Revoke force queue",
 ["ForceTPlayer"]   = "Force Titular",
 ["ForceSPlayer"]   = "Force Sustitute",
 ["ForceRPlayer"]   = "Force Replacement",
 ["ForceNCPlayer"]  = "Force Not Coming",
 ["KickPlayer"]     = "Eject",
 ["BanPlayer"]      = "Ban",
 ["UnBanPlayer"]    = "Revoke ban",
 ["Ignore"]         = "Ignore",
 ["UnIgnore"]       = "Unignore",
 ["WhispPlayer"]    = "Whisp",
 ["InvitePlayer"]   = "Invite",
 ["whoPlayer"]      = "Who?",

-- Event context dd
 ["Modify"]         = "Modify",
 ["Archive"]        = "Archive",
 ["Open"]           = "Open",
 ["Close"]          = "Close",
 ["CopyasTemplate"] = "Copy to templates",
 ["CreateNew"]      = "Create new from this",



-- DIALOG TEXTS
 ["channelsameasguild"] = "A custom channel can not have the same name as the reserved guild channel %s",
 ["_ConfirmMemberIgnore"] = "Are you sure you want to ignore this player?\nIt will automatically ignore all events from this player.\nRemoving ignore is possible, but it will take some time before you can fully access any events he might have created",
 ["_ConfirmEventIgnore"] = "Are you sure you want to ignore this event?\nRemoving ignore is possible, but it will take some time before you can fully access it again",
 ["_ConfirmEventClose"] = "Are you sure you want to close this event?\n\nPlease enter a reason",
 ["_ConfirmPlayerKick"] = "Are you sure you want to kick this player from the event?\n\nPlease enter a reason",
 ["_ConfirmPlayerBan"] = "Are you sure you want to ban this player from the event?\n\nPlease enter a reason",
 ["_ConfirmEventRecover"] = "Are you sure you want to recover this version of the event?",
 ["_ConfirmEventRecoverReject"] = "If you reject this version of the event, it (as well as all previously modified versions) won't be asked again during this game session.\n Are you sure you want to reject this version of the event?",
 ["_ConfirmEventRecoverDelete"] = "If you delete this event, it will be removed from all player databases.\nAre you sure you want to delete this event?",
 ["_ConfirmEventArchiveDelete"] = "Are you sure you want to remove this archived event?",
 ["_ConfirmEventDelete"] = "Are you sure you want to remove this event?",
 ["_ConfirmCancelEventEdit"] = "There are unsaved changes to the event.\nYou will loose those changes if you leave the edit form.\nContinue?",
 ["_ConfirmSetTimeRef"] = "..:: WARNING ::..\nYou want to declare yourself as a time reference, doing so will cause your computer's clock to be broadcast as a reference into your GEM network. An incorrect clock setting will cause inconsistencies on all events and subscriptions.\nYou can install a free clock synchroniser here: http://nettime.sourceforge.net\n\nAre you sure your computer's clock settings (time/date/timezone/daylight saving) are accurate?",
 ["_ConfirmTimeRefConflict"] = "..:: WARNING ::..\nA clock inconsistency has been detected between 2 time reference players on the GEM channel and you might be the cause of this problem.\nYou are no longer the time reference.\nMake sure your clock settings are accurate, you can install a free clock synchroniser here: http://nettime.sourceforge.net",
 ["_ConfirmIncorrectTimeSettings"] = "..:: WARNING ::..\nYour computer's clock settings (time/date/timezone/daylight saving) seem to be incorrect, thus your GEM has been disabled for this game session. You won't receive or send new GEM messages.\nPlease fix your computer's clock and restart WoW.\nYou can install a free clock synchroniser here: http://nettime.sourceforge.net",
 ["_ConfirmUpgradeNeeded"] = "Your GEM version is incompatible with the latest available version.\n\nPlease upgrade the GEM3_Core addon",
 
 ["_KickBanNotify"] = "You have been kicked or banned by %s from event %s for this reason:%s",
 ["_UnBanNotify"] = "You have been unbanned from event %s by %s",
 --[""] = "",
 
 
 -- Options TAB
 ["_Dateandtimeformats"] = "Date and time options",
 ["_FirstWeekDay"] = "First weekday",
 ["_Monday"] = "Monday",
 ["_Sunday"] = "Sunday",
 ["_DateFormat"] = "Date format",
 ["_Dateformat1"] = "dd/mm/yyyy",
 ["_Dateformat2"] = "yyyy/mm/dd",
 ["_Dateformat3"] = "mm/dd/yyyy",
 ["_Show Wday"] = "Show W-day",
 ["_DateFormatSep"] = "Date separator",
 ["_TimeOffset"] = "Server time offset",
 ["_TimeReference"] = "I am time reference",
 ["_ColorPick"] = "Color selector",
 ["_R"] = "R",
 ["_G"] = "G",
 ["_B"] = "B",
 ["_OnlyMytoonchannels"] = "Only show channels of this toon",
 ["_ChanneladdedSuccess"] = "The channel %s was successfully added",
 ["_ChanneladdedFailed"] = "An error happened while adding the channel %s. Channel not added!",
 ["_ChannelModifySuccess"] = "The channel %s has been successfully modified",
 ["_ChannelModifyFailed"] = "An error happened while editing the channel %s. Channel not modified!",

 ["_ChannelEditFailed_ChannelNotFound"]  = "An error happened while editing the channel %s, channel not found",
 ["_ChannelEditFailed_MissspelledGuildName"]  = "An error happened while editing the channel %s, invalid channel name",
 ["_ChannelEditFailed_AliasSlashError"]  = "An error happened while editing the channel %s, Alias or Slash error",
 ["_ChannelAddFailed_NotInGuild"]  = "An error happened while adding the channel %s, you are not in a guild",
 ["_ChannelAddFailed_MissspelledGuildName"]  = "An error happened while adding the channel %s, guild channelname invalid",
 ["_ChannelAddFailed_MissspelledName"]  = "An error happened while adding the channel %s, invalid channel name",
 ["_ChannelAddFailed_AlreadyExist"]  = "An error happened while adding the channel %s, channel already exists",
 ["_ChannelAddFailed_AliasSlashError"]  = "An error happened while adding the channel %s, Alias or Slash error",

 
 
 ["_ChanName"] = "Channel name",
 ["_Password"] = "Password",
 ["_Alias"] = "Alias",
 ["_Slash"] = "Slash",
 ["_Notify"] = "Notify",
 ["_Default"] = "Default",
 
 ["_ArchiveBeforeDelete"] = "Archive before delete",
 ["_MyEventExpireDelay"] = "Expire delay for my events",
 ["_EventExpireDelay"] = "Expire delay for events",
 ["_min"] = "min.",
 ["_hrs"] = "hrs.",
 ["_DefaultTime"] = "Default time for new events",
 ["_DefaultDuration"] = "Default duration for new events",
 ["_ShowTooltips"] = "Show tooltips",
 ["_AutoSubScribe"] = "automatically subscribe to my own events",
 ["_AutoSubScribeCreate"] = "auto subscribe",
 ["_MyDefaultRole"] = "Default role",
 ["_MyDefaultAltRole"] = "Default secondary role",
 ["_DefaultSortPlugin"] = "Default sort-plugin",
 ["_ShowArchive"] = "A",
 ["_ShowTemplates"] = "T",


 ["_Generaloptions"] = "Global options",
 ["_DateNHour"] = "Date&Time",
 ["_Channels"] = "Channels",
 ["_Substab"] = "Actions",
 ["_Lists"] = "Lists",
 ["_Colors"] = "Colors",
 ["_General"] = "General",
 ["_ShowMinimapIcon"] = "Show minimap icon",
 ["_PlaysoundOnNotify"] = "Audio notification",
 ["_NotifyNew"] = "Notify new",
 ["_NotifyEdit"] = "Notify modifed",
 ["_NotifyOwn"] = "Notify own events",
 ["_NotifySubscription"] = "Notify subscriptions",
 ["_NotifyDateChange"] = "Notify date/time changes",
 ["_NotifyKickBan"] = "Notify bans and kicks",
 ["_Notifications"] = "Notifications",
 ["_BlockInviteWhisp"] = "Block invite whispers",
 ["_AutoDisableInstance"] = "Auto disable GEM in instances",
 
 ["_TimeFormat"]    = "Time format",
 ["_Timeformat1"] = "24h",
 ["_Timeformat2"] = "12h",
 ["_UseServerTime"] = "Use server time",
 
 ["_EventlistOptions"] = "Eventlist options",
 ["_ShowLevelCol"] = "Level column",
 ["_ShowTagiconCol"] = "Tag column",
 ["_ShowLeaderCol"] = "Leader column",
 ["_ShowLeaderIconCol"] = "Leader icon column",
 ["_ShowSubsCol"] = "Subscriptions column",
 ["_ShowLimitsIconCol"] = "Limits column",
 ["_ShowEventIconCol"] = "Event icon column",
 
 ["_CalendarColors"] = "calendar colors",
 ["_TopLeft"] = "Top-left corner",
 ["_DayHeaders"] = "Weekdays",
 ["_WeekHeaders"] = "Week numbers",
 ["_NormalDay"] = "Normal day",
 ["_Today"] = "Today",
 ["_WithEvent"] = "Day with event",
 ["_WithSubscription"] = "Day with subscription",
 ["_SelectedDay"] = "Selected day",
 ["_MouseOver"] = "MouseOver day",
 ["_PrevNextMonthDays"] = "Days of prev./next month",
 ["_O"] = "O",
 ["_I"] = "I",
 ["_T"] = "T",

 ["_Channel"] = "Channel",
 ["_SubscriptionDefaults"] = "Subscription defaults",

 ["GEM3_DEBUG_NONE"]        = "Nothing",
 ["GEM3_DEBUG_GLOBAL"]      = "Global",
 ["GEM3_DEBUG_PROTOCOL"]    = "Protocol",
 ["GEM3_DEBUG_CHANNEL"]     = "Channel",
 ["GEM3_DEBUG_EVENTS"]      = "Events",
 ["GEM3_DEBUG_COMMANDS"]    = "Commands",
 ["GEM3_DEBUG_SUBSCRIBERS"] = "Subscriptions",
 ["GEM3_DEBUG_SORT"]        = "Sorting",
 ["GEM3_DEBUG_QUEUES"]      = "Queues",
 ["GEM3_DEBUG_WARNING"]     = "Warnings",
 ["GEM3_DEBUG_TIMESTAMP"]   = "Timestamps",
 ["GEM3_DEBUG_ALL_MASK"]    = "All",
 
 
 -- Errormessages
 ["_CrashedEventWarning"] = "..::!! WARNING: LOST EVENT !!::..",
 ["_CrashedEventQuestion"] = "Please check information about this lost event before accepting a recover. It is possible that the player sending it might not have the latest version of the event.\nYou may choose to ignore this version, and wait for a more recent one.\nIf you recover this version, and a more recent version is broadcast afterwards, you'll be able to recover the new version at that time.",
 ["COREINCOMPATIBLE"] = "..: GEM3_Core version %s is not compatible\nwith GEM3UI version %s.\nPlease ugprade all GEM3 modules :..",
 ["CoreUpgradeNeeded"] = "GEM3 is incompatible, you must upgrade to version %s\n(http://www.wowgem.fr for more details)",
 ["CoreUpgradeSugested"] = "GEM3 is not up to date, please upgrade to version %s\n(http://www.wowgem.fr for more details)",


 -- Tooltips
 ["OptionsTooltip"]            = "Options",
 ["CloseTooltip"] = "Close",
 ["tt_GEM3MinimapButton1"]   = "Drag right mouse button to adjust angle",
 ["tt_GEM3MinimapButton2"]   = "Drag right mouse button + CTRL to adjust radius",
 ["tt_GEM3MinimapButton3"]   = "Right click to switch On/Off the GEM communications",
 ["tt_GEM3MinimapButton4"]   = "CAUTION: While OFF no new events, subscribtion nor anything else is recieved or send by you GEM",
 ["tt_GEM3UI_GeneraloptionsTabDebug1"] = "This option enables/disables debugging mode",
 ["tt_GEM3UI_GeneraloptionsTabDebug2"] = "Once activated, you'll be able to choose more debug options",
 ["tt_GEM3UI_GeneraloptionsTabDebug3"] = "as well as saving the debug log",
 ["tt_GEM3UIDefaultEventList1"] = "Choose from the template collections\nthe one you want to import";
 ["tt_GEM3UITextColor1"] = "Check the box corresponding to the line \nyou want to change the text color",
 ["tt_GEM3UIInnerColor1"] = "Check the box corresponding to the line \nyou want to change the backgroundcolor",
 ["tt_GEM3UIOuterColor1"] = "Check the box corresponding to the line \nyou want to change the bordercolor",
 ["tt_GEM3UI_ColorCFGColorSelect1"] = "Click the colorwheel to choose the color.\nClick the gradient to choose the lighting ",
 ["tt_GEM3UI_ColorPickerPanelAS1"] = "Choose the transparency here",
 ["tt_GEM3UI_ColorPickerPanelRT1"] = "This is the numeric value of the red channel",
 ["tt_GEM3UI_ColorPickerPanelGT1"] = "This is the numeric value of the green channel",
 ["tt_GEM3UI_ColorPickerPanelBT1"] = "This is the numeric value of the blue channel",
 
 ["tt_GEM3UI_CFGChanEditSlash&"] = "This defines the 'slash' command to talk in this channel",
 ["tt_GEM3UI_CFGChanEditAlias1"] = "This text is shown as a prefix of all messages in this channel",
 ["tt_GEM3UI_CFGChanEditPass1"] = "This is the channel password",
 ["tt_GEM3UI_CFGChanEditName1"] = "Set the name of the channel to add or modify.",
 ["tt_GEM3UIMyEventExpireDelay1"] = "Delay that my own event remains in the event list after expiration",
 ["tt_GEM3UIEventExpireDelay1"] = "Delay that events remain in the event list after expiration",
 ["tt_GEM3UIOptionsDTF_TimeOffset1"] = "All times are automatically adjusted with this value\nto fit the server time,\nso enter the offset of your local time to the server",
 ["tt_GEM3UIOptionsDTF_DateSep1"] = "Define here your date separator.",
 ["tt_GEM3UIOptionsDTF_TimeReference1"] = "CAUTION : this will set you as time reference on all channels to which you are connected.",
 ["tt_GEM3UIAutoSubscribe1"] = "Checking this will subscribe yourself to the events you are creating",
 ["tt_GEM3UI_ConfigDefaultRole1"] = "Define you toon's default role",

 ["tt_GEM3UI_chk_EventlistOptions1"] = "Eventlist options",
 ["tt_GEM3UI_chk_ShowLevelCol1"] = "Level column",
 ["tt_GEM3UI_chk_ShowTagiconCol1"] = "Tag column",
 ["tt_GEM3UI_chk_ShowLeaderCol1"] = "Leader column",
 ["tt_GEM3UI_chk_ShowLeaderIconCol1"] = "Leader icon column",
 ["tt_GEM3UI_chk_ShowSubsCol1"] = "Subscriptions column",
 ["tt_GEM3UI_chk_ShowLimitsIconCol1"] = "Limits column",
 ["tt_GEM3UI_chk_ShowEventIconCol1"] = "Event icon column",
 
 ["LimitsTitel"] = "Limits color codes",
 ["LimitsRed"] = "Red = Limits not satisfied",
 ["LimitsYellow"] = "Yellow = Limits satified by titulars + replacements",
 ["LimitsGreen"] = "Green = Limits satisfied by titulars",

 ["tt_GEM3UI_CFG_NotifyKickban1"] = "Notify ban and kicks\nas well as their revocations.\n\Caution: a messagebox will display even if you're in combat.",
 ["tt_GEM3UI_CFG_NotifySubs1"] = "Checking this will notify you about\nsubscriptions to exisiting events\nwith a flashing minimap icon",
 ["tt_GEM3UI_CFG_NotifyNew1"] = "Checking this will notify you about\nany newly created event with a flashing minimap icon",
 ["tt_GEM3UI_CFG_NotifyEdit1"] = "Checking this will notify you about\nany change of existing events\nwith a flashing minimap icon",
 ["tt_GEM3UI_CFG_NotifyDateChange1"] = "Checking this will notify you about\nany change of dates in existing events\nwith a flashing minimap icon",
 ["tt_GEM3UI_CFG_BlockInviteWhisp1"] = "Block whispers during automatic invite process",
 ["tt_GEM3UI_cfgAutoArchive1"] = "Archive events before deleting them",
 
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderTIT1"] = "This column shows the totals of Titulars,\nthose who have can be sure to have their slot in the party",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderSUB1"] = "This column shows the totals of Substitutes,\nthose who will replace an unavailable titular",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderREP1"] = "This column shows the totals of Replacements,\nthose who will help if needed",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderMIN1"] = "This column shows the totals of classes & roles \nminimums requested for this event",
 ["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderMAX1"] = "This column shows the totals of classes & roles\nmaximums requested for this event",
 
 ["tt_GEM3UI_SUB_Comment1"] = "Please enter a comment for you subscription.",
 
 ["tt_GEM3UI_ShowArchive1"] = "Show archived events",
 ["tt_GEM3UI_ShowTemplates1"] = "Show the installed templates.",
 
 ["tt_MultipleCreateTitel1"] = "With the following options you can create\nevents at multiple times at once.\nPlease check the days and the number of coming weeks.",
 
 ["tt_AddExternalLookupStayopen1"] = "If you check this, the search/lookup windows\nas well as the 'add external' windows will remain open after clicking the add button\nto allow you multiple adds of players to the event.",
 
 ["_FirstRunHelp"] = "Welcome to GEM!\nThis is your first run of GEM.\n\nPlease take a few minutes to check the options in the 5 tabs so that you enjoy al of GEM's options",
 
  ["_FirstGridRun"] = "this GEM version is introducing the new 'Gridstyle display' for all lists. if you have issues with it or if you like more the old display version you can set this by disabling the 'Gridstyle' in the options.",
 
 
 
 -- System messages
 ["GEM3UILOADED"]           = "|cffffff00GEM3 UI V. %s loaded. Use |cffffffff/GEM or /GEM3|cffffff00 to show the interface",
 ["GEM3UIRESET"]           = "|cffffff00Use |cffffffff/GEM reset or /GEM3 reset|cffffff00 to reinitialize GEM data and parameters.",
 ["GEM3UIDEBUG"]            = "Use /GEM debug to activate debugging mode",
 ["GEM3UIHELP"]             = "Use /GEM help to see all the slash command options",
 ["NEEDRESTARTUI"]          = "Please either reload your interface with the /console reloadui command or restart the World of Warcraft application",
 ["_LogDebug"]              = "Save debugging information",
 ["_DebugLevel"]            = "Debuging level",
 ["YouHaveAnIncompatibleVersion"]    = "Your version of GEMUI is incompatible. You need to update!!",
 ["YouHaveAnOldVersion"]             = "Your version of GEMUI is not up to date!! Some feature are unavailable",
 ["YouHaveAnOutdatedVersion"]        = "Your version of GEMUI is not up to date!!",
 
 ["PlayerKnowNewerVersion"] = "%s from channel %s\nknows the GEM3UI version: %s",
 
 ["GEM3OnPlayerLeftChannel"] = "Player left channel",
 ["GEM3OnPlayerJoinedChannel"] = "Player joined channel",
 
 ["_CoreEvents"] = "Base de données évènements",
 ["_CoreCFG"] = "Configuration du core",
 ["_UIreset"] = "Interface parameters",
 ["_TemplatesReset"] = "Templates",
 ["_Reset"] = "R E S E T",
 ["_ResetInfos"]        = "CAUTION: The reset is oneway.\nHowever, the events are spread over all the players in the GEM network so they are not lost. You will be asked to restore those events for which you are the leader. \nIf a serious data corruption has spread over all players in the GEM network, a reset by EVERY player is required and as a leader of events you will have to refuse the proposed recovers\nYour interface will automatically reload after confirmation of the reset.",
 

 -- Calendar
 ["month"] = {
     [1] = "January",
     [2] = "February",
     [3] = "March",
     [4] = "April",
     [5] = "May",
     [6] = "June",
     [7] = "July",
     [8] = "August",
     [9] = "September",
     [10] = "October",
     [11] = "November",
     [12] = "December",
    },
["monthshort"] = {
     [1] = "Jan",
     [2] = "Feb",
     [3] = "Mar",
     [4] = "Apr",
     [5] = "May",
     [6] = "Jun",
     [7] = "Jul",
     [8] = "Aug",
     [9] = "Sep",
     [10] = "Oct",
     [11] = "Nov",
     [12] = "Dec",
    },
["day"] = {
     [0] = "Sunday",
     [1] = "Monday",
     [2] = "Tuesday",
     [3] = "Wednesday",
     [4] = "Thursday",
     [5] = "Friday",
     [6] = "Saturday",
     [7] = "Sunday",
    },
["dayshort"] = {
     [0] = "Sun",
     [1] = "Mon",
     [2] = "Tue",
     [3] = "Wed",
     [4] = "Thu",
     [5] = "Fri",
     [6] = "Sat",
     [7] = "Sun",
    },
["day1letter"] = {
     [0] = "S",
     [1] = "M",
     [2] = "T",
     [3] = "W",
     [4] = "T",
     [5] = "F",
     [6] = "S",
     [7] = "S",
    },
   
["EventTypesToolbarButtonsTooltip"] = "Show/Hide event of type %s",
["EventTypes"] = {
 [GEM3_EVT_TYPE_NONE] =               { tbin = "interface\\icons\\spell_holy_sealofwrath" ,         tbip="interface\\icons\\spell_holy_sealofwrath",          shortext = "N", longtext="Default", },
 [GEM3_EVT_TYPE_TEST] =               { tbin = "interface\\icons\\spell_shadow_sacrificialshield",  tbip="interface\\icons\\spell_shadow_sacrificialshield",  shortext = "T", longtext="Test", },
 [GEM3_EVT_TYPE_RESET] =              { tbin = "interface\\icons\\spell_shadow_lastingafflictions", tbip="interface\\icons\\spell_shadow_lastingafflictions", shortext = "R", longtext="Resets", },
 [GEM3_EVT_TYPE_LFG] =                { tbin = "interface\\lfgframe\\battlenetworking0",            tbip="interface\\lfgframe\\battlenetworking0",            shortext = "LFG", longtext="LFG", },
 [GEM3_EVT_TYPE_POLL] =               { tbin = "interface\\icons\\ability_hunter_beastcall",        tbip="interface\\icons\\ability_hunter_beastcall",        shortext = "?", longtext="Survey", },
 [GEM3_EVT_TYPE_PLAYER_AVALABILITY] = { tbin = "interface\\icons\\spell_holy_fanaticism",           tbip="interface\\icons\\spell_holy_fanaticism",           shortext = "D", longtext="Availability", },
 [GEM3_EVT_TYPE_RAID_AVAILABILITY] =  { tbin = "interface\\icons\\spell_holy_prayerofspirit",       tbip="interface\\icons\\spell_holy_prayerofspirit",       shortext = "R", longtext="Raid prevision", },
 [GEM3_EVT_TYPE_INSTANCE5] =          { tbin = "interface\\icons\\ability_creature_cursed_01",      tbip="interface\\icons\\ability_creature_cursed_01",      shortext = "5", longtext="Instances 5", },
 [GEM3_EVT_TYPE_INSTANCE5_BC] =       { tbin = "interface\\icons\\ability_creature_cursed_04",      tbip="interface\\icons\\ability_creature_cursed_04",      shortext = "BC", longtext="Instances BC" , },
 [GEM3_EVT_TYPE_INSTANCE5_WOTLK] =    { tbin = "interface\\icons\\ability_creature_disease_05",     tbip="interface\\icons\\ability_creature_disease_05",     shortext = "WOLK", longtext="Instances WOTLK", },
 [GEM3_EVT_TYPE_INSTANCE5_WOTLKH] =    { tbin = "interface\\icons\\ability_creature_disease_05",     tbip="interface\\icons\\ability_creature_disease_05",     shortext = "WOLK", longtext="Instances WOTLK", },
 [GEM3_EVT_TYPE_INSTANCE5_BCH] =      { tbin = "interface\\icons\\ability_creature_cursed_02",      tbip="interface\\icons\\ability_creature_cursed_02",      shortext = "H", longtext="Instances heroic", },
 [GEM3_EVT_TYPE_RAID] =               { tbin = "interface\\icons\\inv_scarab_crystal",              tbip="interface\\icons\\inv_scarab_crystal",              shortext = "40", longtext="Raids pre BC", },
 [GEM3_EVT_TYPE_RAID_BC] =            { tbin = "interface\\icons\\ability_druid_empoweredtouch",    tbip="interface\\icons\\ability_druid_empoweredtouch",    shortext = "RBC", longtext="Raids BC", },
 [GEM3_EVT_TYPE_RAID_WOTLK] =         { tbin = "interface\\icons\\ability_druid_dreamstate",        tbip="interface\\icons\\ability_druid_dreamstate",        shortext = "RLK", longtext="Raids WOTLK", },
 [GEM3_EVT_TYPE_RAID_WOTLKH] =         { tbin = "interface\\icons\\ability_druid_galewinds",        tbip="interface\\icons\\ability_druid_galewinds",        shortext = "RLK", longtext="Raids 25 WOTLK", },
 [GEM3_EVT_TYPE_PVP] =                { tbin = "interface\\icons\\ability_druid_ferociousbite",     tbip="interface\\icons\\ability_druid_ferociousbite",     shortext = "PvP", longtext="PvP", },
 [GEM3_EVT_TYPE_GUILD_EVENT] =        { tbin = "interface\\icons\\ability_eyeoftheowl",             tbip="interface\\icons\\ability_eyeoftheowl",             shortext = "G", longtext="Guild", },
} ,


 ["guildEvents"] = "Guild Event",
 ["OfficerMeeting"] = "Officers Meeting",
 ["OfficerMeetingComment"] = "",
 ["GuildSocialEvent"] = "Guild Event",
 ["Birthday"] = "Birthday",
 ["BirthdayComment"] = "",
 ["GuildSocialEventComment"] = "",
 ["Quest5"] = "Quest 5",
 ["Quest5Comment"] = "",
 ["Quest10"] = "Quest 10",
 ["Quest10Comment"] = "",
 ["DailyQuest"] = "Daily Quest",
 ["DailyQuestComment"] = "",
 ["DailyHero"] = "Daily heroic",
 ["DailyHeroComment"] = "",
 ["WeeklyRaid"] = "Weekly raid",
 ["WeeklyRaidComment"] = "",

 
 ["PreBCEventsRaid"] = "Raids Pre BC",
 ["UBRS"] = "UBRS",
 ["UBRSComment"] = "",
 ["ZG_Short"] = "ZG",
 ["ZG"] = "Zul'Gurub",
 ["ZGComment"] = "",
 ["AQ20_Short"] = "AQ20",
 ["AQ20"] = "Ruins of Ahn'Qiraj",
 ["AQ20Comment"] = "",
 ["AQ40_Short"] = "AQ40",
 ["AQ40"] = "Temple of Ahn'Qiraj",
 ["AQ40Comment"] = "",
 ["ONY_Short"] = "ONY",
 ["ONY"] = "Onyxia's Lair",
 ["ONYComment"] = "",
 ["MC_Short"] = "MC",
 ["MC"] = "Molten Core",
 ["MCComment"] = "",
 ["NAX_Short"] = "NAX",
 ["NAX"] = "Naxxramas",
 ["NAXComment"] = "",
 ["BWL_Short"] = "BWL",
 ["BWL"] = "Blackwing Lair",
 ["BWLComment"] = "",
 
 ["BCEventsInstance5"] = "Instances 5 players BC ",
 ["HellfireRamp"] = "Hellfire Ramparts",
 ["HellfireRampComment"] = "",
 ["BloodFum"] = "Blood Furnace",
 ["BloodFumComment"] = "",
 ["SlavePens"] = "Slave Pens",
 ["SlavePensComment"] = "",
 ["Underbog"] = "Underbog",
 ["UnderbogComment"] = "",
 ["ManaTomb"] = "Mana Tombs",
 ["ManaTombComment"] = "",
 ["Crypt"] = "Auchenai Crypts",
 ["CryptComment"] = "",
 ["Sethek"] = "Sethekk Halls",
 ["SethekComment"] = "",
 ["Steamvault"] = "Steam Vaults",
 ["SteamvaultComment"] = "",
 ["ShadowLab"] = "Shadow Labyrinth",
 ["ShadowLabComment"] = "",
 ["Mechenar"] = "Mechanar",
 ["MechenarComment"] = "",
 ["Botanica"] = "Botanica",
 ["BotanicaComment"] = "",
 ["Arcatraz"] = "Arcatraz",
 ["ArcatrazComment"] = "",
 ["ShatHall"] = "Shattered Halls",
 ["ShatHallComment"] = "",
 ["CoT1"] = "Durnholde",
 ["CoT1Comment"] = "",
 ["CoT2"] = "Black Morass",
 ["CoT2Comment"] = "",
 
 ["BCEventsInstance5Heroic"] = "BC Heroic instances",
 ["HellfireRampH"] = "Hellfire Ramparts (heroic)",
 ["HellfireRampHComment"] = "",
 ["BloodFumH"] = "Blood Furnace (heroic)",
 ["BloodFumHComment"] = "",
 ["SlavePensH"] = "Slave Pens (heroic)",
 ["SlavePensHComment"] = "",
 ["UnderbogH"] = "Underbog (heroic)",
 ["UnderbogHComment"] = "",
 ["ManaTombH"] = "Mana Tombs (heroic)",
 ["ManaTombHComment"] = "",
 ["CryptH"] = "Auchenai Crypts (heroic)",
 ["CryptHComment"] = "",
 ["SethekH"] = "Sethekk Halls (heroic)",
 ["SethekHComment"] = "",
 ["SteamvaultH"] = "Steam Vaults (heroic)",
 ["SteamvaultHComment"] = "",
 ["ShadowLabH"] = "Shadow Labyrinth (heroic)",
 ["ShadowLabHComment"] = "",
 ["MechenarH"] = "Mechanar (heroic)",
 ["MechenarHComment"] = "",
 ["BotanicaH"] = "Botanica (heroic)",
 ["BotanicaHComment"] = "",
 ["ArcatrazH"] = "Arcatraz (heroic)",
 ["ArcatrazHComment"] = "",
 ["ShatHallH"] = "Shattered Halls (heroic)",
 ["ShatHallHComment"] = "",
 ["CoT1H"] = "Durnholde (heroic)",
 ["CoT1HComment"] = "",
 ["CoT2H"] = "Black Morass (heroic)",
 ["CoT2HComment"] = "",
 
 ["BCEventsRaid"] = "Raids BC",
 ["Karazhan_Short"] = "Kara",
 ["Karazhan"] = "Karazhan",
 ["KarazhanComment"] = "",
 ["ZA_Short"] = "ZA",
 ["ZA"] = "Zul'Aman",
 ["ZAComment"] = "",
 ["Gruul_Short"] = "Gruul",
 ["Gruul"] = "Gruul's Lair",
 ["GruulComment"] = "",
 ["Magtheridon_Short"] = "Mag's",
 ["Magtheridon"] = "Magtheridon's Lair",
 ["MagtheridonComment"] = "",
 ["SSC_Short"] = "SSC",
 ["SSC"] = "Serpentshine Cavern",
 ["SSCComment"] = "",
 ["TheEye_Short"] = "Eye",
 ["TheEye"] = "The Eye",
 ["TheEyeComment"] = "",
 ["Hyjal_Short"] = "Hyjal",
 ["Hyjal"] = "Hyjal Summit",
 ["HyjalComment"] = "",
 ["BlackTemple_Short"] = "BT",
 ["BlackTemple"] = "Black Temple",
 ["BlackTempleComment"] = "",
 ["Sunwell_Short"] = "SWP",
 ["Sunwell"] = "Sunwell Plateau",
 ["SunwellComment"] = "",
 
 ["WOLKInstanceHeroic"] = "WotLK Heroic Instances",
 ["UK_ShortH"] = "UK",
 ["UKH"] = "Utgarde Keep (heroic)",
 ["UKCommentH"] = "",
 ["Nexus_ShortH"] = "Nex",
 ["NexusH"] = "The Nexus (heroic)",
 ["NexusCommentH"] = "",
 ["AN_ShortH"] = "AN",
 ["ANH"] = "Azjol-Nerub (heroic)",
 ["ANCommentH"] = "",
 ["AK_ShortH"] = "AK",
 ["AKH"] = "Ahn'Kahet (heroic)",
 ["AKCommentH"] = "",
 ["DTK_ShortH"] = "DTK",
 ["DTKH"] = "Drak'Tharon Keep (heroic)",
 ["DTKCommentH"] = "",
 ["VH_ShortH"] = "VH",
 ["VHH"] = "Violet Hold (heroic)",
 ["VHCommentH"] = "",
 ["GUN_ShortH"] = "Gun",
 ["GUNH"] = "Gundrak (heroic)",
 ["GUNCommentH"] = "",
 ["COT_S_ShortH"] = "CoT_Strat",
 ["COT_SH"] = "Culling of Stratholme (heroic)",
 ["COT_SCommentH"] = "",
 ["HOS_ShortH"] = "HoS",
 ["HOSH"] = "Halls of Stone (heroic)",
 ["HOSCommentH"] = "",
 ["UP_ShortH"] = "UP",
 ["UPH"] = "Utgarde Pinnacle (heroic)",
 ["UPCommentH"] = "",
 ["Oculus_ShortH"] = "Ocu",
 ["OculusH"] = "Oculus (heroic)",
 ["OculusCommentH"] = "",
 ["HOL_ShortH"] = "HoL",
 ["HOLH"] = "Halls of Lightning (heroic)",
 ["HOLCommentH"] = "",
 ["CC5_ShortH"] = "ToC5",
 ["CC5H"] = "Trial of Crusader 5 (heroic)",
 ["CC5CommentH"] = "",

 
 ["WOLKInstance"] = "WotLK Instances",
 ["UK_Short"] = "UK",
 ["UK"] = "Utgarde Keep",
 ["UKComment"] = "",
 ["Nexus_Short"] = "Nex",
 ["Nexus"] = "The Nexus",
 ["NexusComment"] = "",
 ["AN_Short"] = "AN",
 ["AN"] = "Azjol-Nerub",
 ["ANComment"] = "",
 ["AK_Short"] = "AK",
 ["AK"] = "Ahn'Kahet",
 ["AKComment"] = "",
 ["DTK_Short"] = "DTK",
 ["DTK"] = "Drak'Tharon Keep",
 ["DTKComment"] = "",
 ["VH_Short"] = "VH",
 ["VH"] = "Violet Hold",
 ["VHComment"] = "",
 ["GUN_Short"] = "Gun",
 ["GUN"] = "Gundrak",
 ["GUNComment"] = "",
 ["COT_S_Short"] = "CoT_Strat",
 ["COT_S"] = "Culling of Stratholme",
 ["COT_SComment"] = "",
 ["HOS_Short"] = "HoS",
 ["HOS"] = "Halls of Stone",
 ["HOSComment"] = "",
 ["UP_Short"] = "UP",
 ["UP"] = "Utgarde Pinnacle",
 ["UPComment"] = "",
 ["Oculus_Short"] = "Ocu",
 ["Oculus"] = "Oculus",
 ["OculusComment"] = "",
 ["HOL_Short"] = "HoL",
 ["HOL"] = "Halls of Lightning",
 ["HOLComment"] = "",
 ["CC5_Short"] = "ToC5",
 ["CC5"] = "Trial of Crusader 5",
 ["CC5Comment"] = "",


 ["WOLKRaids"] = "WotLK Raids (10)",
 ["NAXX_Short"] = "NAX",
 ["NAXX"] = "Naxxramas",
 ["NAXXComment"] = "",
 ["OS_Short"] = "OS",
 ["OS"] = "Obsidian Sanctum",
 ["OSComment"] = "",
 ["EOE_Short"] = "EoE",
 ["EOE"] = "Eye of Eternity",
 ["EOEComment"] = "",
 ["VOA_Short"] = "VoA",
 ["VOA"] = "Vault of Archavon",
 ["VOAComment"] = "",
 ["Ulduar_Short"] = "Ulduar",
 ["Ulduar"] = "Ulduar",
 ["UlduarComment"] = "",
 ["CC10_Short"] = "ToC",
 ["CC10"] = "Trial of Crusader",
 ["CC10Comment"] = "",
 ["CC25_Short"] = "ToC",
 ["CC25"] = "Trial of the Crusader",
 ["CC25Comment"] = "",
 ["ICC_Short"] = "ICC",
 ["ICC"] = "Ice Crown Citadel",
 ["ICCComment"] = "",
 
 ["WOLKRaidsHeroic"] = "WotLK Heroic Raids (25)",
 ["NAXX_ShortH"] = "NAX",
 ["NAXXH"] = "Naxxramas (heroic)",
 ["NAXXCommentH"] = "",
 ["OS_ShortH"] = "OS",
 ["OSH"] = "Obsidian Sanctum (heroic)",
 ["OSCommentH"] = "",
 ["EOE_ShortH"] = "EoE",
 ["EOEH"] = "Eye of Eternity (heroic)",
 ["EOECommentH"] = "",
 ["VOA_ShortH"] = "VoA",
 ["VOAH"] = "Vault of Archavon (heroic)",
 ["VOACommentH"] = "",
 ["Ulduar_ShortH"] = "Ulduar",
 ["UlduarH"] = "Ulduar (heroic)",
 ["UlduarCommentH"] = "",
 ["CC10_ShortH"] = "ToC",
 ["CC10H"] = "Trial of the Crusader (heroic)",
 ["CC10CommentH"] = "",
 ["CC25_ShortH"] = "ToC",
 ["CC25H"] = "Trial of the Grand Crusader (heroic)",
 ["CC25CommentH"] = "",
 ["ICC_ShortH"] = "ICC",
 ["ICCH"] = "Ice Crown Citadel (heroic)",
 ["ICCCommentH"] = "",

 
 
 ["PvPEvents"] = "PvP events",
 ["Arena2vs2"] = "Arena 2v2",
 ["Arena2vs2Comment"] = "",
 ["Arena3vs3"] = "Arena 3v3",
 ["Arena3vs3Comment"] = "",
 ["Arena5vs5"] = "Arena 5v5",
 ["Arena5vs5Comment"] = "",
 ["PvPRaid"] = "PvP Raid",
 ["PvPRaidComment"] = "",
 ["BGAlterac"] = "Alterac Valley",
 ["BGAlteracComment"] = "",
 ["BGArathi"] = "Arathi Basin",
 ["BGArathiComment"] = "",
 ["BGWarsong"] = "Warsong Gulch",
 ["BGWarsongComment"] = "",
 ["EoTS"] = "Eye of the Storm",
 ["EoTSComment"] = "",
 ["IOC"] = "Isle of Conquest",
 ["IOCComment"] = "",
 ["SoA"] = "Strand of the Ancients",
 ["SoAComment"] = "",

};

 -- grid related
 GEM3UI_LocalizedStrings["PlayerstatusHeaderTooltip"] = "Player status icon:\\Channel Leader\\Ignored\\Normal\\Shows a bell icon for players that have declared themselves as time reference"
GEM3UI_LocalizedStrings["OnlineStatusHeaderTooltip"] = "Checked if the player is online"
GEM3UI_LocalizedStrings["NameHeaderTooltip"] = "The players name"
GEM3UI_LocalizedStrings["RoleHeaderTooltip"] = "The players role :\\Tank\\Heal\\DPS"
GEM3UI_LocalizedStrings["LevelHeaderTooltip"] = "The players level"
GEM3UI_LocalizedStrings["ClassHeaderTooltip"] = "The players class as an icon"
GEM3UI_LocalizedStrings["GuildHeaderTooltip"] = "The players Guild"
GEM3UI_LocalizedStrings["RankHeaderTooltip"] = "The players rank in his guild"
GEM3UI_LocalizedStrings["OfficerHeaderTooltip"] = "The players Officer status:\\GM\\Officer\\Member"
GEM3UI_LocalizedStrings["ZoneHeaderTooltip"] = "The actual zone the player is located"
GEM3UI_LocalizedStrings["LastseenHeaderTooltip"] = "The date and time the player has been seen the last time"
GEM3UI_LocalizedStrings["Lastseen"] = "Last seen"
GEM3UI_LocalizedStrings["CoreHeaderTooltip"] = "The Core version the player has installed"
GEM3UI_LocalizedStrings["UIHeaderTooltip"] = "The UI version the player has installed"
GEM3UI_LocalizedStrings["TagsHeaderTooltip"] = "number of instances the player is linked to"
GEM3UI_LocalizedStrings["Class color"] = "Class colors"
GEM3UI_LocalizedStrings["Status color"] = "Player status color"
GEM3UI_LocalizedStrings["In instance / Raid / PvP"] = "In instance / Raid / PvP"
GEM3UI_LocalizedStrings["InviteShort"] = "I"
GEM3UI_LocalizedStrings["InviteThisPlayer"] = "Invite player"
GEM3UI_LocalizedStrings["Players"] = "Players"
GEM3UI_LocalizedStrings["slots"] = "Slots"
GEM3UI_LocalizedStrings["Instance Icon"] = "Instance icon"
GEM3UI_LocalizedStrings["Subscription Status"] = "subscription status"
GEM3UI_LocalizedStrings["Eventtype Icon"] = "Eventtype Icon"
GEM3UI_LocalizedStrings["Show Event Details"] = "Show event details"
GEM3UI_LocalizedStrings["Deadlineshort"] = "Deadline"
GEM3UI_LocalizedStrings["Am i Leader"] = "Am i Leader?"
GEM3UI_LocalizedStrings["Total Subscriptions"] = "T"
GEM3UI_LocalizedStrings["Total Subscriptions TT"] = "Total subscriptions of all queues"
GEM3UI_LocalizedStrings["Min Level"] = "LvL>"
GEM3UI_LocalizedStrings["Max Level"] = "Lvl<"
GEM3UI_LocalizedStrings["Min Level TT"] = "Minimum requiered level to subscribe"
GEM3UI_LocalizedStrings["Max Level TT"] = "Maximum requiered level to subscribe"
GEM3UI_LocalizedStrings["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderREJ1"] = "Number of rejected players"
GEM3UI_LocalizedStrings["tt_GEM3UIeventDetailsLimitsFrameLimitHeaderNC1"] = "Number of players not coming"
GEM3UI_LocalizedStrings["deadlineTT"] = "Subscribe before this date"
GEM3UI_LocalizedStrings["Player is linked to this instance"] = "Shows a '*' if the player is already linked to this instance"
GEM3UI_LocalizedStrings["Queue asked by the player"] = "Queue asked by the player"
GEM3UI_LocalizedStrings["Actual active queue"] = "Current queue the player is in"
GEM3UI_LocalizedStrings["Lead force queue"] = "Queue the leader has forced the player into"
GEM3UI_LocalizedStrings["Second role"] = "Second role the player can play"
GEM3UI_LocalizedStrings["Main role"] = "Main role the player wants to play"
GEM3UI_LocalizedStrings["Subscription comment"] = "Player's subscription comment"
GEM3UI_LocalizedStrings["Main Time"] = "Time the player has subscribed"
GEM3UI_LocalizedStrings["Update Time"] = "Time the player has modified his subscription"
GEM3UI_LocalizedStrings["_UpdateTime"] = "Time the event has been modified"
GEM3UI_LocalizedStrings["Subscription Source"] = "Subscription source:\\Player\External\\Internet"
GEM3UI_LocalizedStrings["Not subscribed"] = "Not subscribed"
GEM3UI_LocalizedStrings[" is "] = " is "

GEM3UI_LocalizedStrings["_GridReset"] = "Grid parameters"
GEM3UI_LocalizedStrings["Outdated"] = "Outdated"
GEM3UI_LocalizedStrings["outDated"] = "Outdated"
GEM3UI_LocalizedStrings["Accessible"] = "Accessible"
GEM3UI_LocalizedStrings["New grid"] = "New grid"
GEM3UI_LocalizedStrings["quick subscribe"] = "Quick subscribe"
GEM3UI_LocalizedStrings["Allows fast subscription to an event with your default role"] = "Allows fast subscription to an event with your default role"
GEM3UI_LocalizedStrings["Date the event is scheduled"] = "Date the event is scheduled"
GEM3UI_LocalizedStrings["Time the event is schedules"] = "Time the event is scheduled"
GEM3UI_LocalizedStrings["Name or description of the event"] = "Name or description of the event"
GEM3UI_LocalizedStrings["Shows a ! if i am leader of the event"] = "Shows a ! if i am leader of the event"
GEM3UI_LocalizedStrings["Leader Online"] = "Leader Online"
GEM3UI_LocalizedStrings["Leader Guild"] = "Leader Guild"
GEM3UI_LocalizedStrings["Leader Rank"] = "Leader Rank"
GEM3UI_LocalizedStrings["Leader Guildrank"] = "Leader Guildrank"
GEM3UI_LocalizedStrings["deadlineTT"] = "Event subscription deadline"
GEM3UI_LocalizedStrings["Channel the event is created in"] = "Event channel"
GEM3UI_LocalizedStrings["Last time the event has been updated"] = "Last time the event has been updated"
GEM3UI_LocalizedStrings["shows wether the event is outdated or not"] = "shows wether the event is outdated or not"
GEM3UI_LocalizedStrings["PlayerOverview"] = "Player Overview"
GEM3UI_LocalizedStrings["event overview in one column"] = "Event overview in one column"
GEM3UI_LocalizedStrings["New View"] = "New view"
GEM3UI_LocalizedStrings["Existing Views"] = "Existing views"
GEM3UI_LocalizedStrings["INVITE"] = "Invite"
GEM3UI_LocalizedStrings["This is a reserved theme name"] = "This is a reserved theme name"
GEM3UI_LocalizedStrings["This is a reserved grid name"] = "This is a reserved grid name"
GEM3UI_LocalizedStrings["Name already exists"] = "Name already exists"
GEM3UI_LocalizedStrings["You cannot delete the default themes"] = "You cannot delete the default themes"
GEM3UI_LocalizedStrings["You cannot delete the default views"] = "You cannot delete the default views"
GEM3UI_LocalizedStrings["Event status color"] = "Event status color"
GEM3UI_LocalizedStrings["Leader status color"] = "Leader status color"
GEM3UI_LocalizedStrings["Horde"] = "Horde"
GEM3UI_LocalizedStrings["Alliance"] = "Alliance"
GEM3UI_LocalizedStrings["Neutral"] = "Neutral"
GEM3UI_LocalizedStrings["Player"] = "Player"
GEM3UI_LocalizedStrings["Leader"] = "Leader"
GEM3UI_LocalizedStrings["Minimal"] = "Minimal"
GEM3UI_LocalizedStrings["Hordett"] = "Horde theme"
GEM3UI_LocalizedStrings["Alliancett"] = "Alliance theme"
GEM3UI_LocalizedStrings["Neutraltt"] = "Neutral theme"
GEM3UI_LocalizedStrings["Playertt"] = "Shows an overview of the Events"
GEM3UI_LocalizedStrings["Leadertt"] = "Leader view"
GEM3UI_LocalizedStrings["Minimaltt"] = "Minimal view to save ressources"
GEM3UI_LocalizedStrings["Create new view"] = "Create a new view"
GEM3UI_LocalizedStrings["Create new viewtt"] = "Creates a copy of the current view"
GEM3UI_LocalizedStrings["Revoke subscription for "] = "Revoke subscription for "
end
