GEM3_CORE_CHANGELOG = {
 ["3.75"] = {
   ["10/03/05"] = {
     "Automatically removing guild channel from the config if you either quit your guild or changed your guild, from another computer",
     "You can now subscribe to an event with any reroll (once again)",
     "Fixed Calendar synchronization (in fact it was not working at all... except with your alts, which I was testing with)",
     " -> If you want to unsubscribe to an event you subscribed to using GEM, you can use the Tentative status from the calendar/armory, which will mean you don't want to come anymore",
     " -> If you subscribe only from calendar/armory, the Tentative status mean Remplacement status for GEM",
   },
 },
 ["3.70"] = {
   ["09/11/25"] = {
     "Added ICC raid instance",
   },
 },
 ["3.62"] = {
   ["09/11/20"] = {
     "Forced core data wipe (use GEM3_DataConverter v1.29 to preserve your data) to prevent internal errors with events from Core <= 3.50",
   },
 },
 ["3.61"] = {
   ["09/10/05"] = {
     "Improved DK role detection (tank/dps depending on talent spec)",
   },
 },
 ["3.60"] = {
   ["09/10/02"] = {
     "Improved instances tag and difficulty handling",
     "Added an option to create (and update) an event in blizzard calendar for every event created in GEM (only works for Guild for now)",
     " -> User can now subscribe either from GEM or from the game calendar",
     "Fixed a minor issue in ModifyEvent (the function might return nil instead of false)",
     "Added UBRS as raid",
     "Added a guild wide GEM autoconfiguration stored as a fake GuildAnnouncement in blizzard calendar",
   },
 },
 ["3.50"] = {
   ["09/06/26"] = {
     "Now handling 3.2 new raid modes (10 normal/heroic, 25 normal/heroic)",
     "Updated TOC number",
     "Changed GEM3 protocol version -> Older versions incompatible!!",
     "Added a new API function to temporarily suspend all GEM communications and processing: GEM3_COM_Suspend(suspended)",
   },
 },
 ["3.30"] = {
   ["09/04/17"] = {
     "Fixed current role (dual spec) displayed for players in the channel members list",
   },
 },
 ["3.29"] = {
   ["09/04/15"] = {
     "Fixed 'ChatFrame_AddMessageEventFilter' usage",
   },
   ["09/04/09"] = {
     "Updated Toc for patch 3.1",
   },
   ["09/02/23"] = {
     "No longer appending 'heroic' in location field",
   },
   ["09/02/20"] = {
     "Fix: Sometimes an assistant might not detect he has been promoted",
   },
   ["09/02/19"] = {
     "Improved WebSync subscribe feature (easier for the php-part)",
   },
   ["09/02/16"] = {
     "Disabling pcall during UI callbacks in debug mode, to ease callstack tracking",
   },
 },
 ["3.28"] = {
   ["09/02/13"] = {
     "Fully translated LK instance names in enUS, deDE, frFR. Once everybody has upgraded to 3.28, you shall see zones (for LK instances) in your current locale",
   },
   ["09/01/28"] = {
     "Fixed instance difficulty display",
   },
 },
 ["3.27"] = {
   ["09/01/21"] = {
     "Added a new callback: OnLuaErrorWithinCallback(cb_name,error_messages) which is called is a module caused a lua error during a core callback call",
   },
 },
 ["3.26"] = {
   ["09/01/20"] = {
     "Added GEM3_Reset_Events and GEM3_Reset_Config functions to be used to properly reset Core databases", 
     "Added GEM3_SUB_GetAllSubscribedInfos function",
   },
   ["09/01/14"] = {
     "Detecting GuildChannel being configured, but not actually in a guild",
     "Removed few possible lua errors with PlayerInfos struct",
   },
   ["09/01/12"] = {
     "Converting player's current zone into a zone ID, allowing correct localization of zones.",
   },
   ["09/01/08"] = {
     "Added function GEM3_RuntimeDebug(str) which triggers an 'OnRuntimeDebugMessage' event (or prints a msg in the chatFrame if event not registered) if GEM3_QA_Config.runtime_debug is set to true",
     "Added a new parameter to the GEM3_CMD_PLAYER_INFOS protocol message: InstanceType (one of GEM3_INST_TYPE_xxx). Parameter stored in GEM3_ChannelPlayer.instance_type",
   },
   ["09/01/06"] = {
     "Fixed deDE instance names",
   },
 },
 ["3.25"] = {["09/01/05"] = {"Added error codes (function return value) to GEM3_CHAN_AddChannel and GEM3_CHAN_UpdateChannel functions"
                            },
            },
 ["3.24"] = {["08/12/23"] = {"Changed the way instance tags are stored (COMPATIBILITY BREAK)"
                            },
            },
 ["3.23"] = {["08/12/15"] = {"Fixed a bug in CustomChatComm library that caused a lua error when manually leaving a GEM channel"
                            },
            },
 ["3.22"] = {["08/12/04"] = {"Fixed several possible lua errors in sorting plugins"
                            },
             ["08/12/02"] = {"Added a new parameter to the instance tag table (difficulty) (and matching consts GEM3_INST_TAG_DIFFICULTY_xxx)",
                             "Fixed WotLK raid instances TAG detection (enUS and frFR)",
                            },
             ["08/11/25"] = {"Fixed a bug in custom chat channels, if an incorrect name was entered (causing a lua error upon next login)",
                            },
            },
 ["3.21"] = {["08/11/20"] = {"Fixed GEM3_PLAY_GetPlayerInfos(player,channel) to only use configured channels if 'channel' is specified",
                             "Fixed custom channels: No longer using General or Trade spot. Channel automatically visible in default chat frame when added",
                            },
            },
 ["3.20"] = {["08/11/12"] = {"Added DeathKnight support",
                             "Changed protocol version to ensure data safety",
                             "Added GEM3_PLAY_RegisterCustomDataCallback and GEM3_PLAY_UnregisterCustomDataCallback functions",
                             "Added Raid instance TAGS (names UNSURE)",
                            },
            },

 ["3.16"] = {["08/11/04"] = {"Fixed custom channels: Restored alias/slash/links/sticky functionnalities from GEM2",
                            },
            },
 ["3.15"] = {["08/10/20"] = {"Added player's level and class to saved config (needed for WebSync)",
                            },
            },
 ["3.14"] = {["08/10/10"] = {"Added a new sorting plugin: Sort using guild rank",
                            },
            },
 ["3.13"] = {["08/09/23"] = {"Added a new sorting plugin: Sort using inscription time only, no minima check",
                            },
            ["08/09/17"] = {"Fixed a bug in sorting plugin: Cane sometimes loose the current_queue and queue_pos values",
                            },
            ["08/09/15"] = {"Fixed a bug in sorting plugin: Sometimes the titulars count can be less than event's max count, even if there is enough subscribers",
                            },
            ["08/09/13"] = {"Fixed GUILD channel initialization issue (Sometimes the game triggers a GUILD_ROSTER event, but empty)",
                            "Fixed player initialization (if a char has not been logged for a long time, its info might be deleted by another reroll, and will cause a lua error)",
                            "Fixed player initialization (if infos for a char are not found for some reason, it would have caused a lua error)",
                            },
            },
}
