-- File containing localized strings - EN/US - Default
-- Version : English - Kiki

GEM3_LOC_EVENT_CLOSED_EXPIRED = "Expired";
GEM3_LOC_EVENT_CLOSED_LEFT_CHANNEL = "You left channel";
GEM3_LOC_EVENT_CLOSED_IGNORED = "Ignored";
GEM3_LOC_EVENT_CLOSED_DELETED = "Deleted";

GEM3_LOC_SUB_SUBSCRIBE_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_SUB_SUBSCRIBE_DEADLINE = "Signup deadline passed";
GEM3_LOC_SUB_SUBSCRIBE_LEVEL = "Not in required level range";
GEM3_LOC_SUB_SUBSCRIBE_UNKNOWN_ROLE = "Unknown role";
GEM3_LOC_SUB_SUBSCRIBE_BANNED = "Banned from event";
GEM3_LOC_SUB_SUBSCRIBE_ALREADY_SUBSCRIBED = "Already subscribed to this event";
GEM3_LOC_SUB_SUBSCRIBE_PENDING = "Subscription still pending";
GEM3_LOC_SUB_SUBSCRIBE_NOT_MY_REROLL = "Selected player is not one of my toons";
GEM3_LOC_SUB_CREATESUB_UNKNOWN_EVENT = "Trying to subscribe to an unknown event";
GEM3_LOC_SUB_REMOVE_SUBSCRIBER_LEVEL_RANGE = "Level no longer matching required range";

GEM3_LOC_SUB_SUBSCRIBE_UPDATE_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_SUB_SUBSCRIBE_UPDATE_NOT_SUBSCRIBED = "Not subscribed to this event with this character";
GEM3_LOC_SUB_SUBSCRIBE_UPDATE_DEADLINE = "Signup deadline passed";
GEM3_LOC_SUB_SUBSCRIBE_UPDATE_LEVEL = "Not in required level range";
GEM3_LOC_SUB_SUBSCRIBE_UPDATE_SAME = "Same subscribe information, ignoring update";
GEM3_LOC_SUB_SUBSCRIBE_UPDATE_TOO_SOON = "Subscription update too soon";
GEM3_LOC_SUB_SUBSCRIBE_UPDATE_NOT_MY_REROLL = "Selected player is not one of my toons";
--GEM3_LOC_SUB_SUBSCRIBE_NOT_IN_CHANNEL = "You are not on that event's channel";
GEM3_LOC_SUB_SUBSCRIBE_NOT_IN_CHANNEL = "None of your toons is on that event's channel";
GEM3_LOC_SUB_SUBSCRIBE_NOT_ASSISTANT = "You are not an assistant of this event";

GEM3_LOC_SUB_UNSUBSCRIBE_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_SUB_UNSUBSCRIBE_NOT_SUBSCRIBED = "Not subscribed to this event with this character";
GEM3_LOC_SUB_UNSUBSCRIBE_PENDING = "Unsubscription still pending";

GEM3_LOC_SUB_RESUBSCRIBE_NOT_PENDING = "Subscription not pending (already received - Please report to http://www.wowgem.fr)";
GEM3_LOC_SUB_RESUBSCRIBE_NO_SUB_INFOS = "Subscription info not found, maybe you crashed the game. Try to unsubscribe then resubscribe";
GEM3_LOC_SUB_RESUBSCRIBE_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_SUB_RESUBSCRIBE_LEADER_NOT_CONNECTED = "Leader of the event is not currently connected. Try again later";
--GEM3_LOC_SUB_RESUBSCRIBE_NOT_IN_CHANNEL = "You are not on that event's channel";
GEM3_LOC_SUB_RESUBSCRIBE_NOT_IN_CHANNEL = "None of your toons is on that event's channel";

GEM3_LOC_SUB_REUNSUBSCRIBE_NO_SUB_INFOS = "Subscription info not found, maybe you crashed the game. Try to subscribe then reunsubscribe";
GEM3_LOC_SUB_REUNSUBSCRIBE_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_SUB_REUNSUBSCRIBE_LEADER_NOT_CONNECTED = "Leader of the event is not currently connected. Try again later";

GEM3_LOC_SUB_IS_SUB_RECEIVED_UNKNOWN_EVENT = "Unknown event";

GEM3_LOC_EVENT_CREATE_ERROR_UNKNOWN_LEADER = "Failed to create event because specified leader name (%s) is unknown.";
GEM3_LOC_EVENT_CREATE_ERROR_UNKNOWN_SORTTYPE = "Failed to create event because specified sort plugin name (%s) is unknown.";
GEM3_LOC_EVENT_CREATE_ERROR_SANITY_FAILED = "Parameters sanity check failed: '%s'";
GEM3_LOC_EVENT_CREATE_ERROR_CALENDAR_BUSY = "Blizzard calendar is in use, try again in a few seconds";
GEM3_LOC_EVENT_CREATE_ERROR_CALENDAR_TOO_FAR = "Selected date is too far away in the future";
GEM3_LOC_EVENT_MODIFY_ERROR_UNKNOWN_SORTTYPE = "Unknown sorting plugin name";
GEM3_LOC_EVENT_MODIFY_ERROR_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_EVENT_MODIFY_CALENDAR_LOCKED = "Blizzard calendar is in use, try again in a few seconds";
GEM3_LOC_EVENT_MODIFY_CALENDAR_TOO_FAR = "Selected date is too far away in the future";
GEM3_LOC_EVENT_MODIFY_ERROR_SANITY_FAILED = "Parameters sanity check failed: '%s'";

GEM3_LOC_EVENT_KICK_ERROR_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_EVENT_KICK_ERROR_NOT_LEAD_OR_ASSISTANT = "You are neither leader nor assistant of this event";
GEM3_LOC_EVENT_KICK_MESSAGE_KICKED = "Kicked: %s";

GEM3_LOC_EVENT_BAN_ERROR_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_EVENT_BAN_ERROR_NOT_LEAD_OR_ASSISTANT = "You are neither leader nor assistant of this event";
GEM3_LOC_EVENT_BAN_MESSAGE_BANNED = "Banned: %s";

GEM3_LOC_EVENT_UNBAN_ERROR_UNKNOWN_EVENT = "Unknown event";
GEM3_LOC_EVENT_UNBAN_ERROR_NOT_LEAD_OR_ASSISTANT = "You are neither leader nor assistant of this event";

-- Other TEXT messages
GEM3_LOC_TEXT_NO_REASON = "No reason";
GEM3_CHAT_LOADED = "loaded!";

-- GEM_COM disabled messages
GEM3_LOC_DISABLED_TIMEREF_CONFLICT = "Timestamp conflict with another TimeRef player";
GEM3_LOC_DISABLED_INCORRECT_TIMESTAMP = "Timestamp difference between your computer and a TimeRef player in the channel is too large";

-- Channels Messages
-- Add channel
GEM3_ERR_ADD_CHANNEL_FAILED_NOT_IN_GUILD = "Trying to add Guild channel, but you don't belong to a guild";
GEM3_ERR_ADD_CHANNEL_FAILED_NOT_SUPPORTED = "Custom channels not supported yet";
GEM3_ERR_ADD_CHANNEL_FAILED_ALREADY_EXISTS = "Channel already exists";
GEM3_ERR_ADD_CHANNEL_FAILED_ALIAS_SLASH = "Alias and Slash must both be specified if you want to use them";
GEM3_ERR_ADD_CHANNEL_FAILED_MISTAKE = "Invalid name (internally used). If you wanted to add the guild channel, use the special button";
GEM3_ERR_ADD_CHANNEL_FAILED_INVALID = "Invalid name (starts with a number or contains invalid character)";
GEM3_ERR_ADD_CHANNEL_FAILED_UNKNOWN = "Unknown error";
-- Update channel
GEM3_ERR_UPDATE_CHANNEL_FAILED_NOT_FOUND = "Channel not found";
GEM3_ERR_UPDATE_CHANNEL_FAILED_GUILD_CHAN = "Nothing to update for Guild channel";
GEM3_ERR_UPDATE_CHANNEL_FAILED_ALIAS_SLASH = "Alias and Slash must both be specified if you want to use them";

GEM3_NA_FORMAT = "N/A";

if(GetLocale() == "enUS")
then
  GEM3_LOC_ZONE_ID = {
   -- Capitals
   [GEM3_ZONE_DALARAN] = "Dalaran",
   [GEM3_ZONE_ORGRIMMAR] = "Orgrimmar",
   [GEM3_ZONE_THUNDERBLUFF] = "Thunder Bluff",
   [GEM3_ZONE_UNDERCITY] = "Undercity",
   [GEM3_ZONE_SILVERMOON] = "Silvermoon City",
   [GEM3_ZONE_IRONFORGE] = "Ironforge",
   [GEM3_ZONE_STORMWIND] = "Stormwind City",
   [GEM3_ZONE_DARNASSUS] = "Darnassus",
   [GEM3_ZONE_EXODAR] = "The Exodar",
   [GEM3_ZONE_SHATTRATH] = "Shattrath City",
   -- LK Outside
   [GEM3_ZONE_BOREAN_TUNDRA] = "Borean Tundra",
   [GEM3_ZONE_CRYSTALSONG_FOREST] = "Crystalsong Forest",
   [GEM3_ZONE_DALARAN] = "Dalaran",
   [GEM3_ZONE_DRAGONBLIGHT] = "Dragonblight",
   [GEM3_ZONE_GRIZZLY_HILLS] = "Grizzly Hills",
   [GEM3_ZONE_HOWLING_FJORD] = "Howling Fjord",
   [GEM3_ZONE_ICECROWN] = "Icecrown",
   [GEM3_ZONE_SHOLAZAR_BASIN] = "Sholazar Basin",
   [GEM3_ZONE_THE_STORM_PEAKS] = "The Storm Peaks",
   [GEM3_ZONE_WINTERGRASP] = "Wintergrasp",
   [GEM3_ZONE_ZUL_DRAK] = "Zul'Drak",
   [GEM3_ZONE_HROTHGAR_LANDING] = "Hrothgar's Landing",
   -- LK Instances
   [GEM3_ZONE_ARCHAVON] = "Vault of Archavon",
   [GEM3_ZONE_NAXXRAMAS] = "Naxxramas",
   [GEM3_ZONE_CHAMBEROFASPECTS] = "The Obsidian Sanctum",
   [GEM3_ZONE_EYEOFETERNITY] = "The Eye of Eternity",
   [GEM3_ZONE_NAXXRAMAS] = "Naxxramas",
   [GEM3_ZONE_CHAMBEROFASPECTS] = "The Obsidian Sanctum",
   [GEM3_ZONE_EYEOFETERNITY] = "The Eye of Eternity",
   [GEM3_ZONE_UTGARDE_KEEP] = "Utgarde Keep",
   [GEM3_ZONE_UTGARDE_PINNACLE] = "Utgarde Pinnacle",
   [GEM3_ZONE_DRAK_THARON] = "Drak'Tharon Keep",
   [GEM3_ZONE_GUNDRAK] = "Gundrak",
   [GEM3_ZONE_HALLS_LIGHTNING] = "Halls of Lightning",
   [GEM3_ZONE_HALLS_STONE] = "Halls of Stone",
   [GEM3_ZONE_AZJOL_NERUB] = "Azjol-Nerub",
   [GEM3_ZONE_AHN_KAHET] = "Ahn'kahet: The Old Kingdom",
   [GEM3_ZONE_VIOLET_HOLD] = "The Violet Hold",
   [GEM3_ZONE_OCULUS] = "The Oculus",
   [GEM3_ZONE_NEXUS] = "The Nexus",
   [GEM3_ZONE_CULLING_STRATHOLME] = "The Culling of Stratholme",
   [GEM3_ZONE_ULDUAR] = "Ulduar",
   [GEM3_ZONE_TRIAL_CHAMPION] = "Trial of the Champion",
   [GEM3_ZONE_TRIAL_CRUSADER] = "Trial of the Crusader",
   [GEM3_ZONE_ICC_FORGE_OF_SOULS] = "The Forge of Souls",
   [GEM3_ZONE_ICC_PIT_OF_SARON] = "Pit of Saron",
   [GEM3_ZONE_ICC_HALLS_OF_REFLECTION] = "Halls of Reflection",
   [GEM3_ZONE_ICC_RAID] = "Icecrown Citadel",
  };
else -- For not suported languages
  GEM3_LOC_ZONE_ID = {
  };
end
